# Какво ново в NVDA

## 2024.4

Тази версия включва редица подобрения, свързани с Microsoft Office, брайла и форматирането на документи.

В Word или Excel вече е възможно да се натисне двукратно командата за коментар, за да се прочете коментарът или бележката в режим на разглеждане.
Вече можете да използвате командата за избор на текст на курсора за преглед, за да изберете текст в PowerPoint.
NVDA също така вече не извежда на брайл безполезни знаци, когато показва текста на заглавката на ред или колона в таблици в Word, когато се използва обектният модел.

NVDA вече може да бъде конфигуриран да докладва атрибутите на шрифта отделно чрез реч и брайл.

Добавена е нова настройка за конфигуриране на времето за изчакване за извършване на жест с многократно натискане, като например командата за докладване на час/дата.

Вече можете да конфигурирате как NVDA показва форматирането на текста на брайл и да настроите NVDA да показва началото на абзаците на брайл.
NVDA вече може да изговаря знака на позицията на курсора при преместване на брайловия курсор.
Надеждността на преместването на курсора е подобрена и е добавена поддръжка за клавиши за преместване в PowerPoint.
Всички редове от клетки вече ще се използват при използване на многоредов брайлов дисплей чрез HID брайл.
NVDA вече не е нестабилен след рестартирането си по време на автоматично сканиране за брайл чрез Bluetooth.

Минималната необходима версия на Poedit, която работи с NVDA, вече е 3.5.

Речевият синтезатор eSpeak NG е обновен, добавяйки поддръжка за фарьорски и кекстански езици.

Брайловият преводач LibLouis е обновен, добавяйки нови брайлови таблици за тайландски и гръцки международен брайл с букви с ударение в една клетка.

Има и редица корекции, включително за следенето на мишката във Firefox и режима на реч при поискване.

### Нови възможности

* Нови функции за брайл:
  * Вече е възможно да промените начина, по който NVDA показва определени атрибути за форматиране на текст на брайл.
    Наличните опции са:
    * Liblouis (по подразбиране): Използва маркери за форматиране, дефинирани в избраната брайлова таблица.
    * Тагове: Използва отварящи и затварящи тагове, за да обозначи къде започват и завършват определени атрибути на шрифта. (#16864)
  * Когато опцията „Четене по абзаци“ е включена, NVDA вече може да бъде конфигуриран да показва началото на абзаците на брайл. (#16895, @nvdaes)
  * При преместване на брайловия курсор NVDA вече може автоматично да изговаря знака на позицията на курсора. (#8072, @LeonarddeR)
    * Тази опция е изключена по подразбиране.
      Можете да включите „Изговаряй знака при преместване на курсора в текст“ в настройките за брайл на NVDA.
* Командата за коментар в Microsoft Word и командата за бележки в Microsoft Excel вече могат да бъдат натиснати двукратно, за да се покаже коментарът или бележката в съобщение в режим на разглеждане. (#16800, #16878, @Cary-Rowen)
* NVDA вече може да бъде конфигуриран да докладва атрибутите на шрифта отделно чрез реч и брайл. (#16755)
* Времето за изчакване за извършване на многократно натискане на клавиш вече може да се конфигурира. Това може да бъде особено полезно за хора с двигателни увреждания. (#11929, @CyrilleB79)

### Промени

* Опциите на командния ред `-c`/`--config-path` и `--disable-addons` вече се зачитат при стартиране на обновяване от NVDA. (#16937)
* Обновени компоненти:
  * Брайловият преводач LibLouis е обновен до версия [3.31.0](https://github.com/liblouis/liblouis/releases/tag/v3.31.0). (#17080, @LeonarddeR, @codeofdusk)
    * Поправен е преводът на числа на испански Брайл.
    * Нови брайлови таблици:
      * Тайландски, ниво 1
      * Международен гръцки брайл (едноклетъчни букви с ударение)
    * Преименувани таблици:
      * „Тайландски 6-точков“ беше преименуван на „Тайландски, ниво 0“ от съображения за последователност.
      * Съществуващата таблица „Гръцки международен брайл“ беше преименувана на „Международен гръцки брайл (двуклетъчни букви с ударение)“, за да се открои разликата между двете гръцки системи.
  * Речевият синтезатор eSpeak NG е обновен до 1.52-dev ревизия `961454ff`. (#16775)
    * Добавени са нови езици фарьорски и кекстански.
* При използване на многоредов брайлов дисплей чрез стандартния брайлов драйвер HID, ще се използват всички редове с клетки. (#16993, @alexmoon)
* Стабилността на поддръжката за Poedit на NVDA е подобрена със страничния ефект, че минималната необходима версия на Poedit вече е 3.5. (#16889, @LeonarddeR)

### Отстранени грешки

* Поправки за брайла:
  * Вече е възможно да се използват клавишите на брайловия дисплей за преместване на текстовия курсор в Microsoft PowerPoint. (#9101)
  * При достъп до Microsoft Word без UI Automation, NVDA вече не извежда ненужни знаци в заглавките на таблици, дефинирани с командите за заглавки на редове и колони. (#7212)
  * Драйверът на Seika Notetaker вече правилно генерира брайлов вход за жестовете с интервал, Backspace и точки с интервал/Backspace. (#16642, @school510587)
  * Преместването на курсора вече е много по-надеждно, когато редът съдържа един или повече селектори на вариации на Уникод или декомпозирани знаци. (#10960, @mltony, @LeonarddeR)
  * NVDA вече не извежда грешка при преместване на брайловия дисплей напред в някои празни текстови контроли. (#12885)
  * NVDA вече не е нестабилен след рестартирането си по време на автоматично сканиране за Брайл чрез Bluetooth. (#16933)
* Вече е възможно да се използват командите за избор на текст на курсора за преглед, за избор на текст в Microsoft PowerPoint. (#17004)
* В режим на реч при поискване NVDA вече не говори, когато се отвори съобщение в Outlook, когато се зареди нова страница в браузър или когато се показва нов слайд в слайдшоу на PowerPoint. (#16825, @CyrilleB79)
* В Mozilla Firefox преместването на мишката върху текст преди или след връзка вече надеждно докладва текста. (#15990, @jcsteh)
* NVDA вече не се проваля от време на време да отвори съобщения в режим на разглеждане (като при двукратно натискане на `NVDA+F`). (#16806, @LeonarddeR)
* Обновяването на NVDA, докато обновяването на добавки е в процес на изчакване, вече не води до премахване на въпросните добавки. (#16837)
* Вече е възможно да се взаимодейства с падащите списъци за проверка на данни в Microsoft Excel 365. (#15138)
* NVDA вече не е толкова бавен при превъртане със стрелки нагоре и надолу в големи файлове във VS Code. (#17039)
* NVDA вече не спира да реагира след продължително задържане на клавиш със стрелка в режим на разглеждане, особено в Microsoft Word и Microsoft Outlook. (#16812)
* NVDA вече не чете последния ред, когато курсорът е на предпоследния ред в многоредова текстова контрола в Java приложения. (#17027)

### Промени за разработчици

Моля, обърнете се към [ръководството за разработчици](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса на оттегляне и премахване на ППИ на NVDA.

* Обновени компоненти:
  * py2exe е обновен до 0.13.0.2 (#16907, @dpy013)
  * setuptools е обновен до 72.0 (#16907, @dpy013)
  * Ruff е обновен до 0.5.6. (#16868, @LeonarddeR)
  * nh3 е обновен до 0.2.18 (#17020, @dpy013)
* Добавен е файл `.editorconfig` към хранилището на NVDA, за да могат няколко IDE да вземат основни правила за стил на кода на NVDA по подразбиране. (#16795, @LeonarddeR)
* Добавена е поддръжка за персонализирани речеви речници за символи. (#16739, #16823, @LeonarddeR)
  * Речниците могат да бъдат предоставени в специфични за езика папки в пакет с добавка (напр. `locale\en`).
  * Метаданните на речника могат да се добавят към опционална секция `symbolDictionaries` в манифеста на добавката.
  * Моля, направете справка с [раздела „Custom speech symbol dictionaries“ в ръководството за програмисти](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#AddonSymbolDictionaries) за повече подробности.
* Вече е възможно да се пренасочват обекти, извлечени от координатите на екрана, като се използва методът `NVDAObject.objectFromPointRedirect`. (#16788, @Emil-18)
* Изпълнението на SCons с параметъра `--all-cores` автоматично ще избере максималния брой налични процесорни ядра. (#16943, #16868, @LeonarddeR)
* Информацията за разработчици вече включва информация за архитектурата на приложението (като AMD64) за навигационния обект. (#16488, @josephsl)

#### Неща за оттегляне

* Конфигурационният ключ `bool` `[documentFormatting][reportFontAttributes]` е планиран за оттегляне в 2025.1. Вместо това използвайте `[fontAttributeReporting]`. (#16748)
  * Новият ключ има стойност `int`, съответстваща на `enum` `OutputMode` с опции за реч, брайл, реч и брайл и изключено.
  * Потребителите на ППИ могат да използват стойността `bool` , както преди, или да проверят `OutputMode` ако работят конкретно с реч или брайл.
  * Тези ключове в момента са синхронизирани до 2025.1.
* `NVDAObjects.UIA.InaccurateTextChangeEventEmittingEditableText` е оттеглено без заместител. (#16817, @LeonarddeR)

## 2024.3.1

Това е корективно издание за поправка на грешка с известието за автоматичното обновяване на добавки.

### Отстранени грешки

* Когато автоматично проверява за обновления на добавки, NVDA вече не замръзва при слаба интернет връзка. (#17036)

## 2024.3

Магазинът за добавки вече ще ви уведомява при стартиране на NVDA, ако има налични обновления на добавки.

Вече има опции за прилагане на уникод нормализация към речевия и брайловия изход.
Това може да бъде полезно при четене на знаци, които са непознати за конкретен синтезатор на реч или брайлова таблица и които имат съвместима алтернатива (напр. удебелените и курсивните знаци, често използвани в социалните медии).
Това също така позволява четене на уравнения в редактора на уравнения на Microsoft Word.

Вече се поддържат брайловите дисплеи Help Tech Activator Pro.

Добавени са неприсвоени команди за вертикално и хоризонтално превъртане на колелцето на мишката.

Има няколко корекции на грешки, особено за панела за емоджи на Windows 11 и хронологията на клипборда.
За уеб браузърите има корекции за докладване на съобщения за грешка, фигури, надписи, етикети на таблици и елементи от меню с полета за отметка или радио бутони.

Брайловият преводач LibLouis е обновен, като са добавени нови брайлови таблици за сръбски на кирилица, идиш, няколко древни езика, турски и международната фонетична азбука.
Речевият синтезатор eSpeak е обновен, добавяйки поддръжка за каракалпакски език.
Unicode CLDR също е обновен.

### Нови възможности

* Нови клавишни команди:
  * Добавени са неприсвоени команди за вертикално и хоризонтално превъртане на колелцето на мишката, за подобряване на навигацията в уеб страници и приложения с динамично съдържание (напр. Dism++). (#16462, @Cary-Rowen)
* Добавена е поддръжка за уникод нормализация към речевия и брайловия изход. (#11570, #16466 @LeonarddeR).
  * Това може да бъде полезно при четене на знаци, които са непознати за конкретен синтезатор на реч или брайлова таблица и които имат съвместима алтернатива, като удебелените и курсивните знаци, често използвани в социалните медии.
  * Това също така позволява четене на уравнения в редактора на уравнения на Microsoft Word. (#4631)
  * Можете да включите тази функционалност както за реч, така и за брайл в съответните им категории в диалоговия прозорец за настройки на NVDA.
* По подразбиране, след стартиране на NVDA, ще бъдете уведомени, ако има налични обновления на добавките. (#15035)
  * Това може да бъде изключено в категорията „Магазин за добавки“ в настройките.
  * NVDA проверява ежедневно за обновления на добавките.
  * Ще се проверява за обновления само в рамките на един и същи канал (напр. инсталираните бета добавки ще уведомяват само за актуализации в бета канала).
* Добавена е поддръжка за брайловите дисплеи Help Tech Activator Pro. (#16668)

### Промени

* Обновени компоненти:
  * Речевият синтезатор eSpeak NG е обновен до версия 1.52-dev ревизия `54ee11a79`. (#16495)
    * Добавен е нов език: Каракалпакски.
  * Unicode CLDR е обновен до версия 45.0. (#16507, @OzancanKaratas)
  * fast_diff_match_patch (използван за откриване на промени в терминали и друго динамично съдържание) е обновен до версия 2.1.0. (#16508, @codeofdusk)
  * Брайловият преводач LibLouis е обновен до [3.30.0](https://github.com/liblouis/liblouis/releases/tag/v3.30.0). (#16652, @codeofdusk)
    * Нови брайлови таблици:
      * Сръбски на кирилица.
      * Идиш.
      * Няколко древни езика: библейски иврит, акадски, сирийски, угаритски и транслитериран клинописен текст.
      * Турски, ниво 2. (#16735)
      * Международна фонетична азбука. (#16773)
  * NSIS е обновен до 3.10 (#16674, @dpy013)
  * markdown е обновен до 3.6 (#16725, @dpy013)
  * nh3 е обновен до 0.2.17 (#16725, @dpy013)
* Резервната входна брайлова таблица вече е еднаква с резервната изходна таблица, която е универсален английски брайлов код ниво 1. (#9863, @JulienCochuyt, @LeonarddeR)
* NVDA вече ще докладва фигури без достъпни дъщерни елементи, но с етикет или описание. (#14514)
* При четене ред по ред в режим на разглеждане, вече не се съобщава „надпис“ на всеки ред при дълъг надпис на фигура или таблица. (#14874)
* В конзолата на Python, последната неизпълнена команда вече няма да се губи при преминаване в хронологията на въвеждане. (#16653, @CyrilleB79)
* Вече се изпраща и уникален анонимен идентификатор като част от опционалното събиране на статистически данни за употребата на NVDA. (#16266)
* При създаване на преносимо копие, по подразбиране ще бъде създадена нова папка.
Предупредително съобщение ще ви информира, ако опитате да запишете данни в непразна директория. (#16686)

### Отстранени грешки

* Поправки за Windows 11:
  * NVDA вече няма да се държи сякаш фокусът е заклещен при затваряне на хронологията на клипборда и панела с емоджи. (#16346, #16347, @josephsl)
  * NVDA ще докладва отново видимите кандидати при отваряне на IME интерфейса. (#14023, @josephsl)
  * NVDA вече няма да съобщава „хронология на клипборда“ два пъти при навигиране през елементите на менюто на панела с емоджи. (#16532, @josephsl)
  * NVDA вече няма да орязва речта и брайла при преглеждане на каомоджи и символи в панела с емоджи. (#16533, @josephsl)
* Поправки за уеб браузърите:
  * Съобщенията за грешка, указани с `aria-errormessage`, вече се докладват в Google Chrome и Mozilla Firefox. (#8318)
  * Ако е налично, NVDA вече ще използва `aria-labelledby`, за да предостави достъпни имена за таблици в Mozilla Firefox. (#5183)
  * NVDA правилно ще докладва елементи от менюто с радио бутони или полета за отметка при първо влизане в подменюта в Google Chrome и Mozilla Firefox. (#14550)
  * Функционалността на NVDA за търсене в режим на разглеждане вече е по-точна, когато страницата съдържа емоджи. (#16317, @LeonarddeR)
  * В Mozilla Firefox NVDA вече правилно докладва текущите знак, дума и ред, когато курсорът е в точката на вмъкване в края на реда. (#3156, @jcsteh)
  * NVDA вече не предизвиква срив на Google Chrome при затваряне на документ или излизане от Chrome. (#16893)
* NVDA ще докладва правилно предложенията за автоматично довършване в Eclipse и други базирани на Eclipse среди под Windows 11. (#16416, @thgcode)
* Подобрена надеждност на автоматичното прочитане на текст, особено в терминални приложения. (#15850, #16027, @Danstiv)
* Отново е възможно надеждно възстановяване на настройките до заводските им стойности. (#16755, @Emil-18)
* NVDA ще докладва правилно промените в селекцията при редактиране на текста в клетка в Microsoft Excel. (#15843)
* В приложения, използващи Java Access Bridge, NVDA вече ще чете правилно последния празен ред от текста, вместо да повтаря предишния ред. (#9376, @dmitrii-drobotov)
* В LibreOffice Writer (версия 24.8 и по-нови), при превключване на форматирането на текст (удебелен, курсив, подчертан, долен/горен индекс, подравняване) с помощта на съответната клавишна комбинация, NVDA докладва новия атрибут за форматиране (напр. „Получер включено“, „Получер изключено“). (#4248, @michaelweghorn)
* При навигиране с клавишите за курсора в текстови полета в приложения, които използват UI Automation, NVDA вече не докладва понякога грешен знак, дума и т.н. (#16711, @jcsteh)
* При поставяне в калкулатора на Windows 10/11 NVDA вече правилно докладва цялото поставено число. (#16573, @TristanBurchett)
* Речта вече не е заглушена след прекъсване на връзката и повторно свързване към сесия на отдалечен работен плот. (#16722, @jcsteh)
* Добавена е поддръжка за команди за преглед на текст за име на обект във Visual Studio Code. (#16248, @Cary-Rowen)
* Възпроизвеждането на звуци от NVDA вече не се проваля на моно звуково устройство. (#16770, @jcsteh)
* NVDA ще докладва адресите при преминаване със стрелки през To/CC/BCC полетата в outlook.com / новият Outlook. (#16856)
* NVDA вече се справя по-адекватно с грешките при инсталиране на добавки. (#16704)

### Промени за разработчици

* NVDA вече използва Ruff вместо flake8 за линтване. (#14817)
* Поправена е системата за компилиране на NVDA, за да работи правилно при използване на Visual Studio 2022 версия 17.10 и по-нови. (#16480, @LeonarddeR)
* Вече се използва шрифт с фиксирана ширина в програмата за преглед на протокола и в конзолата на Python на NVDA, така че курсорът да остава в същата колона по време на вертикална навигация.
Особено полезно е за четене на маркерите за местоположение на грешки в обратните проследявания. (#16321, @CyrilleB79)
* Добавена е поддръжка за персонализирани брайлови таблици. (#3304, #16208, @JulienCochuyt, @LeonarddeR)
  * Таблиците могат да бъдат предоставени в папката `brailleTables` в пакет с добавка.
  * Метаданните на таблицата могат да се добавят към опционална секция `brailleTables` в манифестния файл на добавката или към `.ini` файл със същия формат, който се намира в поддиректорията brailleTables на директорията scratchpad.
  * Моля, направете справка с [раздела за брайлови таблици за превод в ръководството за разработчици](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#BrailleTables) за повече подробности.
* Когато събитие `gainFocus` е на опашка с обект, който има валидно свойство `focusRedirect`, обектът, към който сочи свойството `focusRedirect`, сега бива държано от `eventHandler.lastQueuedFocusObject`, а не от първоначално поставения в опашката обект. (#15843)
* NVDA ще протоколира своята изпълнима архитектура (x86) при стартиране. (#16432, @josephsl)
* `wx.CallAfter`, който е обвит в `monkeyPatches/wxMonkeyPatches.py`, вече включва правилна индикация `functools.wraps`. (#16520, @XLTechie)
* Има нов модул за планиране на задачи `utils.schedule`, използващ pip модула `schedule`. (#16636)
  * Може да се използва `scheduleThread.scheduleDailyJobAtStartUp` за автоматично планиране на задание, което се случва след стартиране на NVDA и на всеки 24 часа след това.
  Заданията се планират със закъснение, за да се избегнат конфликти.
  * `scheduleThread.scheduleDailyJob` и `scheduleJob` могат да се използват за планиране на задания в персонализирани часове, където ще бъде повдигнато `JobClashError` при известен конфликт на планирано задание.
* Вече е възможно да се създават модули за приложения за приложения, хостващи контроли Edge WebView2 (msedgewebview2.exe). (#16705, @josephsl)

## 2024.2

Има нова функция, наречена разделяне на звука.
Това позволява разделяне на звуците на NVDA в един канал (напр. левия), докато звуците от всички други приложения се насочват към другия канал (напр. десния).

Има нови команди за модифициране на пръстена от настройки на синтезатора, което позволява на потребителите да преминават към първата или последната настройка и да увеличават или намаляват текущата настройка с по-големи стъпки.
Има и нови команди за бърза навигация, позволяващи на потребителите да присвояват жестове за бързо прескачане между: абзаци, вертикално подравнени абзаци, текст със същия стил, текст с различен стил, елемент от меню, превключващ бутон, лента на напредъка, фигура и математическа формула.

Има много нови функции и корекции на грешки за брайла.
Добавен е нов режим на брайла, наречен „Показвай речевия изход“.
Когато е активен, брайловият дисплей показва точно това, което NVDA изговаря.
Добавена е поддръжка за брайловите дисплеи BrailleEdgeS2 и BrailleEdgeS3.
LibLouis беше обновен, като са добавени нови подробни (с указани главни букви) беларуски и украински брайлови таблици, лаоска брайлова таблица и испанска таблица за четене на гръцки текстове.

eSpeak беше обновен, добавяйки нов език – тигриня.

Има много малки корекции на грешки за приложения, като Thunderbird, Adobe Reader, уеб браузъри, Nudi и Geekbench.

### Нови възможности

* Нови клавишни команди:
  * Нова команда за бърза навигация – `P` за преминаване към следващ/предишен текстов абзац в режим на разглеждане. (#15998, @mltony)
  * Нови неприсвоени команди за бърза навигация, които могат да се използват за преминаване към следващия/предишния елемент от следните видове:
    * Фигура (#10826)
    * Вертикално подравнен абзац (#15999, @mltony)
    * Елемент от меню (#16001, @mltony)
    * Превключващ бутон (#16001, @mltony)
    * Лента на напредъка (#16001, @mltony)
    * Математическа формула (#16001, @mltony)
    * Текст със същия стил (#16000, @mltony)
    * Текст с различен стил (#16000, @mltony)
  * Добавени са команди за преминаване към началото, края, напред и назад през пръстена от настройки на синтезатора. (#13768, #16095, @rmcpantoja)
    * Задаването на първата/последната настройка в пръстена от настройки на синтезатора няма присвоен жест. (#13768)
    * Намаляване и увеличаване на текущата настройка на пръстена от настройки на синтезатора с по-голяма стъпка (#13768):
      * Настолна подредба: `NVDA+Control+Page Up` и `NVDA+Control+Page Down`.
      * Лаптоп подредба: `NVDA+Control+Shift+Page Up` и `NVDA+Control+Shift+Page Down`.
  * Добавен е нов неприсвоен жест на въвеждане за превключване на докладването на фигури и надписи. (#10826, #14349)
* Брайл:
  * Добавена е поддръжка за брайловите дисплеи BrailleEdgeS2 и BrailleEdgeS3. (#16033, #16279, @EdKweon)
  * Добавен е нов режим на брайла, наречен „Показвай речевия изход“. (#15898, @Emil-18)
    * Когато е активен, брайловият дисплей показва точно това, което NVDA изговаря.
    * Може да се включва и изключва чрез `NVDA+Alt+T` или от диалоговия прозорец с настройките за брайла.
* Разделяне на звука: (#12985, @mltony)
  * Позволява отделяне на звуците на NVDA в един канал (напр. левия), докато звуците от всички други приложения се насочват към другия канал (напр. десния).
  * Функцията се включва и изключва чрез `NVDA+Alt+S`.
* Докладването на заглавки на редове и колони вече се поддържа в contenteditable HTML елементи. (#14113)
* Добавена е опция за изключване на докладването на фигури и надписи в настройките за форматиране на документи. (#10826, #14349)
* В Windows 11 NVDA ще докладва предупрежденията от гласовото въвеждане и предложени действия, включително най-удачното предложение при копиране на данни като телефонни номера в клипборда (актуализация на Windows 11 2022 и по-нова версия). (#16009, @josephsl)
* NVDA ще поддържа звуковото устройство будно, след като говорът спре, за да предотврати изрязването на началото на следващата реч с някои звукови устройства (например Bluetooth слушалки). (#14386, @jcsteh, @mltony)
* HP Secure Browser вече се поддържа. (#16377)

### Промени

* Магазин за добавки:
  * Минималната и последната тествана версия на NVDA за дадена добавка вече се показват в областта „Още информация“. (#15776, @Nael-Sayegh)
  * Действието за отзиви от общността ще бъде налично във всички раздели на магазина. (#16179, @nvdaes)
* Обновени компоненти:
  * Брайловият преводач LibLouis е обновен до [3.29.0](https://github.com/liblouis/liblouis/releases/tag/v3.29.0). (#16259, @codeofdusk)
    * Нови подробни (с указани главни букви) беларуски и украински брайлови таблици.
    * Нова испанска таблица за четене на гръцки текстове.
    * Нова таблица за лаоски ниво 1. (#16470)
  * eSpeak NG е обновен до 1.52-dev ревизия `cb62d93fd7`. (#15913)
    * Добавен е нов език – тигриня.
* Променени са няколко жеста за устройствата BrailleSense, за да се избегнат конфликти със знаците от френската брайлова таблица. (#15306)
  * `Alt+Стрелка наляво` сега е присвоен на `Точка2+Точка7+интервал`
  * `Alt+Стрелка надясно` сега е присвоен на `Точка5+Точка7+интервал`
  * `Alt+Стрелка нагоре` сега е присвоен на `Точка2+Точка3+Точка7+интервал`
  * `Alt+Стрелка надолу` сега е присвоен на `Точка5+Точка6+Точка7+интервал`
* Запълващите точки, които обикновено се използват в таблиците със съдържание, вече не се докладват при ниски нива на пунктуация. (#15845, @CyrilleB79)

### Отстранени грешки

* Поправки за Windows 11:
  * NVDA отново ще докладва предложенията при въвеждане от физическа клавиатура. (#16283, @josephsl)
  * Във версия 24H2 (актуализация 2024 и Windows Server 2025) взаимодействието чрез мишка и сензорен екран може да се използва в панела „Бързи настройки“. (#16348, @josephsl)
* Магазин за добавки:
  * При натискане на `Control+TAB` фокусът се премества правилно към заглавието на новия текущ раздел. (#14986, @ABuffEr)
  * Ако кеш файловете не са в изправност, NVDA вече няма да се рестартира. (#16362, @nvdaes)
* Поправки за базирани на Chromium браузъри, когато се използват с UIA:
  * Поправени са грешки, причиняващи блокиране на NVDA. (#16393, #16394)
  * Клавишът Backspace вече работи правилно в текстовите полета за вход в Gmail. (#16395)
* Backspace вече работи правилно при използване на Nudi 6.1 с включена настройка на NVDA „Прихващай клавишите от други приложения“. (#15822, @jcsteh)
* Поправена е грешка, при която се възпроизвеждат аудио координатите, докато приложението е в режим на заспиване, когато е включена опцията „Просвирвай звуково координатите на мишката“. (#8059, @hwf1324)
* В Adobe Reader NVDA вече не игнорира зададен във формули алтернативен текст в PDF файлове. (#12715)
* Поправена е грешка, която предизвиква NVDA да не чете ribbon лентата и опциите в Geekbench. (#16251, @mzanm)
* Поправена е рядко случваща се грешка, при която запазването на конфигурацията може да не успее да запази всички профили. (#16343, @CyrilleB79)
* В браузъри, базирани на Firefox и Chromium, NVDA ще влезе правилно в режим на фокус при натискане на Enter, когато фокусът е позициониран в презентационен списък (ul / ol) в редактируемо съдържание. (#16325)
* Промяната на състоянието на елементите за отмятане за избор на колони вече се докладва коректно при избиране на колони за показване в списъка със съобщения на Thunderbird. (#16323)
* Параметърът за командния ред `-h`/`--help` отново работи правилно. (#16522, @XLTechie)
* Поддръжката на NVDA за софтуера за превод Poedit (от версия 3.4 нагоре) функционира правилно при превод на езици с 1 или повече от 2 форми за множествено число (напр. китайски, полски). (#16318)

### Промени за разработчици

Моля, обърнете се към [ръководството за разработчици](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса на оттегляне и премахване на ППИ на NVDA.

* Създаването на обекти `winVersion.WinVersion` с неизвестни версии на Windows над 10.0.22000 (напр. 10.0.25398) връща „Windows 11 unknown“ вместо „Windows 10 unknown“ за име на изданието. (#15992, @josephsl)
* Процесът на компилиране на AppVeyor е направен по-лесен за разклоненията на NVDA, като са добавени конфигурируеми променливи в appveyor.yml, за деактивиране или модифициране на специфични части от скриптовете на NV Access за компилиране. (#16216, @XLTechie)
* Добавен е документ с инструкции, обясняващ процеса на компилиране на разклонения на NVDA в AppVeyor. (#16293, @XLTechie)

## 2024.1

Добавен е нов режим на речта – „при поискване“.
Когато този режим е активен, NVDA не говори автоматично (при преместване на курсора или в други случаи), а само при извикване на команди, чиято цел е изрично да докладват нещо (например заглавие на прозорец).
В раздела „Реч“ от настройките на NVDA вече е възможно да изключите нежеланите режими на речта, между които се превключва чрез командата за превключване между различните режими на речта (`NVDA+S`).

Когато NVDA се използва в режим на разглеждане с Mozilla Firefox, е налична възможност за пряко маркиране (`NVDA+Shift+F10`).
Когато функцията е активна, избирането на текст в режим на разглеждане ще използва собственото пряко маркиране на Firefox.
Копирането на текст с `Control+C` ще бъде прехвърлено директно към Firefox, като по този начин ще се копира и обогатеното съдържание, а не само обикновения текст.

Магазинът за добавки вече поддържа групови действия (например инсталиране, включване на добавки) чрез избиране на няколко от тях.
Добавено е ново действие за отваряне на уеб страница с отзиви за избраната добавка.

Опциите за изходно аудио устройство и режимът за понижаване са премахнати от диалога „Избор на синтезатор“.
Те могат да бъдат намерени в панела за аудио настройки, който се отваря с `NVDA+Control+U`.

eSpeak-NG, брайловият преводач LibLouis и Unicode CLDR са обновени.
Добавени са нови брайлови таблици за тайландски, филипински и румънски език.

Коригирани са множество грешки, особено в магазина за добавки, поддръжката на брайл, Libre Office, Microsoft Office и аудио функционалностите.

### Важни забележки

* Тази версия нарушава съвместимостта със съществуващите добавки.
* Windows 7 и 8 вече не се поддържат.
Минималната поддържана версия е Windows 8.1.

### Нови възможности

* Магазин за добавки:
  * Магазинът за добавки вече поддържа групови действия (например инсталиране, включване на добавки) чрез избиране на няколко от тях. (#15350, #15623, @CyrilleB79)
  * Налично е ново действие за отваряне на уеб страница, в която можете да видите или предоставите обратна връзка за избраната добавка. (#15576, @nvdaes)
* Добавена е поддръжка за брайлови дисплеи Bluetooth Low Energy HID. (#15470)
* Когато NVDA се използва в режим на разглеждане с Mozilla Firefox, е налична възможност за пряко маркиране (`NVDA+Shift+F10`).
Докато функцията е активна, избирането на текст в режим на разглеждане ще използва собственото пряко маркиране на Firefox.
Копирането на текст с `Control+C` ще бъде прехвърляно директно към Firefox, като по този начин ще се копира и обогатеното съдържание, а не само обикновения текст.
Имайте предвид, че тъй като Firefox директно ще обработва копирането, NVDA няма да изговаря съобщение „копирано в клипборда“ в този режим. (#15830)
* Когато копирате текст в Microsoft Word и NVDA е в режим на разглеждане, ще се копира и форматирането.
Страничен ефект от това ще бъде липсата на съобщение „копирано в клипборда“ при натискане на `Control+C` в режим на разглеждане на Microsoft Word и Outlook, тъй като копирането се обработва от съответното приложение, а не от NVDA. (#16129)
* Добавен е нов режим на речта – „при поискване“.
Когато този режим е активен, NVDA не говори автоматично (при преместване на курсора или в други случаи), а само при извикване на команди, чиято цел е изрично да докладват нещо (например заглавие на прозорец). (#481, @CyrilleB79)
* В раздела „Реч“ от настройките на NVDA вече е възможно да изключите нежеланите режими на речта, между които се превключва чрез командата за превключване между различните режими на речта (`NVDA+S`). (#15806, @lukaszgo1)
  * Ако в момента използвате добавката „NoBeepsSpeechMode“, обмислете нейното деинсталиране и деактивирането на режимите „бибипкане“ и „при поискване“ в настройките.

### Промени

* NVDA вече не поддържа Windows 7 и Windows 8.
Минималната поддържана версия е Windows 8.1. (#15544)
* Обновени компоненти:
  * Брайловият преводач LibLouis е обновен до [3.28.0](https://github.com/liblouis/liblouis/releases/tag/v3.28.0). (#15435, #15876, @codeofdusk)
    * Добавени са нови брайлови таблици за тайландски, румънски и филипински език.
  * eSpeak NG е обновен до версия 1.52-dev ревизия `530bf0abf`. (#15036)
  * CLDR описанията на емоджита и символи са обновени до версия 44.0. (#15712, @OzancanKaratas)
  * Java Access Bridge е обновен до 17.0.9+8Zulu (17.46.19). (#15744)
* Клавишни комбинации:
  * Следните команди вече поддържат две и три натискания за спелуване на докладваната информация и изговаряне буква по буква с подсказки за символите: изговаряне на селекцията, докладване на текста в клипборда и съобщаване на фокусирания в момента обект. (#15449, @CyrilleB79)
  * Командата за включване и изключване на екранната завеса вече има жест по подразбиране: `NVDA+Control+Escape`. (#10560, @CyrilleB79)
  * При натискане на командата за съобщаване на текущата селекция четири пъти, тя се показва в отделен прозорец, който може да се разглежда. (#15858, @Emil-18)
* Microsoft Office:
  * При поискване на информация за форматирането на клетки в Excel, границите и фонът ще бъдат докладвани, само ако има такова форматиране. (#15560, @CyrilleB79)
  * NVDA отново няма да докладва ненаименовани групи, както в момента се случва в менютата на последните версии на Microsoft Office 365. (#15638)
* Опциите за изходно аудио устройство и режимът за понижаване са премахнати от диалога „Избор на синтезатор“.
Те могат да бъдат намерени в панела за аудио настройки, който се отваря с `NVDA+Control+U`. (#15512, @codeofdusk)
* Опцията „Докладвай вида на обекта при досег с мишката“ в категорията за настройки на мишката на NVDA беше преименувана на „Докладвай обекта при досег с мишката“.
Ако опцията е включена, ще се съобщава допълнителна информация за даден обект, когато мишката влезе в него. Тя може да включва състояния (отметнато/натиснато) или координати на клетки в таблица. (#15420, @LeonarddeR)
* Добавени са следните нови елементи в меню „Помощ“: „Получаване на помощ“ и „Магазин“. (#14631)
* Поддръжката на NVDA за [Poedit](https://poedit.net) е преработена за Poedit версия 3 и по-нови.
Потребителите на Poedit 1 е препоръчително да обновят до версия 3, ако искат да се възползват от подобрената достъпност в Poedit, която включва клавишни комбинации за прочитане на бележки и коментари на преводача. (#15313, #7303, @LeonarddeR)
* Прегледите на брайла и речта вече са деактивирани в защитен режим. (#15680)
* При използване на обектна навигация, деактивираните (недостъпни) обекти вече няма да бъдат игнорирани. (#15477, @CyrilleB79)
* В документа „Кратък преглед на командите“ е добавен раздел със съдържание. (#16106)

### Отстранени грешки

* Магазин за добавки:
  * Когато статусът на добавка се промени, докато тя е на фокус, например от „изтегляне“ на „изтеглена“, обновеният елемент вече се съобщава коректно. (#15859, @LeonarddeR)
  * При инсталиране на добавки подканите за инсталиране вече не се припокриват от диалога за рестартиране. (#15613, @lukaszgo1)
  * Когато се преинсталира несъвместима добавка, тя вече не се деактивира принудително. (#15584, @lukaszgo1)
  * Изключените и несъвместимите добавки вече могат да се обновяват. (#15568, #15029)
  * NVDA се възстановява и показва грешка в случай, че дадена добавка не успее да се изтегли напълно. (#15796)
  * NVDA вече се рестартира коректно веднага след отваряне и затваряне на магазина за добавки. (#16019, @lukaszgo1)
* Аудио:
  * NVDA не замръзва, когато няколко звука се възпроизведат в бърза последователност. (#15311, #15757, @jcsteh)
  * Ако изходното аудио устройство е зададено да бъде различно от стандартното и отново стане достъпно, след като е било недостъпно, NVDA ще превключи обратно към него, вместо да продължи да използва устройството по подразбиране. (#15759, @jcsteh)
  * NVDA вече възобновява звука, ако конфигурацията на изходното устройство бъде променена или друго приложение освободи ексклузивния контрол върху устройството. (#15758, #15775, @jcsteh)
* Брайл:
  * Многоредовите брайлови дисплеи няма да сриват BRLTTY драйвера и ще се третират като един по-голям дисплей. (#15386)
  * Откриват се повече обекти, които съдържат полезен текст, а текстовото съдържание се показва на брайл. (#15605)
  * Въвеждането на брайлов краткопис отново работи правилно. (#15773, @aaclause)
  * Представянето чрез брайл се актуализира в повече ситуации при преместване на навигационния обект между клетките в таблица. (#15755, @Emil-18)
  * Резултатът от докладването на фокуса, текущия навигационен обект и командите за избор вече се показва на брайл. (#15844, @Emil-18)
  * Брайловият драйвер Albatross вече не обработва микроконтролера Esp32 като брайлов дисплей Albatross. (#15671)
* LibreOffice:
  * Думите, изтривани с клавишната комбинация `Control+Backspace`, се съобщават коректно, когато изтритата дума е последвана от интервал (например обикновени интервали и табулации). (#15436, @michaelweghorn)
  * Докладването на ленти на състоянието с клавишната комбинация `NVDA+End` вече работи и за диалози във версия 24.2 на LibreOffice и по-нови. (#15591, @michaelweghorn)
  * Всички очаквани текстови атрибути вече се поддържат в LibreOffice версия 24.2 и по-нови.
  Това ще накара докладването на правописни грешки да работи при прочитане на ред в Writer. (#15648, @michaelweghorn)
  * Обявяването на нивата на заглавия вече работи за LibreOffice версии 24.2 и по-нови. (#15881, @michaelweghorn)
* Microsoft Office:
  * В Excel с деактивиран UIA брайловото представяне се обновява и съдържанието на активната клетка се изговаря, когато се натисне `Control+Y`, `Control+Z` или `Alt+Backspace`. (#15547)
  * В Word с деактивиран UIA брайловото представяне се актуализира при натискане на `Control+V`, `Control+X`, `Control+Y`, `control+Z`, `Alt+Backspace`, `Backspace` или `Control+Backspace`.
  Брайловото представяне също се обновява с активиран UIA, когато се въвежда текст и брайлът отразява курсора за преглед, а той следва каретката. (#3276)
  * В Word целевата клетка вече ще се съобщава коректно, когато използвате собствените команди на Word за навигация в таблици `Alt+Home`, `Alt+End`, `Alt+Page Up` и `Alt+Page Down`. (#15805, @CyrilleB79)
* Докладването на бързите клавиши за даден обект е подобрено. (#10807, #15816, @CyrilleB79)
* Синтезаторите SAPI4 вече поддържат промяна на силата, скоростта и височината на речта, които са вградени в самия синтезатор. (#15271, @LeonarddeR)
* Многоредовият статус вече се докладва коректно в приложения, използващи Java Access Bridge. (#14609)
* NVDA ще съобщава съдържанието на повече диалози в Windows 10 и 11. (#15729, @josephsl)
* NVDA вече няма да се проваля при прочитането на току що заредена страница в Microsoft Edge, когато се използва UI Automation. (#15736)
* Когато се активират команди за спелуване или казване на всичко, паузите между изреченията или знаците вече няма да намаляват постепенно с времето. (#15739, @jcsteh)
* NVDA няма да замръзва понякога при изговаряне на дълги текстове. (#15752, @jcsteh)
* При използване на Microsoft Edge с UI Automation, NVDA може да активира повече контроли в режим на разглеждане. (#14612)
* NVDA вече няма да се проваля при стартиране, когато конфигурационният файл е повреден. Ще бъдат възстановени настройките по подразбиране. (#15690, @CyrilleB79)
* Поправена е поддръжката за системните списъчни контроли (`SysListView32`) в Windows Forms приложенията. (#15283, @LeonarddeR)
* Вече не е възможно да презаписвате хронологията на конзолата на Python в NVDA. (#15792, @CyrilleB79)
* NVDA би трябвало да остане отзивчив, когато е натоварен с много събития на UI Automation, например ако се отпечатва дълъг текст в терминал или когато слушате гласови съобщения в WhatsApp Messenger. (#14888, #15169)
  * Това поведение може да бъде деактивирано чрез новата опция „Използвай подобрена обработка на събития“ в разширените настройки на NVDA.
* NVDA отново може да проследява фокуса в приложенията, работещи с Windows Defender Application Guard (WDAG). (#15164)
* Текстът на речта вече не се актуализира, когато мишката се движи в диалога за преглед на речта. (#15952, @hwf1324)
* В Chrome и Firefox NVDA отново ще превключва към режим на разглеждане при затваряне на падащи менюта с `Escape` или `Alt+Стрелка нагоре`. (#15653)
* При натискане на стрелки надолу и нагоре в падащи менюта на iTunes вече няма да се превключва към режим на разглеждане. (#15653)

### Промени за разработчици

Моля, обърнете се към [ръководството за разработчици](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса на оттегляне и премахване на ППИ на NVDA.

* Забележка: Това е версия, нарушаваща съвместимостта на ППИ на добавките.
Добавките ще трябва да бъдат тествани отново и манифестният им файл да се обнови.
* Компилирането на NVDA вече изисква Visual Studio 2022.
Моля, обърнете се към [документацията на NVDA](https://github.com/nvaccess/nvda/blob/release-2024.1/projectDocs/dev/createDevEnvironment.md) за конкретния списък с компоненти на Visual Studio. (#14313)
* Добавени са следните разширителни точки:
  * `treeInterceptorHandler.post_browseModeStateChange`. (#14969, @nvdaes)
  * `speech.speechCanceled`. (#15700, @LeonarddeR)
  * `_onErrorSoundRequested` (трябва да се извлече чрез извикване на `logHandler.getOnErrorSoundRequested()`) (#15691, @CyrilleB79)
* Вече е възможно да се използват форми за множествено число в преводите на добавките. (#15661, @beqabeqa473)
* Файлът python3.dll е включен в бинарната дистрибуция за използване от добавки с външни библиотеки, използващи [стабилния ППИ](https://docs.python.org/3.11/c-api/stable.html). (#15674, @mzanm)
* Базовият клас `BrailleDisplayDriver` вече разполага със свойствата `numRows` и `numCols` за предоставяне на информация за многоредови брайлови дисплеи.
Настройката `numCells` все още се поддържа за едноредови брайлови дисплеи и `numCells` ще върне общия брой клетки за многоредови брайлови дисплеи. (#15386)
* BrlAPI за BRLTTY е обновен до версия 0.8.5 и съответния модул на Python до компилация съвместима с Python 3.11. (#15652, @LeonarddeR)
* Добавена е функцията `speech.speakSsml`, която ви позволява да пишете речеви последователности на NVDA с помощта на [SSML](https://www.w3.org/TR/speech-synthesis11/). (#15699, @LeonarddeR)
  * Следните тагове в момента се поддържат и превеждат в подходящи речеви команди на NVDA:
    * `Prosody` (`pitch`, `rate` и `volume`). Поддържа се само умножение (напр. `200%`).
    * `say-as` с атрибута `interpret` зададен на `characters`
    * `voice` с `xml:lang` зададено на XML език
    * `break` с атрибута `time` зададен на стойност в милисекунди (напр. `200ms`)
    * `mark` с атрибута `name` зададен на име на вариант (напр. `mark1`), изисква предоставяне на обратно извикване
  * Пример: `speech.speakSsml('<speak><prosody pitch="200%">Hello</prosody><break time="500ms" /><prosody rate="50%">John</prosody></speak>')`
  * Възможностите за анализ на SSML се поддържат от класа `SsmlParser` в модула `speechXml`.
* Промени в библиотеката на NVDA Controller Client:
  * Имената на файловете на библиотеката вече не съдържат наставка, обозначаваща архитектурата, т.е. `nvdaControllerClient32/64.dll` вече се наричат ​​`nvdaControllerClient.dll`. (#15718, #15717, @LeonarddeR)
  * Добавен е пример за демонстрация на използване на nvdaControllerClient.dll от Rust. (#15771, @LeonarddeR)
  * Добавени са следните функции към controller client: (#15734, #11028, #5638, @LeonarddeR)
    * `nvdaController_getProcessId`: За получаване на ИД на процеса (PID) на текущо използваното от controller client копие на NVDA.
    * `nvdaController_speakSsml`: За инструктиране на NVDA да говори според дадения SSML. Тази функция също поддържа:
      * Да предоставя нивото на пунктуацията.
      * Да предоставя приоритета на речта за изговаряне.
      * Да говори както синхронно (чрез блокиране), така и асинхронно (чрез незабавно връщане).
    * `nvdaController_setOnSsmlMarkReachedCallback`: За регистриране на обратно извикване от тип `onSsmlMarkReachedFuncType`, което се извиква в синхронен режим за всеки `<mark />` таг, срещан в SSML последователността, предоставена на `nvdaController_speakSsml`.
  * Забележка: Новите функции в controller client поддържат само NVDA 2024.1 и по-нови версии.
* Обновени са зависимостите `include`:
  * detours до `4b8c659f549b0ab21cf649377c7a84eb708f5e68`. (#15695)
  * ia2 до `3d8c7f0b833453f761ded6b12d8be431507bfe0b`. (#15695)
  * sonic до `8694c596378c24e340c09ff2cd47c065494233f1`. (#15695)
  * w3c-aria-practices до `9a5e55ccbeb0f1bf92b6127c9865da8426d1c864`. (#15695)
  * wil до `5e9be7b2d2fe3834a7107f430f7d4c0631f69833`. (#15695)
* Информацията за устройството, получена от `hwPortUtils.listUsbDevices`, вече съдържа докладваното описание на USB устройството (ключ `busReportedDeviceDescription`). (#15764, @LeonarddeR)
* За USB серийни устройства `bdDetect.getConnectedUsbDevicesForDriver` и `bdDetect.getDriversForConnectedUsbDevices` вече връщат съвпадения на устройства, съдържащи `deviceInfo` речник, обогатен с данни за USB устройството, като `busReportedDeviceDescription`. (#15764, @LeonarddeR)
* Когато конфигурационният файл `nvda.ini` е повреден, се записва резервно копие, преди да бъде повторно инициализиран. (#15779, @CyrilleB79)
* Когато се дефинира скрипт с декоратора на скрипт, булевият аргумент `speakOnDemand` може да бъде зададен, за да контролира дали скриптът трябва да говори, докато е в режим на речта „при поискване“. (#481, @CyrilleB79)
  * Скриптовете, които предоставят информация (напр. докладване на заглавието на прозореца, докладване на час/дата), трябва да говорят в режим „при поискване“.
  * Скриптовете, които извършват действие (напр. преместване на курсора, промяна на параметър), не трябва да говорят в режим „при поискване“.
* Коригирана е грешка, при която изтриването на проследявани с git файлове по време на `scons -c` води до липсващи UIA COM интерфейси при повторно компилиране. (#7070, #10833, @hwf1324)
* Коригирана е грешка, при която някои промени в кода не бяха откривани при компилирането на `dist`, което пречеше на създаването на нова компилация.
Сега `dist` винаги компилира повторно. (#13372, @hwf1324)
* `gui.nvdaControls.MessageDialog` със стандартен тип по подразбиране, вече не предизвиква изключение за преобразуване None, защото не е присвоен звук. (#16223, @XLTechie)

#### Промени, нарушаващи ППИ

Това са промени, нарушаващи ППИ.
Моля, пуснете доклад в GitHub, ако вашата добавка има проблем с обновяването до новия ППИ.

* NVDA вече се компилира с Python 3.11. (#12064)
* Обновени са зависимостите pip:
  * configobj до 5.1.0dev ревизия `e2ba4457c4651fa54f8d59d8dcdd3da950e956b8`. (#15544)
  * Comtypes до 1.2.0. (#15513, @codeofdusk)
  * Flake8 до 4.0.1. (#15636, @lukaszgo1)
  * py2exe до 0.13.0.1dev ревизия `4e7b2b2c60face592e67cb1bc935172a20fa371d`. (#15544)
  * robotframework до 6.1.1. (#15544)
  * SCons до 4.5.2. (#15529, @LeonarddeR)
  * sphinx до 7.2.6. (#15544)
  * wxPython до 4.2.2a ревизия `0205c7c1b9022a5de3e3543f9304cfe53a32b488`. (#12551, #16257)
* Премахнати са зависимостите pip:
  * typing_extensions – за тях би трябвало да има вградена поддръжка в Python 3.11 (#15544)
  * nose – вместо това се използва unittest-xml-reporting за генериране на XML отчети. (#15544)
* `IAccessibleHandler.SecureDesktopNVDAObject` беше премахнато.
Вместо това, когато NVDA работи в потребителския профил, проследяването на съществуването на защитени екрани става с разширителната точка: `winAPI.secureDesktop.post_secureDesktopStateChange`. (#14488)
* `braille.BrailleHandler.handlePendingCaretUpdate` беше премахнато, без публичен заместител. (#15163, @LeonarddeR)
* `bdDetect.addUsbDevices и bdDetect.addBluetoothDevices` бяха премахнати.
Драйверите за брайлов дисплей трябва вместо това да имплементират метода на класа `registerAutomaticDetection`.
Този метод получава обект `DriverRegistrar`, върху който могат да се използват методите `addUsbDevices` и `addBluetoothDevices`. (#15200, @LeonarddeR)
* Имплементацията по подразбиране на метода за проверка на `BrailleDisplayDriver` вече изисква атрибутите `threadSafe` и `supportsAutomaticDetection` да бъдат зададени на `True`. (#15200, @LeonarddeR)
* Предаването на lambda функции към `hwIo.ioThread.IoThread.queueAsApc` вече не е възможно, тъй като функциите трябва да имат слаба референция. (#14627, @LeonarddeR)
* `IoThread.autoDeleteApcReference` беше премахнато. (#14924, @LeonarddeR)
* За да поддържат промяна на височината за главни букви, синтезаторите вече трябва изрично да декларират поддръжката си за `PitchCommand` в атрибута `supportedCommands` на драйвера. (#15433, @LeonarddeR)
* `speechDictHandler.speechDictVars` беше премахнато. Използвайте `NVDAState.WritePaths.speechDictsDir` вместо `speechDictHandler.speechDictVars.speechDictsPath`. (#15614, @lukaszgo1)
* `languageHandler.makeNpgettext` и `languageHandler.makePgettext` бяха премахнати.
`npgettext` и `pgettext` вече се поддържат вградено. (#15546)
* Модулът за приложението [Poedit](https://poedit.net) беше съществено променен. Функцията `fetchObject` беше премахната. (#15313, #7303, @LeonarddeR)
* Следните излишни типове и константи са премахнати от `hwPortUtils`: (#15764, @LeonarddeR)
  * `PCWSTR`
  * `HWND` (заменено от `ctypes.wintypes.HWND`)
  * `ULONG_PTR`
  * `ULONGLONG`
  * `NULL`
  * `GUID` (заменено от `comtypes.GUID`)
* `gui.addonGui.AddonsDialog` беше премахнато. (#15834)
* `touchHandler.TouchInputGesture.multiFingerActionLabel` беше премахнато без заместител. (#15864, @CyrilleB79)
* `NVDAObjects.IAccessible.winword.WordDocument.script_reportCurrentHeaders` беше премахнато без заместител. (#15904, @CyrilleB79)
* Следните модули за приложения са премахнати.
Кодът, който импортира от някой от тях, трябва вместо това да импортира от заместващия модул. (#15618, @lukaszgo1)

| Име на премахнатия модул |Заместващ модул|
|---|---|
|`azardi-2.0` |`azardi20`|
|`azuredatastudio` |`code`|
|`azuredatastudio-insiders` |`code`|
|`calculatorapp` |`calculator`|
|`code - insiders` |`code`|
|`commsapps` |`hxmail`|
|`dbeaver` |`eclipse`|
|`digitaleditionspreview` |`digitaleditions`|
|`esybraille` |`esysuite`|
|`hxoutlook` |`hxmail`|
|`miranda64` |`miranda32`|
|`mpc-hc` |`mplayerc`|
|`mpc-hc64` |`mplayerc`|
|`notepad++` |`notepadPlusPlus`|
|`searchapp` |`searchui`|
|`searchhost` |`searchui`|
|`springtoolsuite4` |`eclipse`|
|`sts` |`eclipse`|
|`teamtalk3` |`teamtalk4classic`|
|`textinputhost` |`windowsinternal_composableshell_experiences_textinput_inputapp`|
|`totalcmd64` |`totalcmd`|
|`win32calc` |`calc`|
|`winmail` |`msimn`|
|`zend-eclipse-php` |`eclipse`|
|`zendstudio` |`eclipse`|

#### Неща за оттегляне

* Използването на `watchdog.getFormattedStacksForAllThreads` е оттеглено. Вместо това използвайте `logHandler.getFormattedStacksForAllThreads`. (#15616, @lukaszgo1)
* `easeOfAccess.canConfigTerminateOnDesktopSwitch` е оттеглено поради безполезност, тъй като Windows 7 вече не се поддържа. (#15644, @LeonarddeR)
* `winVersion.isFullScreenMagnificationAvailable` е оттеглено. Вместо това използвайте `visionEnhancementProviders.screenCurtain.ScreenCurtainProvider.canStart`. (#15664, @josephsl)
* Следните константи за издания на Windows са оттеглени от модула winVersion (#15647, @josephsl):
  * `winVersion.WIN7`
  * `winVersion.WIN7_SP1`
  * `winVersion.WIN8`
* Константите `bdDetect.KEY_*` са оттеглени.
Вместо това използвайте `bdDetect.DeviceType.*`. (#15772, @LeonarddeR).
* Константите `bdDetect.DETECT_USB` и `bdDetect.DETECT_BLUETOOTH` са оттеглени без публичен заместител. (#15772, @LeonarddeR).
* Използването на `gui.ExecAndPump` е оттеглено. Вместо това използвайте `systemUtils.ExecAndPump`. (#15852, @lukaszgo1)

## 2023.3.4

Това е извънредно издание за коригиране на проблем със сигурността и проблем с инсталатора.
Моля, докладвайте отговорно проблемите със сигурността, следвайки [политиката за сигурност на NVDA](https://github.com/nvaccess/nvda/blob/master/security.md).

### Поправки по сигурността

* Предотвратява зареждането на персонализирана конфигурация, докато защитеният режим е принудително активен.
([GHSA-727q-h8j2-6p45](https://github.com/nvaccess/nvda/security/advisories/GHSA-727q-h8j2-6p45))

### Отстранени грешки

* Коригирана е грешка, която причиняваше неуспешно прекратяване на процеса на NVDA. (#16123)
* Коригирана е грешка, при която, ако процесът на предишното копие на NVDA не е бил прекратен правилно, инсталацията на NVDA можеше да се провали до невъзстановимо състояние. (#16122)

## 2023.3.3

Това е извънредно издание за коригиране на проблем със сигурността.
Моля, докладвайте отговорно проблемите със сигурността, следвайки [политиката за сигурност на NVDA](https://github.com/nvaccess/nvda/blob/master/security.md).

### Поправки по сигурността

* Предотвратява възможна отразена XSS атака от създадено съдържание, която да причини произволно изпълнение на код.
([GHSA-xg6w-23rw-39r8](https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8))

## 2023.3.2

Това е извънредно издание за коригиране на проблем със сигурността.
Корекцията за сигурност в 2023.3.1 не беше приложена правилно.
Моля, докладвайте отговорно проблемите със сигурността, следвайки [политиката за сигурност на NVDA](https://github.com/nvaccess/nvda/blob/master/security.md).

### Поправки по сигурността

* Корекцията за сигурност в 2023.3.1 не беше приложена правилно.
Предотвратява възможен достъп до системата и произволно изпълнение на код със системни привилегии за неупълномощени потребители.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3.1

Това е извънредно издание за коригиране на проблем със сигурността.
Моля, докладвайте отговорно проблемите със сигурността, следвайки [политиката за сигурност на NVDA](https://github.com/nvaccess/nvda/blob/master/security.md).

### Поправки по сигурността

* Предотвратява възможен достъп до системата и произволно изпълнение на код със системни привилегии за неупълномощени потребители.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3

В тази версия са направени подобрения в производителността, отзивчивостта и стабилността при извеждането на аудио.
Добавени са опции за контрол на силата на звуците и бибипканията на NVDA, както и възможност тя да се приравни с тази на гласа, който използвате.

NVDA вече може периодично да опреснява резултатите от OCR, като новият текст се изговаря след появата му.
Това може да се конфигурира от раздела „OCR на Windows“ на диалога за настройки на NVDA.

Направени са корекции, засягащи брайла, които подобряват откриването на устройства и движението на каретката.
Вече е възможно да забраните автоматичното откриване на определени драйвери за брайлови дисплеи, което ще подобри ефективността на тази функционалност.
Налични са и нови BRLTTY команди.

Коригирани са грешки в магазина за добавки и при работата с Microsoft Office, контекстните менюта на Microsoft Edge и калкулатора на Windows.

### Нови възможности

* Подобрено е управлението на звука:
  * Нов панел за аудио настройки:
    * Той може да се отваря с `NVDA+Control+U`. (#15497)
    * Опция в аудио настройките, която приравнява силата на звуците и бибипканията с тази на гласа, който използвате. (#1409)
    * Настройка за отделно конфигуриране на силата на звуците на NVDA. (#1409, #15038)
    * Настройките за избор на изходно аудио устройство, както и за включване и изключване на понижаването на другите звуци, са преместени от диалога за избор на синтезатор в новия панел за аудио настройки.
    Тези опции ще бъдат премахнати от диалога "Избор на синтезатор" във версия 2024.1 на NVDA. (#15486, #8711)
  * NVDA вече ще извежда аудио чрез Windows Audio Session API (WASAPI), което би трябвало да подобри отзивчивостта, производителността и стабилността на речта и звуците на NVDA. (#14697, #11169, #11615, #5096, #10185, #11061)
  * Забележка: WASAPI е несъвместим с някои добавки.
  Налични са подходящи обновления за тях. Моля, обновете ги преди да обновите NVDA.
  Несъвместимите версии на следните добавки ще бъдат изключени при обновяване на NVDA:
    * Tony's Enhancements версия 1.15 или по-стара. (#15402)
    * NVDA global commands extension 12.0.8 или по-стара. (#15443)
* NVDA вече може автоматично да опреснява резултата при извършване на оптично разпознаване на символи (OCR), като изговаря новия текст веднага след появата му. (#2797)
  * За да активирате тази функционалност, включете опцията „Периодично опреснявай разпознатото съдържание“ от раздела „OCR на Windows“ в диалога с настройки на NVDA.
  * След като бъде активирано, можете да включвате и изключвате изговарянето на нов текст чрез функцията за докладване на динамични промени в съдържанието (`NVDA+5`).
* Когато е включено автоматичното откриване на брайлови дисплеи, вече е възможно да предотвратите активирането на определени драйвери от диалога за избор на брайлов дисплей. (#15196)
* Нова опция в настройките за форматиране на документи, „Игнорирай празните редове при докладване на отстъпа на реда“. (#13394)
* Добавени са неприсвоени жестове за навигация по групирания и раздели в режим на разглеждане. (#15046)

### Промени

* Брайл:
  * Когато текстът в терминал се промени, без да се обнови позицията на каретката, текстът на брайловия дисплей вече ще се обновява коректно при фокусиране върху променен ред.
  Това включва ситуациите, при които брайлът следва курсора за преглед. (#15115)
  * Още клавишни комбинации на BRLTTY са асоциирани с команди на NVDA (#6483):
    * `learn`: включване и изключване на помощта за въвеждане на NVDA
    * `prefmenu`: отваря менюто на NVDA
    * `prefload`/`prefsave`: Зареждане/запазване на настройките на NVDA
    * `time`: Показва текущия час
    * `say_line`: Показва текущия ред, върху който се намира курсорът за преглед
    * `say_below`: Прочитане на всичко чрез курсора за преглед
  * Драйверът за BRLTTY е достъпен само когато е стартирано копие на BRLTTY с активиран BrlAPI. (#15335)
  * Разширената настройка за активиране на поддръжка за HID брайл е премахната в полза на нова опция.
  Вече можете да деактивирате конкретни драйвери за автоматично откриване на брайлови дисплеи от диалога за избор на брайлов дисплей. (#15196)
* Магазин за добавки: Инсталираните добавки вече ще бъдат изброени в раздела Налични добавки, ако са налични в магазина. (#15374)
* Някои клавишни комбинации в менюто на NVDA са обновени. (#15364)

### Отстранени грешки

* Microsoft Office:
  * Коригирани са сривовете в Microsoft Word, когато не са включени опциите „Докладвай заглавията“ и „Докладвай бележки и коментари“ в раздела „Форматиране на документите“. (#15019)
  * Подравняването на текста в Word и Excel ще бъде съобщавано коректно в повече ситуации. (#15206, #15220)
  * Поправено е съобщаването на някои клавишни комбинации за форматиране на клетки в Excel. (#15527)
* Microsoft Edge:
  * NVDA вече няма да се връща към последната позиция на курсора за преглед при отваряне на контекстното меню в Microsoft Edge. (#15309)
  * NVDA отново може да прочита контекстните менюта на изтегляни файлове в Microsoft Edge. (#14916)
* Брайл:
  * Брайловият курсор и индикаторите за избор вече ще се опресняват коректно след тяхното показване или скриване чрез жест. (#15115)
  * Коригирана е грешка, при която брайловите дисплеи на Albatross се опитват да се инициализират, въпреки че е свързано друго брайлово устройство. (#15226)
* Магазин за добавки:
  * Поправена е грешка, при която несъвместимите добавки се показват в магазина, въпреки че опцията „Показвай несъвместими добавки“ е изключена. (#15411)
  * Добавките, които са блокирани поради несъвместимост, би трябвало да се филтрират коректно при включване или изключване на съответния филтър. (#15416)
  * Поправена е грешка, която възпрепятства обновяването или замяната на включени несъвместими добавки чрез инструмента за външно инсталиране. (#15417)
  * Коригирана е грешка, при която NVDA не говори, докато не бъде рестартиран след инсталиране на добавка. (#14525)
  * Поправена е грешка, при която добавките не могат да бъдат инсталирани, ако предишно изтегляне е отказано или неуспешно. (#15469)
  * Отстранени са грешки в управлението на несъвместими добавки при обновяване на NVDA. (#15414, #15412, #15437)
* NVDA отново съобщава резултатите от изчисления в 32-битовия калкулатор на Windows Server, LTSC и LTSB. (#15230)
* NVDA вече не игнорира промените във фокуса, когато се озове във вложен (дъщерен) прозорец. (#15432)
* Поправена е потенциална причина за срив при стартиране на NVDA. (#15517)

### Промени за разработчици

Моля, обърнете се към [ръководството за разработчици](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса на оттегляне и премахване на ППИ на NVDA.

* `braille.handler.handleUpdate` и `braille.handler.handleReviewMove` са променени, за да не се обновяват незабавно.
Преди тази промяна, когато някой от тези методи се извикваше твърде често, това изискваше ненужно много ресурси.
Вместо това тези методи добавят обновление в опашката в края на всеки основен цикъл.
Те също трябва да са безопасни за нишките, което прави възможно извикването им от фонови нишки. (#15163)
* Добавена е официална поддръжка за регистриране на потребителски драйвери за брайлови дисплеи в процеса на автоматично откриване.
Прочетете документацията на класа `braille.BrailleDisplayDriver` за повече подробности.
Най-вече е необходимо атрибутът `supportsAutomaticDetection` да бъде зададен като `True` и да се имплементира `registerAutomaticDetection` `classmethod`. (#15196)

#### Неща за оттегляне

* `braille.BrailleHandler.handlePendingCaretUpdate` вече е оттеглен без публична замяна.
Ще бъде премахнат във версия 2024.1. (#15163)
* Оттеглено е импортирането чрез `NVDAObjects. window.excel` на следните константи: `xlCenter`, `xlJustify`, `xlLeft`, `xlRight`, `xlDistributed`, `xlBottom`, `xlTop`.
Вместо това използвайте изброяванията `XlHAlign` или `XlVAlign`. (#15205)
* Оттеглено е съпоставянето `NVDAObjects.window.excel.alignmentLabels`.
Вместо това използвайте методите `displayString` в `XlHAlign` или изброяванията `XlVAlign`. (#15205)
* `bdDetect.addUsbDevices` и `bdDetect.addBluetoothDevices` са оттеглени.
Вместо това в драйверите за брайлови дисплеи трябва да се имплементира клас метода `registerAutomaticDetection`.
Този метод получава обекта `DriverRegistrar`, с който могат да се използват методите `addUsbDevices` и `addBluetoothDevices`. (#15200)
* Имплементацията по подразбиране на метода за проверка `BrailleDisplayDriver` използва `bdDetect.driverHasPossibleDevices` за устройства, които са маркирани като безопасни за нишки.
Също така започвайки от NVDA 2024.1, за да може основният метод да използва атрибута `bdDetect.driverHasPossibleDevices`, `supportsAutomaticDetection` също трябва да бъде зададен като `True`. (#15200)

## 2023.2

В тази версия е добавен магазин за добавки, който ще замени мениджъра за управление на добавките.
Чрез магазина можете да преглеждате, търсите, инсталирате и обновявате добавки от общността на NVDA.
Също имате възможност на своя отговорност ръчно да предотвратявате проблемите с несъвместими остарели добавки.

Налични са нови брайлови функции, команди и поддръжка за още брайлови дисплеи.
Добавени са нови жестове за OCR и придвижване в равнинния изглед.
Подобрени са навигацията и докладването на форматирането в Microsoft Office.

Коригирани са множество грешки, засягащи най-вече брайла, Microsoft Office, популярните уеб браузъри и Windows 11.

Обновени са eSpeak-NG, брайловият преводач LibLouis и Unicode CLDR.

### Нови възможности

* NVDA вече разполага с магазин за добавки. (#13985)
  * Той позволява преглеждане, търсене, инсталиране и обновяване на добавки от общността.
  * Възможност за ръчно отстраняване на проблемите с несъвместимостта на остарели добавки.
  * Мениджърът на добавките е премахнат. Заменен е от магазина за добавки.
  * За повече информация прочетете обновеното ръководство на потребителя.
* Нови жестове на въвеждане:
  * Недефиниран жест за превключване между наличните езици за OCR в Windows. (#13036)
  * Недефиниран жест за превключване между различните режими за показване на брайлови съобщения. (#14864)
  * Недефиниран жест за включване и изключване на брайловия индикатор за маркиране. (#14948)
  * Добавени са жестове по подразбиране за преминаване към предишния или следващия обект в равнинния изглед на йерархията на обектите. (#15053)
    * Настолна подредба: `NVDA+9 от цифровия блок` и `NVDA+3 от цифровия блок` за преминаване към предишния и следващия обект.
    * Лаптоп подредба: `Shift+NVDA+[` и `Shift+NVDA+]` за преминаване към предишния и следващия обект.
* Нови брайлови функции:
  * Добавена е поддръжка за брайловия дисплей Help Tech Activator. (#14917)
  * Нова опция за включване и изключване на брайловия индикатор за маркиране (точки 7 и 8). (#14948)
  * Възможност за преместване по избор на системната каретка или фокуса, когато позицията на курсора за преглед бъде променена чрез брайловите клавиши за преместване в текста. (#14885, #3166)
  * При трикратно натискане на `клавиша 2 от цифровия блок` за докладване на числовата стойност на текущия знак от позицията на курсора за преглед, информацията вече се показва и чрез брайл. (#14826)
  * Добавена е поддръжка за атрибута `aria-brailleroledescription` на ARIA 1.3, който позволява на авторите на уеб съдържание да заместят типа на елемент, който се показва чрез брайлов дисплей. (#14748)
  * Брайлов драйвер на Baum: добавени са жестове за изпълнение на често използвани клавишни комбинации като `Windows+D` и `Alt+TAB`.
  За пълен списък вижте ръководството на потребителя. (#14714)
* Добавени са произношения за уникод символи:
  * брайлови символи като `⠐⠣⠃⠗⠇⠐⠜`. (#13778)
  * Емблемата на клавиша Option в операционната система Mac `⌥`. (#14682)
* Добавени са жестове за брайлови дисплеи Tivomatic Caiku Albatross. (#14844, #15002)
  * Показване на диалога за брайлови настройки
  * Достъп до лентата на състоянието
  * Промяна на формата на брайловия курсор
  * Превключване на режимите за показване на брайлови съобщения
  * Включване и изключване на брайловия курсор
  * Превключване между режимите за показване на брайловия индикатор за маркиране.
  * Превключване между стойностите на настройката „Премествай системната каретка при преместване на курсора за преглед“. (#15122)
* Функции на Microsoft Office:
  * Когато открояването е включено от настройките за форматиране на документи, неговите цветове се докладват в Microsoft Word. (#7396, #12101, #5866)
  * Когато цветовете са включени от настройките за форматиране на документи, фоновите цветове вече се докладват в Microsoft Word. (#5866)
  * При използване на клавишни комбинации за форматиране в Excel например за получер, курсив, подчертаване и зачеркване на клетка, резултатът вече се докладва. (#14923)
* Експериментално подобрено управление на звука:
  * NVDA вече може да възпроизвежда аудио чрез Windows Audio Session API (WASAPI), което би могло да подобри отзивчивостта, производителността и стабилността на речта и звуците. (#14697)
  * Използването на WASAPI може да бъде активирано от „Разширени настройки“.
  Освен това, когато WASAPI е активиран, могат да бъдат конфигурирани и следните настройки:
    * Опция, която позволява силата на звуците и бибипканията на NVDA да се променя в съответствие със силата на звука на текущия глас. (#1409)
    * Настройка за отделно конфигуриране на силата на звука, с която NVDA възпроизвежда реч и звуци. (#1409, #15038)
  * Установен е проблем, при който екранният четец периодично се срива, когато WASAPI е активиран. (#15150)
* В Mozilla Firefox и Google Chrome NVDA вече докладва, когато дадена контрола отвори диалогов прозорец, решетка, списък или дървовидна структура в случай, че разработчикът го е дефинирал чрез `aria-haspopup`. (#8235)
* Вече е възможно да се използват системни променливи (например `%temp%` или `%homepath%`) при задаването на директория, когато се създава преносимо копие на NVDA. (#14680)
* В Windows 10 от май 2019 и по-нови, NVDA вече може да съобщава имената на виртуални работни плотове при тяхното отваряне, промяна или затваряне. (#5641)
* Добавен е системен параметър, който позволява на потребителите и администраторите да принудят NVDA да се стартира в защитен режим. (#10018)

### Промени

* Обновления на компоненти:
  * eSpeak NG е обновен до 1.52-dev ревизия `ed9a7bcf`. (#15036)
  * Брайловият преводач LibLouis е обновен до [3.26.0](https://github.com/liblouis/liblouis/releases/tag/v3.26.0). (#14970)
  * CLDR е обновен до версия 43.0. (#14918)
* Промени, засягащи LibreOffice:
  * В LibreOffice Writer 7.6 и по-нови, при докладване на позицията на курсора за преглед, тази на курсора/каретката вече се съобщава в текущата страница по начин, сходен с този в Microsoft Word. (#11696)
  * В LibreOffice вече е възможно прочитане на лентата на състоянието с `NVDA+End`. (#11698)
  * При преместване в друга клетка в LibreOffice Calc, NVDA вече не съобщава неуместно координатите на фокусираната преди това клетка, когато докладването на координати на клетки е изключено от настройките на NVDA. (#15098)
* Промени, засягащи брайла:
  * Когато е свързан брайлов дисплей чрез стандартния HID брайлов драйвер, за симулиране на клавишите със стрелки и Enter може да се използва dpad.
  Също така `Интервал+Точка1` от клавиатурата на брайловия дисплей и `Интервал+Точка4` се преобразуват в стрелки нагоре и надолу. (#14713)
  * Обновяванията на динамичното уеб съдържание (ARIA live regions) вече се показват на брайл.
  Това може да бъде деактивирано от панела за разширени настройки. (#7756)
* Символите тире и дълго тире винаги ще се изпращат към синтезатора. (#13830)
* Разстоянието, съобщавано в Microsoft Word, вече ще се влияе от единицата, зададена в разширените опции на Word. Това ще се случва, дори когато се използва UIA за достъп до документи. (#14542)
* NVDA реагира по-бързо при преместване на курсора в контроли за редактиране. (#14708)
* Скриптът, който докладва местоположението на дадена връзка, вече го прави от каретката/позицията на фокуса, вместо от навигационния обект. (#14659)
* При създаване на преносимо копие вече не се изисква буквата на устройството да бъде част от пълния път. (#14680)
* Ако часовникът на Windows е конфигуриран да показва секунди в областта за уведомяване, те ще бъдат прочитани при съобщаване на текущия час с клавишната комбинация `NVDA+F12`. (#14742)
* NVDA вече ще докладва групи без етикет, които съдържат полезна информация за позицията си (например в менютата на Microsoft Office 365). (#14878)

### Отстранени грешки

* Брайл:
  * Подобрена стабилност при въвеждане и показване на текст с брайлови дисплеи, което води до по-малко грешки и сривове на NVDA. (#14627)
  * NVDA вече няма многократно да превключва към режим „Няма брайл“ по време на автоматично откриване. Това ще спомогне за по-изчистен протокол и по-малко излишно натоварване. (#14524)
  * NVDA ще превключва отново към USB, ако е намерено HID Bluetooth устройство (например HumanWare Brailliant или APH Mantis) и се появи налична USB връзка.
  Това преди е сработвало само за Bluetooth серийни портове. (#14524)
  * Когато не е свързан брайлов дисплей и брайловият визуализатор се затвори с натискане на `Alt+F4` или щракване върху бутона за затваряне, размерът на дисплея ще бъде зададен като такъв без клетки. (#15214)
* Уеб браузъри:
  * NVDA вече не причинява инцидентни сривове или замръзвания на Mozilla Firefox. (#14647)
  * В Mozilla Firefox и Google Chrome въведените знаци в някои текстови полета не се съобщават, когато тяхното изговаряне е изключено. (#8442)
  * Сега можете да използвате режима на разглеждане във вградени контроли на Chromium, където преди не е било възможно. (#13493, #8553)
  * В Mozilla Firefox при преместване на мишката върху текст след връзка, той вече се докладва правилно. (#9235)
  * В Chrome и Edge местоположението на връзки с изображения се съобщава коректно в повече ситуации. (#14783)
  * NVDA вече не мълчи при опит за докладване на URL без href атрибут.
  Вместо това екранният четец съобщава, че връзката няма местоположение. (#14723)
  * В режим на разглеждане NVDA няма некоректно да игнорира фокусирането върху родителска или дъщерна контрола например преместване от контрола към нейния родителски елемент от списък или решетка. (#14611)
    * Имайте предвид обаче, че тази корекция се прилага само когато опцията „Автоматично премествай системния фокус към фокусируемите елементи“ в настройките на режима за разглеждане, е изключена (което е така по подразбиране).
* Поправки, засягащи Windows 11:
  * NVDA отново може да прочита съдържанието на лентата на състоянието в Notepad. (#14573)
  * При превключване между раздели ще се докладва новото име на раздела и неговата позиция за Notepad и файловия мениджър. (#14587, #14388)
  * NVDA ще прочита предложения за текст при въвеждане на езици като китайски и японски. (#14509)
  * Отварянето на елементите „Сътрудници“ и „Лиценз“ от меню „Помощ“ на NVDA отново е достъпно. (#14725)
* Корекции, засягащи Microsoft Office:
  * При бързо преминаване през клетки в Excel, NVDA е по-малко вероятно да докладва грешна клетка или селекция. (#14983, #12200, #12108)
  * Когато се фокусирате върху клетка на Excel извън работен лист, брайлът и осветяването на фокуса не се обновяват ненужно от обекта, който преди това е бил на фокус. (#15136)
  * NVDA вече не пропуска да съобщи фокусирането в полета за парола в Microsoft Excel и Outlook. (#14839)
* За символи, които нямат описание в текущата локализация, ще се използва такова на английски. (#14558, #14417)
* Вече е възможно вмъкването на символа за обратна черта в полето за заместител на запис в речника, когато типът на елемента не е зададен като регулярен израз. (#14556)
* В калкулатора на Windows 10 и 11 преносимото копие на NVDA вече няма да причинява ситуации, в които не се изговаря нищо или се възпроизвеждат сигнали за грешка при въвеждане на изрази в стандартния калкулатор в режим компактен изглед. (#14679)
* NVDA се възстановява в много повече ситуации, в които приложения спират да отговарят и това е причинявало пълно забиване на екранния четец. (#14759)
* При принудително искане за поддръжка на UIA в определени терминали и конзоли, е поправена грешка, която причинява забиване и добавяне на ненужна информация в протокола. (#14689)
* NVDA вече няма да отказва да запази конфигурацията си след нейното нулиране. (#13187)
* Когато се стартира временно копие на NVDA, потребителите няма да бъдат заблуждавани, че могат да запазят конфигурацията. (#14914)
* Сега NVDA реагира малко по-бързо на команди и промени във фокуса. (#14928)
* Показването на настройките за OCR вече няма да се проваля при някои системи. (#15017)
* Коригирана е грешка, свързана със запазването и зареждането на конфигурацията на NVDA, както и с превключването на синтезатори. (#14760)
* Поправена е грешка, при която жестът за плъзгане нагоре чрез докосване премества страници вместо да премества на предишния ред. (#15127)

### Промени за разработчици

Моля, прегледайте [ръководството за разработчици (на английски език)](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса по оттегляне и премахване на ППИ на NVDA.

* Предложени конвенции са добавени към спецификациите на манифеста за добавките.
Те не са задължителни за съвместимост с NVDA, но се насърчават или изискват за изпращане в магазина за добавки.
  * Използване на `lowerCamelCase` за полето за името.
  * Използване на `<major>.<minor>.<patch>` формат за полето за версията (изисква се за съхраняването на данни за добавките).
  * Използване на `https://` като схема за полето за URL адреса (изисква се за съхраняването на данни за добавките).
* Добавен е нов тип разширителна точка, наречена `Chain`, която може да се използва за итерация върху итерируеми обекти, върнати от регистрирани манипулатори. (#14531)
* Добавена е разширителната точка `bdDetect.scanForDevices`.
Могат да се регистрират манипулатори, които връщат двойки `BrailleDisplayDriver/DeviceMatch`, които не се вписват в съществуващи категории, като USB или Bluetooth. (#14531)
* Добавена е разширителна точка: `synthDriverHandler.synthChanged`. (#14618)
* Пръстенът от настройки на синтезатора на NVDA вече кешира наличните стойности на настройките, когато са необходими за първи път, вместо при зареждане на синтезатора. (#14704)
* Вече можете да извикате метода за експортиране на карта с жестове, за да я експортирате в речник.
Този речник може да бъде импортиран в друг жест чрез предаването му на конструктора на `GlobalGestureMap` или на метода за обновяване на съществуваща карта. (#14582)
* `hwIo.base.IoBase` и неговите производни вече имат нов параметър на конструктора за приемане на `hwIo.ioThread.IoThread`.
Ако не е предоставен, се използва нишката по подразбиране. (#14627)
* `hwIo.ioThread.IoThread` вече има метод `setWaitableTimer` за задаване на чакащ таймер с помощта на функция на python.
По подобен начин новият метод `getCompletionRoutine` ви позволява безопасно да конвертирате метод на python в програма за завършване. (#14627)
* `offsets.OffsetsTextInfo._get_boundingRects` сега трябва винаги да връща `List[locationHelper.rectLTWH]`, както се очаква за подклас на `textInfos.TextInfo`. (#12424)
* `highlight-color` вече е атрибут на поле за форматиране. (#14610)
* NVDA сега би трябвало по-точно да определя дали протоколирано съобщение идва от ядрото на NVDA. (#14812)
* NVDA вече няма да протоколира неточни предупреждения или грешки относно остарелите модули за приложения. (#14806)
* Всички разширителни точки на NVDA вече са описани накратко в нова, специална глава в Ръководството за разработчици. (#14648)
* `scons checkpot` вече няма да проверява подпапката `userConfig`. (#14820)
* Преводимите низове вече могат да бъдат дефинирани с форми за единствено и множествено число с помощта на `ngettext` и `npgettext`. (#12445)

#### Неща за оттегляне

* Предаването на ламбда функции към `hwIo.ioThread.IoThread.queueAsApc` е оттеглено.
Вместо това функциите трябва да са слабо референтни. (#14627)
* Импортирането на `LPOVERLAPPED_COMPLETION_ROUTINE` от `hwIo.base` е оттеглено.
Вместо това се импортира от `hwIo.ioThread`. (#14627)
* `IoThread.autoDeleteApcReference` е оттеглено.
Беше представено в NVDA 2023.1 и никога не е трябвало да бъде част от публичния ППИ.
До премахването си се държи като no-op, т.е. контекстен мениджър, който не връща нищо. (#14924)
* `gui.MainFrame.onAddonsManagerCommand` е оттеглено. Вместо това да се използва `gui.MainFrame.onAddonStoreCommand`. (#13985)
* `speechDictHandler.speechDictVars.speechDictsPath` е оттеглено. Вместо това да се използва `NVDAState.WritePaths.speechDictsDir`. (#15021)
* Импортирането на `voiceDictsPath` и `voiceDictsBackupPath` от `speechDictHandler.dictFormatUpgrade` е оттеглено.
Вместо това да се използва `WritePaths.voiceDictsDir` и `WritePaths.voiceDictsBackupDir` от `NVDAState`. (#15048)
* `config.CONFIG_IN_LOCAL_APPDATA_SUBKEY` е оттеглено.
Вместо това да се използва `config.RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY`. (#15049)

## 2023.1

Добавена е нова опция „Стил на абзаца“ в „Навигиране в документи“.
Това може да се използва с текстови редактори, които нямат вградена навигация по абзаци, като например Notepad и Notepad++.

Има нова глобална команда за докладване на местоназначението на връзка, с назначена клавишна комбинация `NVDA+K`.

Поддръжката за анотирано уеб съдържание (като коментари и бележки под линия) е подобрена.
Натиснете `NVDA+D`, за да преминете през обобщенията, когато се докладват анотации (напр. „има коментар, има бележка под линия“).

Вече се поддържат брайловите дисплеи Tivomatic Caiku Albatross 46/80.

Поддръжката за базираните на ARM64 и AMD64 версии на Windows е подобрена.

Има много отстранени грешки, по-специално – такива, свързани с Windows 11.

Обновени са eSpeak, LibLouis, ускорителя на скоростта на речта Sonic и Unicode CLDR.
Има нови брайлови таблици за Грузински, Суахили (Кения) и Чичева (Малави).

Забележка:

* Тази версия нарушава съвместимостта със съществуващите добавки.

### Нови възможности

* Взаимодействие с Microsoft Excel посредством UI Automation: Автоматично докладване на заглавките на колоните и редовете в таблици. (#14228)
  * Забележка: Това се отнася за таблици, форматирани чрез бутона „Таблица“ в панела „Вмъкване“ на лентата с инструменти.
  „Първа колона“ и „Заглавен ред“ в „Опции за стил на таблица“ съответстват съответно на заглавки на колони и редове.
  * Това не се отнася до специфични за екранния четец заглавки чрез наименувани диапазони, които в момента не се поддържат чрез UI Automation.
* Добавен е неназначен скрипт за включване/изключване на забавените описания на символи. (#14267)
* Добавена е експериментална опция за използване на поддръжката за UIA известия в терминала на Windows, за да се докладва нов или променен текст в терминала, което води до подобрена стабилност и отзивчивост. (#13781)
  * Консултирайте се с ръководството на потребителя относно ограниченията на тази експериментална опция.
* В базираната на ARM64 Windows 11, режимът на разглеждане вече е наличен в базирани на AMD64 приложения, като например Firefox, Google Chrome и 1Password. (#14397)
* Добавена е нова опция „Стил на абзаца“ в „Навигиране в документи“.
Това добавя поддръжка за навигация по абзаци, базирани съответно на един нов ред (нормални абзаци) и няколко нови реда (блокови абзаци).
Това може да се използва с текстови редактори, които нямат вградена навигация по абзаци, като например Notepad и Notepad++. (#13797)
* Вече се докладва наличието на множество анотации.
`NVDA+D` сега циклично докладва обобщение на всякакъв вид анотации за източници, към които има различни видове анотации.
Например, когато към даден текст има коментар и бележка под линия. (#14507, #14480)
* Добавена е поддръжка за брайловите дисплеи Tivomatic Caiku Albatross 46/80. (#13045)
* Нова глобална команда: докладване на местоназначението на връзка (`NVDA+K`).
Еднократното й натискане ще изговори/изведе на брайл местоназначението на връзката, която е в навигационния обект.
При двукратно натискане ще се изведе в прозорец за по-обстоен преглед. (#14583)
* Нова, неназначена, глобална команда (в категорията „Инструменти“): Докладване на местоназначението на връзката в прозорец.
Същото като двукратното натискане на `NVDA+K`, но може да е по-полезно за ползвателите на брайл. (#14583)

### Промени

* Брайловият преводач LibLouis е обновен до версия [3.24.0](https://github.com/liblouis/liblouis/releases/tag/v3.24.0). (#14436)
  * Съществени обновления за унгарски, UEB и китайски бопомофо брайл.
  * Поддръжка за датския брайлов стандарт от 2022 г.
  * Нови брайлови таблици за грузински литературен брайл, Суахили (Кения) и Чичева (Малави).
* Библиотеката Sonic за ускоряване на скоростта на четене е обновена до компилация `1d70513`. (#14180)
* CLDR е обновено до версия 42.0. (#14273)
* eSpeak NG е обновен до версия 1.52-dev компилация `f520fecb`. (#14281, #14675)
  * Поправено е прочитането на големи числа. (#14241)
* За приложенията на Java с контроли, използващи състояние за избираемост, вече ще се докладва, когато даден елемент не е избран, а не когато елементът е избран. (#14336)

### Отстранени грешки

* Поправки за Windows 11:
  * NVDA ще докладва акцентите от търсене при отваряне на менюто „Старт“. (#13841)
  * На ARM, x64 приложенията вече не се идентифицират като ARM64 приложения. (#14403)
  * Контролите в менюто „Хронология на клипборда“, като например „Закачване на елемент“ вече са достъпни. (#14508)
  * В Windows 11 версия 22H2 и по-нови, отново е възможно да се взаимодейства с области като прозореца за препълване на системния жлеб и диалоговия прозорец „Отваряне с“ посредством мишка или сензорен екран. (#14538, #14539)
* Предложенията се докладват при въвеждане на @споменаване в коментарите на Microsoft Excel. (#13764)
* В адресната лента на Google Chrome контролите за предложения (превключване към раздел, премахване на предложение и т.н.) вече се докладват, когато са фокусирани. (#13522)
* В Wordpad или в програмата за преглед на протокола, когато се заявява информация за форматирането, цветовете вече се докладват изрично, а не само като „цвят по подразбиране“. (#13959)
* Във Firefox задействането на бутона „Show options“ на страниците с проблеми в GitHub вече работи надеждно. (#14269)
* Контролите за избор на дата в диалоговия прозорец за разширено търсене на Outlook 2016/365 вече докладват своите етикет и стойност. (#12726)
* ARIA контролите от тип „превключвател“ вече се докладват като превключватели във Firefox, Chrome и Edge, а не като полета за отмятане. (#11310)
* NVDA автоматично ще докладва състоянието на сортиране в заглавката на колона на HTML таблица, когато се промени чрез задействане на вграден бутон. (#10890)
* Името на ориентир или регион винаги се докладва автоматично при влизане в него отвън с помощта на бърза навигация или чрез фокусиране в режим на разглеждане. (#13307)
* Когато издаването на звук или казването на „главно“ за главни букви са включени със забавени описания на символите, NVDA вече няма да издава звуков сигнал или да казва „главно“ два пъти. (#14239)
* Контролите в таблици в Java приложения вече ще бъдат докладвани по-точно от NVDA. (#14347)
* Някои настройки вече няма да бъдат неочаквано различни, когато биват използвани с множество профили. (#14170)
  * Обърнато е внимание на следните настройки:
    * Отстъпа на редовете в настройките за форматиране на документите.
    * Границите на клетките в настройките за форматиране на документите.
    * Показването на съобщенията в настройките за брайл.
    * Обвързването на брайла в настройките за брайл.
  * В някои редки случаи, тези използвани в профили настройки може да бъдат неочаквано променени при инсталиране на тази версия на NVDA.
  * Моля, проверете тези настройки в профилите си, след като надстроите NVDA до тази версия.
* Вече би трябвало емоджитата да бъдат докладвани на повече езици. (#14433)
* Наличието на анотация вече не липсва на брайл за някои елементи. (#13815)
* Поправен е проблем, при който промените в конфигурацията не биват записвани правилно при смяна между опция „по подразбиране“ и стойността на опцията „по подразбиране“. (#14133)
* При настройване на NVDA винаги ще има поне един клавиш, зададен като NVDA клавиш. (#14527)
* При достъп до менюто на NVDA през областта за уведомяване NVDA вече няма да предлага чакащо обновление, когато няма налично такова. (#14523)
* Във foobar2000 оставащото, изминалото и общото времетраене вече се докладват правилно за аудио файлове с времетраене по-голямо от един ден. (#14127)
* В уеб браузъри като Chrome и Firefox предупрежденията като тези за изтегляне на файлове се извеждат и на брайл в допълнение към това, че биват изговаряни. (#14562)
* Отстранена грешка при навигиране до първата и последната колона в таблица във Firefox. (#14554)
* Когато NVDA се стартира с параметър `--lang=Windows`, отново е възможно да се отвори диалоговият прозорец с основните настройки на NVDA. (#14407)
* NVDA вече успешно продължава да чете в Kindle за компютър след обръщане на страницата. (#14390)

### Промени за разработчици

Забележка: това е версия, нарушаваща съвместимостта на ППИ на добавките.
Добавките ще трябва да бъдат тествани отново и манифестният им файл да се обнови.
Моля, направете справка с [ръководството за разработчици](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса на оттегляне и премахване на ППИ на NVDA.

* Системните тестове вече би трябвало да минават успешно, когато се изпълняват локално на неанглоезични системи. (#13362)
* В Windows 11 на ARM, x64 приложенията вече не се идентифицират като ARM64 приложения. (#14403)
* Вече не е необходимо да се използва `SearchField` и `SuggestionListItem` `UIA` `NVDAObjects` в нови сценарии за UI Automation, където автоматичното докладване на предложения за търсене и където въвеждането е изложено чрез UI Automation с шаблона `controllerFor`.
Тази функционалност вече е общодостъпна съответно чрез `behaviours.EditableText` и базовото `NVDAObject`. (#14222)
* Категорията за протоколиране за отстраняване на грешки за UIA, когато е включена, сега генерира значително повече протоколни данни за манипулаторите на събития и помощните програми на UIA. (#14256)
* Стандартите за компилиране на NVDAHelper са обновени. (#13072)
  * Сега използва стандарта C++20 (беше C++17).
  * Сега използва флага `/permissive-` на компилатора, който забранява разрешителните поведения и задава опциите на `/Zc` компилатора за стриктно съответствие.
* Някои обекти на плъгини (напр. драйвери и добавки) вече имат по-информативно описание в конзолата на Python в NVDA. (#14463)
* NVDA вече може да бъде изцяло компилирана с Visual Studio 2022, като вече не са необходими инструменти за компилиране на Visual Studio 2019. (#14326)
* По-подробно протоколиране на забиванията в NVDA, за да се подпомогне отстраняването на грешки. (#14309)
* Единичният клас `braille._BgThread` е заменен с `hwIo.ioThread.IoThread`. (#14130)
  * Единично копие на `hwIo.bgThread` (в ядрото на NVDA) от този клас осигурява фонов вход/изход за драйвери с безопасна нишка за брайлови дисплеи.
  * Този нов клас не е единичен по дизайн – авторите на добавки биват насърчавани да използват свое собствено копие, когато правят хардуерен вход/изход.
* Архитектурата на процесора за компютъра може да бъде заявена от атрибута `winVersion.WinVersion.processorArchitecture`. (#14439)
* Добавени са нови разширителни точки. (#14503)
  * `inputCore.decide_executeGesture`
  * `tones.decide_beep`
  * `nvwave.decide_playWaveFile`
  * `braille.pre_writeCells`
  * `braille.filter_displaySize`
  * `braille.decide_enabled`
  * `braille.displayChanged`
  * `braille.displaySizeChanged`
* Възможно е да се зададе „useConfig“ на „False“ в поддържаните настройки за драйвер на синтезатор. (#14601)

#### Промени, нарушаващи ППИ

Това са промени, нарушаващи ППИ.
Моля, пуснете доклад в GitHub, ако вашата добавка има проблем с обновяването до новия ППИ.

* Спецификацията на конфигурацията е променена – премахнати са или са променени ключове:
  * В раздела `[documentFormatting]` (#14233):
    * `reportLineIndentation` съхранява целочислена стойност (от 0 до 3) вместо булева такава.
    * `reportLineIndentationWithTones` е премахнато.
    * `reportBorderStyle` и `reportBorderColor` са премахнати и са заменени от `reportCellBorders`.
  * В раздела `[braille]` (#14233):
    * `noMessageTimeout` е премахнато и заменено със стойност за `showMessages`.
    * `messageTimeout` вече не може да приема стойност 0 – заменено е от стойност за `showMessages`.
    * `autoTether` е премахнато – вместо това, `tetherTo` вече може да приема стойността „auto“.
  * В раздела `[keyboard]` (#14528):
    * `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` са премахнати.
    Заменени са с `NVDAModifierKeys`.
* Класът `NVDAHelper.RemoteLoader64` е премахнат без заместител. (#14449)
* Следните функции в `winAPI.sessionTracking` са премахнати без заместители. (#14416, #14490)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`
* Вече не е възможно да се активира/деактивира брайловият манипулатор чрез задаване на `braille.handler.enabled`.
За да се деактивира брайловият манипулатор програмно, трябва да се регистрира манипулатор на `braille.handler.decide_enabled`. (#14503)
* Вече не е възможно да се обнови размерът на дисплея на манипулатора чрез задаване на `braille.handler.displaySize`.
За да се обнови размерът на дисплея програмно, трябва да се регистрира манипулатор на `braille.handler.filter_displaySize`.
Направете справка с `brailleViewer` за пример как да се направи това. (#14503)
* Има промени в използването на `addonHandler.Addon.loadModule`. (#14481)
  * `loadModule` вече очаква точка като разделител, вместо обратно наклонена черта.
  Например „lib.example“ вместо „lib\example“.
  * `loadModule` вече предизвиква изключение, когато модул не може да бъде зареден или има грешки, вместо без предупреждение да връща `None`, без да дава информация за причината.
* Следните символи са премахнати от `appModules.foobar2000` без директни заместители. (#14570)
  * `statusBarTimes`
  * `parseIntervalToTimestamp`
  * `getOutputFormat`
  * `getParsingFormat`
* Следните вече не са единични (singletons) – методът им get е премахнат.
Използването на `Example.get()` вече е `Example()`. (#14248)
  * `UIAHandler.customAnnotations.CustomAnnotationTypesCommon`
  * `UIAHandler.customProps.CustomPropertiesCommon`
  * `NVDAObjects.UIA.excel.ExcelCustomProperties`
  * `NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes`

#### Неща за оттегляне

* `NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA` е оттеглено и използването му не се препоръчва. (#14047)
* `config.addConfigDirsToPythonPackagePath` е преместено.
Вместо това използвайте `addonHandler.packaging.addDirsToPythonPackagePath`. (#14350)
* `braille.BrailleHandler.TETHER_*` са оттеглени.
Вместо това използвайте `configFlags.TetherTo.*.value`. (#14233)
* `utils.security.postSessionLockStateChanged` е оттеглено.
Вместо това използвайте `utils.security.post_sessionLockStateChanged`. (#14486)
* `NVDAObject.hasDetails`, `NVDAObject.detailsSummary`, `NVDAObject.detailsRole` са оттеглени.
Вместо това използвайте `NVDAObject.annotations`. (#14507)
* `keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS` е оттеглено без директен заместител.
Вместо това се препоръчва използването на класа `config.configFlags.NVDAKey`. (#14528)
* `gui.MainFrame.evaluateUpdatePendingUpdateMenuItemCommand` е оттеглено.
Вместо това използвайте `gui.MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand`. (#14523)

## 2022.4

Тази версия включва някои нови клавишни комбинации, включително такива за прочитане на всичко в таблици.
В ръководството на потребителя е добавен раздел „Кратко начално ръководство“.
Коригирани са и някои грешки.

eSpeak и LibLouis са обновени.
Добавени са нови брайлови таблици за китайски, шведски, луганда и киняруанда.

### Нови възможности

* В ръководството за потребителя е добавен раздел „Кратко начално ръководство“. (#13934)
* Налична е нова команда за проверка на клавишната комбинация на текущия фокус. (#13960)
  * Настолна: `Shift+2 от цифровия блок`.
  * Лаптоп: `NVDA+Control+Shift+Точка`.
* Добавени са нови команди за преместване на курсора за преглед по страници, когато това се поддържа от приложението. (#14021)
  * Преминаване към предишна страница:
    * Настолна: `NVDA+Page Up`.
    * Лаптоп: `NVDA+Shift+Page Up`.
  * Преминаване към следваща страница:
    * Настолна: `NVDA+Page Down`.
    * Лаптоп: `NVDA+Shift+Page Down`.
* Добавени са следните команди за таблици. (#14070)
  * Прочитане на цялата колона в посока надолу: `NVDA+Control+Alt+Стрелка надолу`
  * Прочитане на целия ред в посока надясно: `NVDA+Control+Alt+Стрелка надясно`
  * Прочитане на цялата колона в посока нагоре: `NVDA+Control+Alt+Стрелка нагоре`
  * Прочитане на целия ред в посока наляво: `NVDA+Control+Alt+Стрелка наляво`
* В Microsoft Excel NVDA вече съобщава чрез UI Automation при излизане от таблица. (#14165)
* Докладването на заглавията в таблици вече може да се конфигурира поотделно за редовете и колоните. (#14075)

### Промени

* eSpeak NG е обновен до 1.52-dev ревизия `735ecdb8`. (#14060, #14079, #14118, #14203)
  * Коригирано е докладването на букви на латиница при използване на мандарин. (#12952, #13572, #14197)
* Брайловият преводач LibLouis е обновен до [3.23.0](https://github.com/liblouis/liblouis/releases/tag/v3.23.0). (#14112)
  * Добавени са следните брайлови таблици:
    * Китайски общ брайл (опростени китайски йероглифи)
    * Киняруанда литературен брайл
    * Лугандски литературен брайл
    * Шведски литературен брайл
    * Шведски частично съкратен брайл
    * Шведски брайлов краткопис
    * Китайски (Китай, Мандарин), текуща брайлова система (без тонове)
* NVDA вече включва архитектурата на операционната система като част от проследяването на потребителски статистики. (#14019)

### Отстранени грешки

* При обновяване на NVDA посредством Windows Package Manager CLI (наричан още winget), официално публикувана версия на NVDA вече не винаги се третира като по-нова от всяка алфа версия, която е инсталирана. (#12469)
* NVDA ще докладва правилно групови полета в Java приложения. (#13962)
* Каретката адекватно следва изговаряния текст по време на „Прочитане на всичко“ в приложения като Bookworm, WordPad или визуализатора на протокола на NVDA. (#13420, #9179)
* В програми, използващи UI Automation, наполовина отметнатите отметки ще бъдат докладвани коректно. (#13975)
* Подобрена производителност и стабилност в Microsoft Visual Studio, Windows Terminal и други базирани на UI Automation приложения. (#11077, #11209)
  * Тези поправки се отнасят за Windows 11 Sun Valley 2 (версия 22H2) и по-нови.
  * По подразбиране вече са разрешени избирателната регистрация за събития и промените в свойствата чрез UI Automation.
* Докладването на текст, брайловият изход и скриването на пароли вече работят според очакванията във вградения Windows Terminal на Visual Studio 2022. (#14194)
* NVDA вече се съобразява с DPI, когато се използват няколко монитора.
Направени са няколко поправки при използване на повече от един монитор или DPI настройка, по-висока от 100%.
Все още е възможно да  се появяват проблеми във версии на Windows, по-стари от Windows 10 1809.
За да работят тези корекции, приложенията, с които NVDA взаимодейства, също трябва да се съобразяват с DPI.
Имайте предвид, че все още се проявяват някои проблеми с Chrome и Edge. (#13254)
  * Рамките за визуално открояване вече ще бъдат правилно поставяни в по-голямата част от приложенията. (#13370, #3875, #12070)
  * Взаимодействието със сензорен екран е прецизирано за повечето приложения. (#7083)
  * Проследяването на мишката вече работи за почти всички приложения.
* Промените в ориентацията (пейзажна/портретна) вече се игнорират коректно, когато не са се случили (например при смяна на монитора). (#14035)
* NVDA ще докладва влаченето на елементи по екрана при пренареждане на плочки в менюто „Старт“ на Windows 10 и виртуални работни плотове в Windows 11. (#12271, #14081)
* В разширените настройки опцията „Просвирвай звук за протоколирани грешки“, се възстановява до стойността си по подразбиране при натискане на бутона „Възстанови настройките по подразбиране“. (#14149)
* NVDA вече може да избира текст чрез клавишната комбинация `NVDA+F10` в Java приложения. (#14163)
* NVDA вече няма да забива в меню, когато се придвижвате със стрелки нагоре и надолу в списъка с групирани дискусии на Microsoft Teams. (#14355)

### Промени за разработчици

Моля, прегледайте [ръководството за разработчици (на английски език)](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) за информация относно процеса по оттегляне и премахване на ППИ на NVDA.

* Беше създаден [пощенският списък за анонси за ППИ на NVDA (на английски език)](https://groups.google.com/a/nvaccess.org/g/nvda-api/about). (#13999)
* NVDA вече не обработва събития от тип `textChange` за повечето приложения, използващи UI Automation, поради тяхното изключително отрицателно въздействие върху производителността. (#11002, #14067)

#### Неща за оттегляне

* `core.post_windowMessageReceipt` е оттеглено – вместо това използвайте `winAPI.messageWindow.pre_handleWindowMessage`.
* `winKernel.SYSTEM_POWER_STATUS` е оттеглено и използването му не се препоръчва. Преместено е в `winAPI._powerTracking.SystemPowerStatus`.
* Константите `winUser.SM_*` са оттеглени – вместо това използвайте `winAPI.winUser.constants.SystemMetrics`.

## 2022.3.3

Това е второстепенна версия за отстраняване на проблеми с 2022.3.2, 2022.3.1 и 2022.3.
Също така се адресира и проблем със сигурността.

### Поправки по сигурността

* Предотвратява възможен достъп до системата (напр. конзолата на Python в NVDA) за неупълномощени потребители.
([GHSA-fpwc-2gxx-j9v7](https://github.com/nvaccess/nvda/security/advisories/GHSA-fpwc-2gxx-j9v7))

### Отстранени грешки

* Отстранена е грешка, при която, ако NVDA забие при заключване, NVDA ще позволи достъп до потребителския работен плот, докато фокусът е на екрана за заключване на Windows. (#14416)
* Отстранена е грешка, при която, ако NVDA забие при заключване, NVDA няма да се държи правилно, сякаш устройството все още е заключено. (#14416)
* Отстранени са проблеми с достъпността, свързани с процеса на Windows „Забравих своя ПИН“ и процедурата при обновяване/инсталиране на Windows. (#14368)
* Отстранена грешка, проявяваща се при опит за инсталиране на NVDA в някои Windows среди (напр. Windows Server). (#14379)

### Промени за разработчици

#### Неща за оттегляне

* `utils.security.isObjectAboveLockScreen(obj)` е оттеглено. Вместо това използвайте `obj.isBelowLockScreen`. (#14416)
* Следните функции в `winAPI.sessionTracking` са планирани за оттегляне във версия 2023.1. (#14416)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`

## 2022.3.2

Това е второстепенна версия за коригиране на регресии от 2022.3.1 и адресиране на проблем със сигурността.

### Поправки по сигурността

* Предотвратява възможен достъп на системно ниво за неупълномощени потребители.
([GHSA-3jj9-295f-h69w](https://github.com/nvaccess/nvda/security/advisories/GHSA-3jj9-295f-h69w))

### Отстранени грешки

* Поправка на регресия от 2022.3.1, при която определена функционалност бива деактивирана на защитени екрани. (#14286)
* Поправка на регресия от 2022.3.1, при която определена функционалност бива деактивирана след влизане, ако NVDA е бил стартиран на екрана за заключване. (#14301)

## 2022.3.1

Това е малко издание, което отстранява проблем със сигурността.
Моля, докладвайте открити проблеми свързани със сигурността на е-поща <info@nvaccess.org>.

### Поправки по сигурността

* Поправена е уязвимост, при която беше възможно обикновен потребител да получи администраторски права.
([GHSA-q7c2-pgqm-vvw5](https://github.com/nvaccess/nvda/security/advisories/GHSA-q7c2-pgqm-vvw5))
* Поправен проблем със сигурността, позволяващ достъп до конзолата на Python на заключения екран при определени условия за стартиране на NVDA.
([GHSA-72mj-mqhj-qh4w](https://github.com/nvaccess/nvda/security/advisories/GHSA-72mj-mqhj-qh4w))
* Поправен проблем, при който текстът от визуализатора на речта се кешира при заключване на Windows.
([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

### Отстранени грешки

* Предотвратяване на неупълномощен потребител да променя настройките за речта и брайловия визуализатор на заключения екран. ([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

## 2022.3

Значителна част от кода в това издание е допринесен от общността от разработчици на NVDA.
Това включва забавените описания на знаци и подобрена поддръжка за конзолата на Windows.

Това издание също така включва няколко корекции на грешки.
По-специално, актуалните версии на Adobe Acrobat/Reader вече няма да се сриват при четене на PDF документ.

eSpeak е обновен и вече включва 3 нови езика: беларуски, люксембургски и Тотонтепек Микс.

### Нови възможности

* В контейнера на конзолата на Windows, използван от командния ред, PowerShell и подсистемата на Windows за Linux под Windows 11 версия 22H2 (Sun Valley 2) и по-нови версии:
  * Значително подобрени производителност и стабилност. (#10964)
  * При натискане на `Control+F` за търсене на текст, позицията на курсора за преглед се актуализира, за да следва намерения низ. (#11172)
  * Докладването на въведен текст, който не се показва на екрана (например пароли), по подразбиране е изключено.
Може да се включи отново в панела с разширените настройки на NVDA. (#11554)
  * Текст, който е превъртян извън екрана, може да бъде прегледан без нуждата от превъртане на прозореца на конзолата. (#12669)
  * Налична е по-подробна информация за форматирането на текста. ([microsoft/terminal PR 10336](https://github.com/microsoft/terminal/pull/10336))
* Добавена е нова опция в раздела за речта за произнасяне със забавяне на описания на символи. (#13509)
* Добавена е нова опция в раздела за брайл за указване дали превъртането на дисплея напред/назад трябва да прекъсва речта. (#2124)

### Промени

* eSpeak NG е обновен до версия 1.52-dev компилация `9de65fcb`. (#13295)
  * Добавени езици:
    * Беларуски
    * Люксембургски
    * Тотонтепек Микс
* При използване на UI Automation за достъп до контролите на електронни таблици на Microsoft Excel NVDA вече може да докладва, когато дадена клетка е обединена. (#12843)
* Вместо да се докладва „има подробности“, се включва целта на подробностите, където това е възможно (например „има коментар“). (#13649)
* Инсталационният размер на NVDA вече се показва в секцията „Приложения и функции“ на Windows. (#13909)

### Отстранени грешки

* Adobe Acrobat/Reader с 64-битова архитектура вече няма да се срива при четене на PDF документ. (#12920)
  * Имайте предвид, че за да се избегне сриването, се изисква и най-актуалната версия на Adobe Acrobat/Reader.
* Мерните единици за размера на шрифта вече могат да се преведат в NVDA. (#13573)
* Игнориране на събития на Java Access Bridge, при които не може да бъде намерен манипулатор на прозорец за Java приложения.
Това ще подобри производителността в някои Java приложения, включително IntelliJ IDEA. (#13039)
* Докладването на избрани клетки в LibreOffice Calc е по-ефективно и вече не води до забиване на Calc, когато са избрани много клетки. (#13232)
* Когато се изпълнява под друг потребител, Microsoft Edge вече не е недостъпен. (#13032)
* Когато умножаването на скоростта е изключено, скоростта на eSpeak вече не пада между скоростите 99% и 100%. (#13876)
* Отстранена е грешка, която позволява отварянето на два прозореца „Жестове на въвеждане“. (#13854)

### Промени за разработчици

* Comtypes е обновено до версия 1.1.11. (#12953)
* В компилации на Windows Console (`conhost.exe`) с NVDA ППИ ниво 2 (`FORMATTED`) или по-високо, като тези, включени в Windows 11 версия 22H2 (Sun Valley 2), UI Automation вече се използва по подразбиране. (#10964)
  * Това може да бъде отменено чрез промяна на настройката „Поддръжка за конзолата на Windows“ в панела с разширените настройки на NVDA.
  * За да установите нивото на NVDA ППИ за вашата конзола на Windows, задайте „Поддръжка за конзолата на Windows“ на „UIA когато е налично“, след което проверете протоколния файл с NVDA+F1, извикан от работещо копие на конзолата на Windows.
* Виртуалният буфер на Chromium вече се зарежда дори когато обектът на документа е с MSAA състояние `STATE_SYSTEM_BUSY`, изложено чрез IA2. (#13306)
* Създаден е тип спецификация на конфигурация `featureFlag` за използване с експериментални функции в NVDA. Вижте `devDocs/featureFlag.md` за повече информация. (#13859)

#### Неща за оттегляне

За версия 2022.3 няма предложени неща за оттегляне.

## 2022.2.4

Това е малко издание, което отстранява проблем със сигурността.

### Отстранени грешки

* Поправена е уязвимост, при която беше възможно да се отвори конзолата на python на NVDA на заключения екран чрез програмата за преглед на протокола.
([GHSA-585m-rpvv-93qg](https://github.com/nvaccess/nvda/security/advisories/GHSA-585m-rpvv-93qg))

## 2022.2.3

Това е корективна версия за поправка на случайно повреждане на ППИ, представено във версия 2022.2.1.

### Отстранени грешки

* Поправен е проблем, при който NVDA не докладваше „екран за сигурност“ при влизане в екран за сигурност.
Това предизвика NVDA Remote да не разпознава екраните за сигурност. (#14094)

## 2022.2.2

Това е корективно издание за отстраняване на грешка, появила се в 2022.2.1, засягаща жестовете на въвеждане.

### Отстранени грешки

* Поправена е грешка, при която жестовете на въвеждане не винаги работеха. (#14065)

## 2022.2.1

Това е малко издание, което отстранява проблем със сигурността.
Моля, докладвайте открити проблеми свързани със сигурността на е-поща <info@nvaccess.org>.

### Поправки по сигурността

* Поправена е уязвимост, при която беше възможно да се стартира конзола на Python от заключен екран. (GHSA-rmq3-vvhq-gp32)
* Поправена е уязвимост, при която беше възможно да се избегне заключения екран с помощта на обектната навигация. (GHSA-rmq3-vvhq-gp32)

### Промени за разработчици

#### Неща за оттегляне

Оттеглянето на тези неща понастоящем не е планирано.
Оттеглените псевдоними ще останат до следващо предизвестие.
Моля, тествайте новия ППИ и изпратете обратна връзка.
До разработчиците на добавки – моля, пуснете доклад в GitHub, ако тези промени пречат на ППИ да отговаря на вашите нужди.

* `appModules.lockapp.LockAppObject` трябва да се замести с `NVDAObjects.lockscreen.LockScreenObject`. (GHSA-rmq3-vvhq-gp32)
* `appModules.lockapp.AppModule.SAFE_SCRIPTS` трябва да се замести с `utils.security.getSafeScripts()`. (GHSA-rmq3-vvhq-gp32)

## 2022.2

Тази версия включва много корекции на грешки.
Открояващи се са значителните подобрения за базирани на Java приложения, брайлови дисплеи и функции на Windows.

Добавени са нови команди за навигация в таблици.
Обновен е Unicode CLDR.
Обновен е Liblouis. Новата версия включва нова немска брайлова таблица.

### Нови възможности

* Поддръжка за взаимодействие с компонентите на Microsoft Loop в продукти на Microsoft Office. (#13617)
* Добавени са нови команди за навигация в таблици. (#957)
 * `Control+Alt+Home/End` за придвижване до първата/последната колона.
 * `Control+Alt+Page Up/Page Down` за придвижване до първия/последния ред.
* Добавен е неприсвоен скрипт за превключване между режимите за автоматична промяна на езика и диалекта. (#10253)

### Промени

* NSIS е обновен до версия 3.08. (#9134)
* CLDR е обновен до версия 41.0. (#13582)
* Брайловият преводач Liblouis е обновен до версия [3.22.0](https://github.com/liblouis/liblouis/releases/tag/v3.22.0). (#13775)
  * Нова брайлова таблица: Немски, ниво 2 (подробен)
* Добавена е нова роля за контроли от тип „индикатор за заетост“. (#10644)
* NVDA вече докладва, когато действие на NVDA не може да бъде извършено. (#13500)
  * Това включва случаите, в които:
    * Се използва версията на NVDA от магазина на Windows.
    * Е в действие защитен режим.
    * Се изчаква отговор на модален диалог.

### Отстранени грешки

* Поправки за базирани на Java приложения:
  * NVDA вече ще докладва дали контролата е само за четене. (#13692)
  * NVDA вече правилно ще докладва дали контролата е забранена/разрешена. (#10993)
  * NVDA вече ще докладва функционалните клавиши в клавишните команди. (#13643)
  * NVDA вече може да докладва лентите за напредъка чрез звук или говор. (#13594)
  * NVDA вече няма неправилно да премахва текст от приспособления при представянето им на потребителя. (#13102)
  * NVDA вече ще докладва състоянието на бутоните за превключване. (#9728)
  * NVDA вече ще разпознава прозореца в Java приложение с множество прозорци. (#9184)
  * NVDA вече ще докладва информацията за позицията за контролите на разделите. (#13744)
* Поправки за брайла:
  * Поправен е брайловият изход при навигация в определен текст в текстовите контроли с разширено форматиране на Mozilla, като например писане на съобщение в Thunderbird. (#12542)
  * Когато брайлът е обвързан автоматично и мишката се движи с включено проследяване на мишката,
   командите за преглед на текст вече опресняват брайловия дисплей с изговореното съдържание. (#11519)
  * Вече е възможно да придвижвате брайловия дисплей през съдържание след използване на команди за преглед на текст. (#8682)
* Инсталаторът на NVDA вече може да работи от директории със специални знаци. (#13270)
* Във Firefox NVDA вече успешно докладва елементи в уеб страници, когато атрибутите aria-rowindex, aria-colindex, aria-rowcount или aria-colcount са невалидни. (#13405)
* Курсорът вече не преминава към друг ред или колона, когато се използват команди за навигация в таблица за навигиране през обединени клетки. (#7278)
* При четене в Adobe Reader на PDF файлове без възможност за взаимодействие, типът и състоянието на формулярните полета (като полета за отметка и радио бутони) вече се докладват. (#13285)
* Командата „Възстанови настройките до заводските стойности“ вече е достъпна в менюто на NVDA в защитен режим. (#13547)
* Всички заключени клавиши на мишката ще бъдат отключени при изход от NVDA. Досега бутонът на мишката оставаше заключен. (#13410)
* Във Visual Studio вече се докладват номерата на редовете. (#13604)
  * Обърнете внимание, че за да работи докладването на номерата на редовете, трябва да са включени съответните опции – тази за показването на номерата на редовете във Visual Studio и тази за докладването им в NVDA.
* Във Visual Studio вече правилно се докладва отстъпа на реда. (#13574)
* NVDA отново ще докладва подробности за резултатите от търсенето в менюто „Старт“ в последните версии на Windows 10 и 11. (#13544)
* Във версия 10.1908 и по-нови на калкулатора в Windows 10 и 11
NVDA ще докладва резултатите при задействане на много повече команди, като например команди в научен режим. (#13383)
* В Windows 11 отново е възможно да се навигира и взаимодейства с елементи на потребителския интерфейс,
като лентата на задачите и изгледа на задачи, при използване на взаимодействие с мишка и докосване. (#13506)
* NVDA ще докладва съдържанието на лентата на състоянието в Notepad в Windows 11. (#13688)
* Открояването на навигационния обект вече се показва веднага след задействането на функцията. (#13641)
* Поправено е четенето на елементи в списъчен изглед с една колона. (#13659, #13735)
* Поправено е автоматичното превключване на езика на eSpeak за английски и френски, при която ситуация се връщаше към британски английски и френски (Франция). (#13727)
* Поправено е автоматичното превключване на езика на OneCore при опит за превключване към предходно инсталиран език. (#13732)

### Промени за разработчици

* Вече се поддържа компилиране на зависимости на NVDA с Visual Studio 2022 (17.0).
За компилации за разработка и публични издания все още се използва Visual Studio 2019. (#13033)
* При извличане на броя на избраните дъщерни обекти чрез accSelection,
случаят, когато отрицателен идентификатор на дъщерен обект или IDispatch се връща от `IAccessible::get_accSelection`, вече се обработва правилно. (#13277)
* Добавени са нови функции за удобство – `registerExecutableWithAppModule` и `unregisterExecutable` към модула `appModuleHandler`.
Те могат да се използват за използване на един модул на приложението с множество изпълними файлове. (#13366)

#### Неща за отхвърляне

Това са предложени промени, нарушаващи ППИ (API).
Отхвърлената част от ППИ ще продължи да бъде налична до посоченото издание.
Ако не е указано издание, планът за премахване не е определен.
Обърнете внимание, че плановете за премахванията са относителни и може да подлежат на промяна.
Моля, тествайте новия ППИ и предоставяйте обратна връзка.
За разработчиците на добавки – моля, пуснете доклад в GitHub, ако тези промени спират ППИ да отговаря на вашите нужди.

* `appModuleHandler.NVDAProcessID` е оттеглен. Вместо това използвайте `globalVars.appPid`. (#13646)
* `gui.quit` е оттеглен. Вместо това използвайте `wx.CallAfter(mainFrame.onExitCommand, None)`. (#13498)
  -
* Някои псевдоними за модули за приложения са отбелязани като оттеглени.
Кодът, който импортира от някой от тях, трябва вместо това да импортира от заместващия модул.  (#13366)

| Име на премахнатия модул |Заместващ модул|
|---|---|
|azuredatastudio |code|
|azuredatastudio-insiders |code|
|calculatorapp |calculator|
|code - insiders |code|
|commsapps |hxmail|
|dbeaver |eclipse|
|digitaleditionspreview |digitaleditions|
|esybraille |esysuite|
|hxoutlook |hxmail|
|miranda64 |miranda32|
|mpc-hc |mplayerc|
|mpc-hc64 |mplayerc|
|notepad++ |notepadPlusPlus|
|searchapp |searchui|
|searchhost |searchui|
|springtoolsuite4 |eclipse|
|sts |eclipse|
|teamtalk3 |teamtalk4classic|
|textinputhost |windowsinternal_composableshell_experiences_textinput_inputapp|
|totalcmd64 |totalcmd|
|win32calc |calc|
|winmail |msimn|
|zend-eclipse-php |eclipse|
|zendstudio |eclipse|

## 2022.1

Тази версия включва значителни подобрения в поддръжката на MS Office чрез UIA.
За Microsoft Office 16.0.15000 и по-нови в Windows 11, NVDA ще използва UI Automation за достъп до Microsoft Word документи по подразбиране.
Това осигурява по-висока производителност в сравнение с предишния начин за достъп чрез обектния модел.

Направени са подобрения на драйверите за брайловите дисплеи Seika Notetaker, Papenmeier и HID Braille.
Налични са и множество корекции на грешки в Windows 11 за приложения като Калкулатор, Конзола, Терминал, Поща и панела за емоджи.

eSpeak-NG и Liblouis са обновени, добавени са нови таблици за японски, немски и каталунски.

Забележка:

 * Тази версия нарушава съвместимостта със съществуващите добавки.

### Нови възможности

* Поддръжка за докладване на бележки в MS Excel с включен UI Automation в Windows 11. (#12861)
* Наличието на показалци, чернови на коментари и разрешени коментари в последните версии на Microsoft Word вече се съобщава чрез реч и брайл посредством UI Automation в Windows 11. (#12861)
* Новият `--lang` параметър на командния ред позволява промяна на конфигурирания език на NVDA. (#10044)
* NVDA вече предупреждава за параметри на командния ред, които са неизвестни и не се използват от никоя добавка. (#12795)
* В Microsoft Word, достъпен чрез UI Automation, NVDA вече ще използва mathPlayer за четене и навигация в математически уравнения на Office. (#12946)
  * За да сработи това, трябва да използвате Microsoft Word 365/2016 компилация 14326 или по-нови.
  * MathType уравненията също трябва да бъдат ръчно преобразувани в Office Math, като за всяко отворете контекстното меню, влезте в „Опции за уравнение“ и изберете „Преобразуване в Office Math“.
* Съобщаването на „Има подробности“ и свързаната с това команда за обобщаване на връзките между детайлите са налични и в режим на фокус. (#13106)
* Seika Notetaker вече се разпознава автоматично при свързване чрез USB и Bluetooth. (#13191, #13142)
  * Това засяга следните устройства: MiniSeika (16, 24 клетки), V6 и V6Pro (40 клетки)
  * Поддържа се и ръчното избиране на Bluetooth COM порт.
* Добавена е команда за включване и изключване на брайловия визуализатор. Няма асоцииран жест по подразбиране. (#13258)
* Добавени са команди за превключване на няколко модификатора едновременно с брайлов дисплей. (#13152)
* Диалогът на всеки речник на NVDA вече включва бутон „Премахни всички“ за изчистване на всички записи. (#11802)
* Добавена е поддръжка за калкулатора на Windows 11. (#13212)
* Номерата на редовете и секциите в Microsoft Word вече могат да се докладват с включен UI Automation в Windows 11. (#13283, #13515)
* В Microsoft Office 16.0.15000 и по-нови, NVDA по подразбиране ще използва UI Automation в Windows 11 за достъп до документи в Microsoft Word. Това ще осигури значително по-висока производителност в сравнение с предишния метод за достъп чрез обектния модел. (#13437)
 * Това включва документи в самия Microsoft Word, както и във визуализатора и редактора на съобщения в Microsoft Outlook.

### Промени

* eSpeak-NG е обновен до 1.51-dev ревизия `7e5457f91e10`. (#12950)
* Брайловият преводач Liblouis е обновен до [3.21.0](https://github.com/liblouis/liblouis/releases/tag/v3.21.0). (#13141, #13438)
  * Добавена е нова брайлова таблица: Японски (Кантенджи) литературен брайл.
  * Добавена е нова брайлова таблица: Немски 6-точков компютърен брайл.
  * Добавена е нова брайлова таблица: Каталунски ниво 1. (#13408)
* NVDA ще докладва селекциите и обединените клетки в LibreOffice Calc 7.3 и по-нови. (#9310, #6897)
* Хранилището за общи езикови данни на Уникод (CLDR) е обновено до 40.0. (#12999)
* `NVDA+Delete от цифровия блок` по подразбиране докладва местоположението на каретката или фокусирания обект. (#13060)
* `NVDA+Shift+Delete от цифровия блок` докладва местоположението на курсора за преглед. (#13060)
* Добавени са комбинации по подразбиране за превключване на модификаторите за дисплеи на Freedom Scientific. (#13152)
* Вече не се съобщава „Базова линия“ при използване на командата за докладване на форматирането на текста (`NVDA+F`). (#11815)
* Извеждането на подробно описание вече по подразбиране няма присвоен жест. (#13380)
* Докладването на обобщение за подробностите вече има жест по подразбиране (`NVDA+D`). (#13380)
* NVDA трябва да се рестартира след инсталиране на MathPlayer. (#13486)

### Отстранени грешки

* Панелът за мениджъра на клипборда вече няма да присвоява неправилно фокуса при отваряне на някои Office програми. (#12736)
* В системи, в които потребителят е избрал да размени левия бутон на мишката с десния, NVDA вече няма случайно да извежда контекстно меню при опит за активиране на елемент в приложения като например уеб браузъри. (#12642)
* Когато при преместване на курсора за преглед се стигне до края на текстова контрола например в Microsoft Word с UI Automation, „долен край“ се съобщава коректно в повече ситуации. (#12808)
* NVDA вече може да докладва името и версията на поставени в system32 изпълними файлове, когато работи в 64-битова версия на Windows. (#12943)
* Подобрена е последователността при четене на изходния текст в терминални приложения. (#12974)
  * Имайте предвид, че в някои ситуации при вмъкване или изтриване на знаци в средата на ред, символите след каретката може отново да бъдат прочитани.
* MS Word с UIA: Бързата навигация по заглавия в режим на разглеждане вече не се блокира на последното заглавие на документ, нито то се показва два пъти в списъка с елементи на NVDA. (#9540)
* В Windows 8 и по-нови, лентата на състоянието на файловия мениджър вече може да бъде прочетена чрез стандартната команда NVDA+End (настолна подредба) / NVDA+Shift+End (лаптоп подредба). (#12845)
* Входящите съобщения в чата на Skype for Business отново се докладват. (#9295)
* NVDA може отново да понижава звука, когато използва SAPI5 синтезатор в Windows 11. (#12913)
* В калкулатора на Windows 10 NVDA отново докладва етикетите на списъците с елементи за хронологията и паметта. (#11858)
* Жестове като превъртане и преместване отново работят при HID Брайлови устройства. (#13228)
* Поща в Windows 11: След преместване на фокуса между приложения, докато четете дълго писмо, NVDA вече не блокира в съответния ред от писмото. (#13050)
* HID брайл: Жестове с интервал (напр. `Интервал+Точка4`) могат да се изпълняват успешно от брайловия дисплей. (#13326)
* Коригиран е проблем, при който едновременно могат да бъдат отворени няколко диалога с настройки. (#12818)
* Отстранен е проблем, при който някои брайлови дисплеи Focus Blue спират да работят при събуждане на компютъра след заспиване. (#9830)
* Вече не се докладва некоректно „Базова линия“, когато е активна опцията „Докладвай горен и долен индекс“. (#11078)
* В Windows 11 NVDA вече няма да предотвратява навигацията в панела с емоджи при избор на такива. (#13104)
* Предотвратена е грешка, причиняваща двойно докладване при използване на конзола и терминал на Windows. (#13261)
* Коригирани са различни ситуации, при които елементите от списък не се съобщават в 64-битови приложения като REAPER. (#8175)
* В мениджъра на изтегляния в Microsoft Edge NVDA вече автоматично ще превключи в режим на фокус, след като елементът за най-новото изтегляне присвои фокуса. (#13221)
* NVDA вече не причинява срив на 64-битови версии на Notepad++ 8.3 и по-нови. (#13311)
* Adobe Reader вече не се срива при стартиране, ако защитеният му режим е активиран. (#11568)
* Поправена е грешка, при която изборът на драйвер за брайловите дисплеи на Papenmeier води до срив на NVDA. (#13348)
* В Microsoft word с UIA: Номерът на страницата и други данни за форматирането вече не се докладват некоректно при преминаване от празна клетка на таблица към такава със съдържание или при преместване от края на документа в съществуващо съдържание. (#13458, #13459)
* NVDA вече няма да пропуска да съобщава заглавието на страницата и да започва автоматично да чете, когато страницата се зареди в Google Chrome 100. (#13571)
* NVDA вече не се срива при възстановяване на конфигурацията на NVDA до заводските настройки, докато е включена опцията „Изговаряй командните клавиши“. (#13634)

### Промени за разработчици

* Забележка: Това е издание, което нарушава ППИ съвместимостта с добавките. Добавките ще трябва да бъдат тествани повторно и манифестният им файл да бъде обновен.
* Въпреки че NVDA все още изисква Visual Studio 2019, компилирането вече не би трябвало да се проваля, ако по-нова версия на Visual Studio (напр. 2022) е инсталирана заедно с 2019. (#13033, #13387)
* SCons е обновен до версия 4.3.0. (#13033)
* py2exe е обновен до версия 0.11.1.0. (#13510)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` беше премахнат. Вместо това използвайте `apiLevel`. (#12955, #12660)
* `TVItemStruct` беше премахнат от `sysTreeView32`. (#12935)
* `MessageItem` беше премахнат от модула за приложението Outlook. (#12935)
* Константите `audioDucking.AUDIODUCKINGMODE_*` сега са `DisplayStringIntEnum`. (#12926)
  * Употребите трябва да бъдат заменени с `AudioDuckingMode.*`
  * Употребите на `audioDucking.audioDuckingModes` трябва да бъдат заменени с `AudioDuckingMode.*.displayString`
* Употребата на константите `audioDucking.ANRUS_ducking_*` трябва да бъде заменена с `ANRUSDucking.*`. (#12926)
* Промени в `synthDrivers.sapi5` (#12927):
  * Употребите на `SPAS_*` трябва да бъдат заменени с `SPAudioState.*`
  * Употребите на `constants.SVSF*` трябва да бъдат заменени със `SpeechVoiceSpeakFlags.*`
    * Забележка: `SVSFlagsAsync` трябва да бъде заменено с `SpeechVoiceSpeakFlags.Async`, а не с `SpeechVoiceSpeakFlags.lagsAsync`
  * Употребите на `constants.SVE*` трябва да бъдат заменени със `SpeechVoiceEvents.*`
* От модула за приложение `soffice` са премахнати следните класове и функции: `JAB_OOTableCell`, `JAB_OOTable`, `gridCoordStringToNumbers`. (#12849)
* `core.CallCancelled` сега е `exceptions.CallCancelled`. (#12940)
* Всички константи, започващи с RPC от `core` и `logHandler` са преместени в `RPCConstants.RPC` enum. (#12940)
* Препоръчително е функциите `mouseHandler.doPrimaryClick` и `mouseHandler.doSecondaryClick` да се използват за щракване с мишката за извършване на логическо действие като задействане (основно) или вторично (показване на контекстното меню),
вместо да се използва `executeMouseEvent` и специално да се указва левия или десния бутон на мишката.
Това гарантира, че кодът ще се съобразява с потребителските настройки на Windows за промяна на основния бутон на мишката. (#12642)
* `config.getSystemConfigPath` беше премахнато и няма заместител. (#12943)
* `shlobj.SHGetFolderPath` беше премахнато. Моля, вместо това използвайте `shlobj.SHGetKnownFolderPath`. (#12943)
* Константите `shlobj` бяха премахнати. Беше създаден нов enum – `shlobj.FolderId`, за използване с `SHGetKnownFolderPath`. (#12943)
* `diffHandler.get_dmp_algo` и `diffHandler.get_difflib_algo` бяха заменени съответно с `diffHandler.prefer_dmp` и `diffHandler.prefer_difflib`. (#12974)
* `languageHandler.curLang` беше премахнато. За установяване на текущия език на NVDA, използвайте `languageHandler.getLanguage()`. (#13082)
* Методът `getStatusBarText` може да бъде внедрен в модул на приложение, за персонализиране на начина, по който NVDA извлича текста от лентата на състоянието. (#12845)
* `globalVars.appArgsExtra` беше премахнато. (#13087)
  * Ако вашата добавка трябва да обработва допълнителни аргументи на командния ред, вижте документацията на `addonHandler.isCLIParamKnown` и ръководството за разработчици, за подробности.
* Модулът за обработка на UIA и други модули за поддръжка на UIA вече са част от пакета UIAHandler. (#10916)
  * `UIAUtils` сега е `UIAHandler.utils`
  * `UIABrowseMode` сега е `UIAHandler.browseMode`
  * `_UIAConstants` сега е `UIAHandler.constants`
  * `_UIACustomProps` сега е `UIAHandler.customProps`
  * `_UIACustomAnnotations` сега е `UIAHandler.customAnnotations`
* Константите `IAccessibleHandler` и `IA2_RELATION_*` бяха заменени с enum `IAccessibleHandler.RelationType`. (#13096)
  * Премахнато е `IA2_RELATION_FLOWS_FROM`
  * Премахнато е `IA2_RELATION_FLOWS_TO`
  * Премахнато е `IA2_RELATION_CONTAINING_DOCUMENT`
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` и `LOCALE_SLANGDISPLAYNAME` са премахнати от `languageHandler`. Вместо това използвайте членове на `languageHandler.LOCALE`. (#12753)
* Преминато е от Minhook към Microsoft Detours като библиотека за прихващане за NVDA. Прихващането към тази библиотека се използва главно за подпомагане на екранния модел. (#12964)
* `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` е премахнато. (#13211)
* SCons вече предупреждава за компилиране с брой задачи, равен на броя на логическите процесори в системата.
Това може драстично да намали времето за компилиране на многоядрени системи. (#13226, #13371)
* Константите `characterProcessing.SYMLVL_*` са премахнати. Вместо това използвайте `characterProcessing.SymbolLevel.*`. (#13248)
* Функциите `loadState` и `saveState` са премахнати от addonHandler. Вместо това използвайте `addonHandler.state.load` и `addonHandler.state.save`. (#13245)
* Слоят за взаимодействие с UWP/OneCore на NVDAHelper е преместен [от C++/CX към C++/Winrt](https://docs.microsoft.com/en-us/windows/uwp/cpp-and-winrt-apis/move-to-winrt-from-cx). (#10662)
* Вече е задължително да се използва подклас `DictionaryDialog`, за да се използва. (#13268)
* `config.RUN_REGKEY` и `config.NVDA_REGKEY` са оттеглени. Вместо това използвайте `config.RegistryKey.RUN` и `config.RegistryKey.NVDA`. Те ще бъдат премахнати в 2023. (#13242)
* `easeOfAccess.ROOT_KEY` и `easeOfAccess.APP_KEY_PATH` са оттеглени. Вместо това използвайте `easeOfAccess.RegistryKey.ROOT` и `easeOfAccess.RegistryKey.APP`. Те ще бъдат премахнати в 2023. (#13242)
* `easeOfAccess.APP_KEY_NAME` е оттеглено и ще бъде премахнато в 2023. (#13242)
* `DictionaryDialog` и `DictionaryEntryDialog` са преместени от `gui.settingsDialogs` в `gui.speechDict`. (#13294)
* IAccessible2 отношенията вече се показват в информацията за разработчици за IAccessible2 обекти. (#13315)
* `languageHandler.windowsPrimaryLCIDsToLocaleNames` беше премахнато. Вместо това използвайте `languageHandler.windowsLCIDToLocaleName` или `winKernel.LCIDToLocaleName`. (#13342)
* Свойството `UIAAutomationId` за UIA обекти трябва да е с приоритет пред `cachedAutomationId`. (#13125, #11447)
  * `cachedAutomationId` може да се използва, ако е получено директно от елемента.
* `NVDAObjects.window.scintilla.CharacterRangeStruct` беше преместено в `NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct`. (#13364)
* Булевата `gui.isInMessageBox` е премахната. Вместо това използвайте функцията `gui.message.isModalMessageBoxActive`. (#12984, #13376)
* `controlTypes` е разделено на няколко подмодула. (#12510, #13588)
  * `ROLE_*` и `STATE_*` бяха заменени с `Role.*` и `State.*`.
  * Въпреки че все още са налице, следните неща се препоръчва да се считат за оттеглени:
    * `ROLE_*` и `STATE_*` – вместо това използвайте `Role.*` и `State.*`.
    * `roleLabels`, `stateLabels` и `negativeStateLabels`. Употреби като `roleLabels[ROLE_*]` трябва да бъдат заменени с техните еквиваленти `Role.*.displayString` или `State.*.negativeDisplayString`.
    * `processPositiveStates` и `processNegativeStates` – вместо това използвайте `processAndLabelStates`.
* Константите за състоянието на клетките в Excel (`NVSTATE_*`) вече са стойности в enum `NvCellState`, огледално отразявани в `NvCellState` в `NVDAObjects/window/excel.py` и съпоставяни с `controlTypes.State` чрез _nvCellStatesToStates. (#13465)
* `EXCEL_CELLINFO` struct членът `state` сега е `nvCellStates`.
* `mathPres.ensureInit` беше премахнато. MathPlayer сега се инициализира когато NVDA се стартира. (#13486)

## 2021.3.5

Това е малко обновление, поправящо няколко проблема свързани със сигурността.
Моля, докладвайте открити проблеми свързани със сигурността на е-поща <info@nvaccess.org>.

### Поправки по сигурността

* Адресирана е препоръка свързана със сигурността с обозначение `GHSA-xc5m-v23f-pgr7`.
  * Диалоговият прозорец за произношение на пунктуация и символи вече е забранен в защитен режим.

## 2021.3.4

Това е малко обновление, поправящо няколко проблема свързани със сигурността.
Моля, докладвайте открити проблеми свързани със сигурността на е-поща <info@nvaccess.org>.

### Поправки по сигурността

* Адресирана е препоръка свързана със сигурността с обозначение `GHSA-354r-wr4v-cx28`. (#13488)
  * Премахната е възможността за стартиране на NVDA с включено протоколиране на грешки, когато NVDA се изпълнява в защитен режим.
  * Премахната е възможността за обновяване на NVDA, когато NVDA се изпълнява в защитен режим.
* Адресирана е препоръка свързана със сигурността с обозначение `GHSA-wg65-7r23-h6p9`. (#13489)
  * Премахната е възможността за отваряне на диалоговия прозорец „Жестове на въвеждане“ в защитен режим.
  * Премахната е възможността за отваряне на диалоговите прозорци за речника по подразбиране, временния речник и гласовия речник.
* Адресирана е препоръка свързана със сигурността с обозначение `GHSA-mvc8-5rv9-w3hx`. (#13487)
  * Инструментът на wx за проверка на ГПИ вече е забранен в защитен режим.

## 2021.3.3

Тази версия е идентична с 2021.3.2.
Съществуваше грешка в NVDA 2021.3.2, поради която екранният четец неправилно се идентифицираше като 2021.3.1.
Тази версия правилно се идентифицира като 2021.3.3.

## 2021.3.2

Това е малко обновление, поправящо няколко проблема свързани със сигурността.
Моля, докладвайте открити проблеми свързани със сигурността на е-поща <info@nvaccess.org>.

### Отстранени грешки

* Поправка по сигурността: Предотвратяване на обектната навигация извън екрана за заключване в Windows 10 и Windows 11. (#13328)
* Поправка по сигурността: Диалоговият прозорец на мениджъра на добавките вече е деактивиран на защитени екрани. (#13059)
* Поправка по сигурността: Контекстната помощ за NVDA вече не е налична на защитени екрани. (#13353)

## 2021.3.1

Това е малко обновление, целящо да отстрани няколко проблема, открити във версия 2021.3.

### Промени

* Новият HID Брайлов протокол вече не е предпочитан, когато може да се използва друг драйвер за брайлов дисплей. (#13153)
* Новият HID Брайлов протокол може да бъде изключен чрез настройка в панела за разширени настройки. (#13180)

### Отстранени грешки

* „Маркер“ отново е съкратено при извеждане чрез брайл. #13158
* Поправено е нестабилното автоматично откриване на брайлов дисплей за брайловите дисплеи Humanware Brailliant и APH Mantis Q40 при свързването им посредством Bluetooth. (#13153)

## 2021.3

Тази версия включва поддръжка за новата HID спецификация за брайл.
Тя има за цел да стандартизира взаимодействието с брайлови дисплеи, без да са необходими отделни драйвери.
Обновени са eSpeak-NG и Liblouis, добавени са нови брайлови таблици за руски език и Тшивенда.
Звуковите уведомления за грешки могат да бъдат активирани в стабилните версии на NVDA чрез нова опция в панела за разширени настройки.
Функцията „Прочитане на всичко“ в Word сега превърта изгледа, за да запази видима текущата позиция.
Направени са множество подобрения при използване на Office с UIA.
Една от корекциите е, че Outlook сега игнорира повече типове таблици за оформление в съобщенията.

Важна забележка:

Поради актуализация на сертификата за сигурност, малък брой потребители получават грешка, когато NVDA 2021.2 проверява за обновления.
NVDA вече подтиква Windows да актуализира сертификатите за сигурност, което ще предотврати тази грешка в бъдеще.
Засегнатите потребители е необходимо да изтеглят настоящото обновление ръчно.

### Нови възможности

* Добавен е жест за превключване на настройката, която определя докладването на стила на границите на клетките. (#10408)
* Поддръжка на новата HID спецификация за брайл, която има за цел да стандартизира работата с брайлови дисплеи. (#12523)
  * Устройствата, които поддържат тази спецификация, ще бъдат автоматично откривани от NVDA.
  * За технически детайли относно имплементирането на тази спецификация вижте https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md
* Добавена е поддръжка за брайловото устройство VisioBraille Vario 4. (#12607)
* Известията за грешки могат да бъдат активирани (чрез панела за разширени настройки), докато използвате всяка версия на NVDA. (#12672)
* В Windows 10 и по-нови NVDA ще докладва броя предложения при въвеждане на текст за търсене в приложения като Настройки и Microsoft Store. (#7330, #12758, #12790)
* Вече се поддържа навигация в таблици, създадени чрез мрежови контроли посредством Out-GridView cmdlet. (#12928)

### Промени

* eSpeak-ng е обновен до версия 1.51-dev компилация `74068b91bcd578bd7030a7a6cde2085114b79b44`. (#12665)
* NVDA по подразбиране ще използва eSpeak, ако нито един от инсталираните OneCore гласове не поддържа предпочитания от екранния четец език. (#10451)
* Ако OneCore гласовете постоянно отказват да говорят, синтезаторът eSpeak ще бъде избран автоматично. (#11544)
* При прочитане на лентата на състоянието с `NVDA+End`, курсорът за преглед вече няма да бъде преместван там.
Ако имате нужда от тази функционалност, задайте жест за съответния скрипт в диалога „Жестове на въвеждане“, „Обектна навигация“. (#8600)
* При опит за отваряне на диалог за настройки, който вече е изведен, NVDA поставя фокуса върху него, вместо да показва грешка. (#5383)
* Брайловият преводач Liblouis е обновен до версия [3.19.0](https://github.com/liblouis/liblouis/releases/tag/v3.19.0). (#12810)
  * Нови брайлови таблици: руски ниво 1, Тшивенда ниво 1, Тшивенда ниво 2
* За реч и брайл вместо „маркирано съдържание“ и „мрк“, ще се докладва съответно „Отбелязано“ и „отбел“. (#12892)
* NVDA вече няма да се опитва да се затвори при наличие на диалози, които очакват необходимо действие (например Потвърждение/Отказ). (#12984)

### Отстранени грешки

* Проследяването на модификатори на клавиатурата (като Control или Insert) е по-надеждно, когато „watchdog“ се възстановява. (#12609)
* Отново е възможно проверяването за обновления на NVDA при определени системи (например чисти инсталации на Windows). (#12729)
* NVDA вече съобщава коректно наличието на празни клетки на таблица в Microsoft Word, когато се използва UI Automation. (#11043)
* В клетки от решетка за данни на ARIA в уеб, клавишът Escape се предава към решетката и няма безпричинно да изключва режима на фокус. (#12413)
* Когато прочитате заглавна клетка на таблица в Chrome, името на колоната вече не се изговаря двукратно. (#10840)
* NVDA не докладва числова стойност за плъзгачи на UIA, които имат дефинирана текстова стойност (UIA ValuePattern вече се предпочита пред RangeValuePattern). (#12724)
* Сега NVDA не третира стойността на плъзгачите на UIA като такава, която винаги е базирана на проценти.
* Местоположението на клетки в Microsoft Excel отново се докладва коректно при достъп чрез UI Automation в Windows 11. (#12782)
* NVDA вече не задава невалидни локализации на Python. (#12753)
* Ако се премахне изключена добавка и след това се инсталира отново, тя ще бъде включена. (#12792)
* Отстранени са грешки при обновяването и премахването на добавки, когато папката на дадена добавка е преименувана или в нея има отворени файлове. (#12792, #12629)
* При използване на UI Automation за достъп до контролите на електронни таблици в Microsoft Excel, NVDA вече не съобщава излишно, когато е избрана само една клетка. (#12530)
* В LibreOffice Writer автоматично се прочита повече текст на диалози, например такива за потвърждение. (#11687)
* Четенето или навигацията в режим на разглеждане чрез UI Automation в Microsoft Word сега гарантира, че документът се превърта, така че текущата позиция в режим на разглеждане винаги да е видима и тази на каретката в режим на фокус да съответства на позицията в режим на разглеждане. (#9611)
* При изпълняване на „Прочитане на всичко“ в Microsoft Word чрез UI Automation, документът се превърта автоматично и позицията на каретката се обновява коректно. (#9611)
* При прочитане на имейли в Outlook чрез UI Automation определени таблици се отбелязват като такива за оформление, което означава, че вече няма да се докладват по подразбиране. (#11430)
* Поправена е рядко срещана грешка при промяна на аудио устройства. (#12620)
* Въвеждането чрез таблици на литературен брайл би трябвало да е по-надеждно, когато се осъществява в полета за редактиране. (#12667)
* При навигация в календара на Windows в областта за уведомяване, NVDA вече съобщава пълния ден от седмицата. (#12757)
* При използване на китайски метод на въвеждане например Тайван - Microsoft Quick в Microsoft Word, превъртането чрез брайлов дисплей напред и назад вече не предизвиква неправилно преместване върху първоначалната позиция на каретката. (#12855)
* Придвижването по изречения  в Microsoft Word (Alt+стрелка надолу/Alt+стрелка нагоре) отново е възможно чрез UIA. (#9254)
* При достъп до MS Word чрез UIA, отстъпът на абзаците вече се съобщава. (#12899)
* При достъп до MS Word чрез UIA командата за проследяване на промените и някои други локализирани команди вече се докладват. (#12904)
* Поправено е дублирането на брайл и говор, когато „описание“ съвпада със „съдържание“ или „име“. (#12888)
* В MS Word с активиран UIA възпроизвеждането на звуци за правописни грешки е по-адекватно. (#12161)
* NVDA вече няма да съобщава „поле“ в Windows 11  при натискане на Alt+Tab за превключване между приложения. (#12648)
* Новият модерен страничен панел за коментари вече се поддържа в MS Word, когато не се осъществява достъп до документа чрез UIA. Натиснете Alt+F12, за да се придвижвате между страничния панел и документа. (#12982)

### Промени за разработчици

* Компилирането на NVDA вече изисква Visual Studio 2019 16.10.4 или по-нова версия.
За да съответства на средата за разработка, актуализирайте Visual Studio, за да има съвместимост с [текущата версия, която AppVeyor използва](https://www.appveyor.com/docs/windows-images-software/#visual-studio-2019). (#12728)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` е предвиден за премахване във версия 2022.1. (#12660)
  * Вместо това използвайте `apiLevel` (вижте коментарите на `_UIAConstants.WinConsoleAPILevel` за повече подробности).
* Добавките и модулите за приложения вече имат достъп до прозрачността на цвета на фона на текста в GDI приложенията (изведена чрез екранния модел). (#12658)
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` и `LOCALE_SLANGDISPLAYNAME` са преместени в списъка `LOCALE` в languageHandler.
Те все още са налични на ниво модул, но са отхвърлени и ще бъдат премахнати в NVDA 2022.1. (#12753)
* Използването на функциите `addonHandler.loadState` и `addonHandler.saveState` трябва да бъде заменено с техните еквиваленти `addonHandler.state.save` и `addonHandler.state.load` преди 2022.1. (#12792)
* Брайловият изход вече може да бъде проверяван в системни тестове. (#12917)

## 2021.2

Тази версия представя предварителна поддръжка за Windows 11.
Макар че Windows 11 тепърва ще бъде пуснат, това издание е тествано на предварителни версии на Windows 11.
Това включва важна поправка за екранната завеса (вижте важните бележки).
Инструментът за поправка на COM регистрации вече може да разрешава повече проблеми при работа с NVDA.
Обновени са речевият синтезатор eSpeak и брайловият преводач Liblouis.
Включени са и различни поправки на грешки и подобрения. По-конкретно – за поддръжката на брайл и терминалите на Windows, калкулатора, панела с емоджи и хронологията на клипборда.

### Важни бележки

Поради промяна в ППИ за екранно увеличение на Windows, екранната завеса трябваше да бъде актуализирана, за да поддържа най-новите версии на Windows.
Използвайте NVDA 2021.2, за да задействате екранната завеса под Windows 10 21H2 (10.0.19044) или по-нови.
Това включва тестовите версии на Windows 10 и Windows 11.
От съображения за сигурност, когато използвате нова версия на Windows, получете визуално потвърждение, че завесата на екрана прави екрана изцяло черен.

### Нови възможности

* Експериментална поддръжка за ARIA анотации:
  * Добавена е команда за прочитане на обобщение на подробности за обект с aria-details. (#12364)
  * Добавена е опция в разширените настройки за докладване в режим на разглеждане, ако обект има подробности. (#12439)
* В Windows 10 версия 1909 и по-нови (включително Windows 11), NVDA ще докладва броя на предложенията при извършване на търсения във файловия мениджър на Windows. (#10341, #12628)
* В Microsoft Word NVDA вече докладва резултата от задействането на клавишните команди за отстъп и висящ отстъп. (#6269)

### Промени

* eSpeak-NG е обновен до версия 1.51-dev компилация `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb`. (#12449, #12202, #12280, #12568)
* Ако опцията „статии“ е включена в потребителските предпочитания за форматиране на документите, NVDA ще докладва „статия“ след съдържанието. (#11103)
* Брайловият преводач Liblouis е обновен до версия [3.18.0](https://github.com/liblouis/liblouis/releases/tag/v3.18.0). (#12526)
  * Нови брайлови таблици: Български ниво 1, Бирмански ниво 1, Бирмански ниво 2, Казахски ниво 1, Кхмерски ниво 1, Севернокюрдски ниво 0, Сепеди ниво 1, Сепеди ниво 2, Сесото ниво 1, Сесото ниво 2, Сетсвана ниво 1, Сетсвана ниво 2, Татарски ниво 1, Виетнамски ниво 0, Виетнамски ниво 2, Южновиетнамски ниво 1, Кхоса ниво 1, Кхоса ниво 2, Якутски ниво 1, Зулу ниво 1, Зулу ниво 2
* OCR на Windows 10 е преименувано на OCR на Windows. (#12690)

### Отстранени грешки

* В калкулатора на Windows 10 NVDA ще извежда изчисляваните изрази на брайлов дисплей. (#12268)
* В терминалните програми на Windows 10 версия 1607 и по-нови, когато вмъквате или изтривате знаци в средата на ред, знаците вдясно от каретката вече не се изговарят. (#3200)
  * Diff Match Patch сега е избран по подразбиране. (#12485)
* Въвеждането на брайл работи правилно със следните таблици за краткопис	: Арабски ниво 2, Испански ниво 2, Урду ниво 2, Китайски (Китай, Мандарин) ниво 2. (#12541)
* Инструментът за поправка на COM регистрации вече може да разрешава повече проблеми, особено под 64-битови издания на Windows. (#12560)
* Подобрения в управлението на бутоните на брайловото устройство Seika Notetaker от Nippon Telesoft. (#12598)
* Подобрения в докладването на панела с емоджи на Windows и хронологията на клипборда. (#11485)
* Обновени са описанията на символите от бенгалската азбука. (#12502)
* NVDA се затваря коректно при стартиране на нов процес. (#12605)
* Повторният избор на драйвер за брайлов дисплей на Handy Tech от диалоговия прозорец „Избор на брайлов дисплей“ вече не предизвиква грешки. (#12618)
* Windows версия 10.0.22000 или по-нови се разпознават като Windows 11, а не като Windows 10. (#12626)
* Поддръжката на екранната завеса е поправена и тествана за версии на Windows до 10.0.22000. (#12684)
* Ако не се показват резултати при филтриране на жестове на въвеждане, диалоговият прозорец за конфигуриране на жестовете на въвеждане продължава да работи според очакванията. (#12673)
* Поправена е грешка, при която първият елемент от менюто на подменю не се докладва в някои случаи. (#12624)

### Промени за разработчици

* Константите `characterProcessing.SYMLVL_*` трябва да бъдат заменени с техните еквиваленти от `SymbolLevel.*` преди 2022.1. (#11856, #12636)
* `controlTypes` беше разделен на разни подмодули. Символите, маркирани за оттегляне, трябва да бъдат заменени преди 2022.1. (#12510)
  * Константите `ROLE_*` и `STATE_*` трябва да бъдат заменени с техните еквиваленти от `Role.*` и `State.*`.
  * `roleLabels`, `stateLabels` и `negativeStateLabels` бяха оттеглени. Употреби като например `roleLabels[ROLE_*]` трябва да бъдат заменени с техните еквиваленти от `Role.*.displayString` или `State.*.negativeDisplayString`.
  * `processPositiveStates` и `processNegativeStates` са оттеглени за премахване.
* В Windows 10 Версия 1511 и по-нови (включително тестовите компилации), текущото име за версия на актуализацията на функциите на Windows се получава от системния регистър на Windows. (#12509)
* Оттеглено: `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` ще бъде премахнато във версия 2022.1 и няма директен заместител. (#12544)

## 2021.1

Тази версия включва незадължителна експериментална поддръжка на UIA в Excel и браузърите, базирани на Chromium.
Направени са корекции за различни езици и за достъпа до връзки чрез брайл.
Актуализирани са Unicode CLDR, математическите символи и Liblouis.
Налични са много корекции на грешки и подобрения, включително в Office, Visual Studio и различни езици.

Забележка:

 * Тази версия нарушава съвместимостта със съществуващите добавки.
 * Прекратена е поддръжката на Adobe Flash.

### Нови възможности

* Ранна поддръжка за UIA в браузърите, базирани на Chromium (например Edge). (#12025)
* Незадължителна експериментална поддръжка за Microsoft Excel чрез UI Automation. Препоръчва се само за Microsoft Excel компилация 16.0.13522.10000 или по-нови. (#12210)
* Улеснена навигация в изхода на Конзолата на Python. (#9784)
  * Alt+стрелка нагоре и надолу премества до предишния или следващия резултат. Добавете Shift за маркиране.
  * Control+L изчиства полето за изход.
* NVDA вече докладва категориите, зададени за среща в Microsoft Outlook, ако има такива. (#11598)
* Поддръжка за брайловия дисплей Seika Notetaker на Nippon Telesoft. (#11514)

### Промени

* В режим на разглеждане контролите вече могат да бъдат активирани с придвижване на брайловия курсор върху описанието им (например „lnk“ за връзка). Това е полезно при активиране на отметки без етикет. (#7447)
* NVDA вече не позволява изпълняването на OCR на Windows 10, когато екранната завеса е включена. (#11911)
* Хранилището за общи езикови данни на Уникод (CLDR) е актуализирано до 39.0. (#11943, #12314)
* В речника на символите са добавени още математически знаци. (#11467)
* Ръководството на потребителя, файлът с промените и списъкът с клавишни команди са с обновен външен вид. (#12027)
* Вече се изговаря „Неподдържано“ при опит за превключване на екранната подредба в приложения, които не го поддържат (например Microsoft Word). (#7297)
* Опцията „Опитвай се да анулираш речта за събития, свързани с елементи, които вече не са на фокус“ в панела за разширени настройки е активирана по подразбиране. (#10885)
  * Това може да се отмени, ако зададете настройката да бъде „Не“.
  * Уеб приложенията (например Gmail) вече няма да съобщават остаряла информация при бързо преместване на фокуса.
* Брайловият преводач Liblouis е актуализиран до [3.17.0](https://github.com/liblouis/liblouis/releases/tag/v3.17.0). (#12137)
  * Нови брайлови таблици: Беларуски литературен брайл, Беларуски компютърен брайл, Урду ниво 1, Урду ниво 2.
* Поддръжката за Adobe Flash съдържание на NVDA е премахната поради това, че използването му вече не се препоръчва от Adobe. (#11131)
* NVDA ще се затвори дори при все още отворени прозорци. Процесът за изход вече затваря всички прозорци и диалози. (#1740)
* Прегледът на речта може да бъде затворен с `Alt+F4`. Добавен е и стандартен бутон за затваряне, който улеснява потребителите, използващи мишка. (#12330)
* Брайловият визуализатор вече има стандартен бутон за затваряне, който улеснява потребителите, използващи мишка. (#12328)
* В диалога „Списък с елементи“ бързият клавиш за бутона „Активирай“ е премахнат за някои езици, за да се избегне конфликт с радио бутона за тип елемент „Анотации“. Бутонът „Активирай“ е все още зададен по подразбиране за диалога и като такъв може да бъде задействан с натискане на enter в списъка с елементи. (#6167)

### Отстранени грешки

* Списъкът със съобщения в Outlook 2010 отново може да се прочита. (#12241)
* В конзолни приложения на Windows 10 версия 1607 и по-нови, при вмъкване или изтриване на символи в средата на реда, знаците вдясно от каретката вече не се докладват. (#3200)
  * Тази експериментална поправка трябва да се активира ръчно от панела за разширени настройки на NVDA. Задайте стойността на опцията „Diff алгоритъм“ да бъде „Разреши Diff Match Patch“.
* В MS Outlook няма да има неуместно докладване на разстояние при придвижване от тялото на съобщение към полето за тема чрез Shift+TAB. (#10254)
* В конзолата на Python вече се поддържа вмъкване на отстъп чрез TAB в началото на ред и автоматично допълване със същия клавиш в средата на реда. (#11532)
* В информацията за форматирането и други съобщения, които могат да се разглеждат, вече не присъстват празни редове, когато екранната подредба е изключена. (#12004)
* В MS Word могат да се четат коментари, ако UIA е активиран. (#9285)
* Подобрена е производителността при взаимодействие с Visual Studio. (#12171)
* Коригирани са графични грешки например липсващи елементи, когато NVDA се използва с език, който се прочита отдясно наляво. (#8859)
* Посоката на оформление за езика на NVDA е с по-висок приоритет в сравнение с тази на системния език. (#638)
  * Забелязан проблем при езиците отдясно наляво: дясната граница на групи орязва етикети/контроли. (#12181)
* Локализацията на Python е зададена да съответства на избрания в настройките език и ще се взема предвид според езика по подразбиране. (#12214)
* TextInfo.getTextInChunks вече не замръзва при извикване в Rich контроли за редактиране например Преглед на протокола на NVDA. (#11613)
* В Windows 10 1803 и 1809 отново е възможно NVDA да се използва на езици, съдържащи долни черти в името на локализацията например de_CH. (#12250)
* Конфигурирането на съобщаване на горен и долен индекс работи в WordPad така, както се очаква. (#12262)
* NVDA вече не пропуска да докладва ново фокусирано съдържание в уеб страница, ако старият фокус изчезне и бъде заместен от нов във същата позиция. (#12147)
* Двойно зачеркване, горен и долен индекс се докладват за целите клетки в Excel, ако съответната опция е активирана. (#12264)
* Поправено е копирането на настройките по време на инсталация от преносимо копие, когато директорията за конфигурация по подразбиране е празна. (#12071, #12205)
* Коригирано е неправилното съобщаване на някои букви с ударения или диакритични знаци, когато е маркирана опцията „Казвай "Главно" пред главни букви“. (#11948)
* Височината на SAPI4 гласовете вече може да се променя успешно. (#12311)
* Инсталаторът на NVDA също зачита параметъра `--minimal` и не просвирва звука при стартиране, като по този начин следва документираното поведение на инсталирано или преносимо копие. (#12289)
* Клавишът за бързо придвижване към таблица вече може да премести фокуса в таблица за оформление в MS Word или Outlook, ако опцията „Включвай таблиците, които са част от оформлението“ е активирана в настройките за режима на разглеждане. (#11899)
* NVDA вече няма да съобщава „↑↑↑“ за емоджита на определени езици. (#11963)
* eSpeak отново поддържа Кантонски и Мандарин. (#10418)
* В новия Microsoft Edge, базиран на Chromium, текстовите полета като адресната лента вече се докладват, ако те са празни. (#12474)
* Поправен е брайловият драйвер на Seika. (#10787)

### Промени за разработчици

* Забележка: В това издание има промени в ППИ за добавките, които нарушават съвместимостта. Добавките ще трябва да бъдат тествани повторно и да бъдат обновени техните manifest файлове.
* Системата за компилиране на NVDA вече извлича всички зависимости на Python с pip и ги съхранява във виртуална среда на Python. Всичко това се прави прозрачно.
  * За да се компилира NVDA, SCons трябва да продължи да се използва по обичайния начин. Напр. изпълнение на scons.bat в кореновата директория на хранилището. Изпълнението на `py -m SCons` вече не се поддържа и `scons.py` също е премахнат.
  * За да се изпълни NVDA от source, вместо да се изпълнява директно `source/nvda.pyw`, разработчикът вече трябва да използва `runnvda.bat` в кореновата директория на хранилището. Ако се опитате да изпълните `source/nvda.pyw`, диалогов прозорец ще ви предупреди, че това вече не се поддържа.
  * За да извършите модулни тестове, изпълнете `rununittests.bat [<допълнителни опции за откриване на extra unittest>]`
  * За да извършите системни тестове: Изпълнете `runsystemtests.bat [<допълнителни опции за роботизиране>]`
  * За да извършите linting, изпълнете `runlint.bat <основен клон>`
  * Моля, обърнете се към readme.md за повече подробности.
* Следните зависимости на Python също са надстроени:
  * comtypes е обновено до версия 1.1.8.
  * pySerial е обновено до версия 3.5.
  * wxPython е обновено до версия 4.1.1.
  * Py2exe е обновено до версия 0.10.1.0.
* `LiveText._getTextLines` е премахнато. (#11639)
  * Вместо това заменете `_getText`, който връща низ от целия текст в обекта.
* Обектите `LiveText` сега могат да изчисляват diff-ове по знак. (#11639)
  * За да промените поведението на diff за даден обект, заменете свойството `diffAlgo` (вижте документацията за подробности).
* Когато дефинирате скрипт със скриптовия декоратор, логическият (булев) аргумент „allowInSleepMode“ може да бъде зададен, за да контролира дали скриптът е наличен в спящ режим или не. (#11979)
* Следните функции са премахнати от конфигурационния модул. (#11935)
  * canStartOnSecureScreens – вместо това използвайте config.isInstalledCopy.
  * hasUiAccess и execElevated – използвайте ги от модула systemUtils.
  * getConfigDirs – вместо това използвайте globalVars.appArgs.configPath.
* Константите REASON_* на ниво модул са премахнати от controlTypes – вместо това използвайте controlTypes.OutputReason. (#11969)
* REASON_QUICKNAV е премахнато от browseMode – вместо това използвайте controlTypes.OutputReason.QUICKNAV. (#11969)
* `NVDAObject` (и производни) свойство `isCurrent` сега строго връща Enum клас `controlTypes.IsCurrent`. (#11782)
  * `isCurrent` вече не е опционално и по тази причина няма да връща стойност None.
    * Когато обектът не е актуален, се връща `controlTypes.IsCurrent.NO`.
* Съпоставянето `controlTypes.isCurrentLabels` е премахнато. (#11782)
  * Вместо това използвайте свойството `displayString` на enum стойността `controlTypes.IsCurrent`.
    * Например: `controlTypes.IsCurrent.YES.displayString`.
* `winKernel.GetTimeFormat` е премахнато – вместо това използвайте `winKernel.GetTimeFormatEx`. (#12139)
* `winKernel.GetDateFormat` е премахнато – вместо това използвайте `winKernel.GetDateFormatEx`. (#12139)
* `gui.DriverSettingsMixin` е премахнато – вместо това използвайте `gui.AutoSettingsMixin`. (#12144)
* `speech.getSpeechForSpelling` е премахнато – вместо това използвайте `speech.getSpellingSpeech`. (#12145)
* Командите не могат да бъдат директно импортирани от речта като `import speech; speech.ExampleCommand()` или `import speech.manager; speech.manager.ExampleCommand()` – вместо това използвайте `from speech.commands import ExampleCommand`. (#12126)
* `speakTextInfo` вече няма да изпраща реч чрез `speakWithoutPauses`, ако причината е `SAYALL`, тъй като сега `SayAllHandler` прави това ръчно. (#12150)
* Модулът `synthDriverHandler` вече не се импортира със звезда в `globalCommands` и `gui.settingsDialogs` – вместо това използвайте `from synthDriverHandler import synthFunctionExample`. (#12172)
* `ROLE_EQUATION` е премахнато от controlTypes – вместо това използвайте `ROLE_MATH`. (#12164)
* Класовете `autoSettingsUtils.driverSetting` са премахнати от `driverHandler` – използвайте ги от `autoSettingsUtils.driverSetting`. (#12168)
* Класовете `autoSettingsUtils.utils` са премахнати от `driverHandler` – използвайте ги от `autoSettingsUtils.utils`. (#12168)
* Поддръжката за `TextInfo`, което не наследява от `contentRecog.BaseContentRecogTextInfo` е премахната. (#12157)
* `speech.speakWithoutPauses` е премахнато – вместо това използвайте `speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses`. (#12195, #12251)
* `speech.re_last_pause` е премахнато – вместо това използвайте `speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause`. (#12195, #12251)
* `WelcomeDialog`, `LauncherDialog` и `AskAllowUsageStatsDialog` са преместени в `gui.startupDialogs`. (#12105)
* `getDocFilePath` е преместено от `gui` в модула `documentationUtils`. (#12105)
* Модулът gui.accPropServer, както и класовете AccPropertyOverride и ListCtrlAccPropServer от модула gui.nvdaControls са премахнати в полза на собствената поддръжка на WX за замяна на свойствата за достъпност. Когато подобрявате достъпността на контролите на WX, вместо това използвайте wx.Accessible. (#12215)
* Файловете в `source/comInterfaces/` вече се възприемат по-лесно от инструменти за разработчици като например ИСР. (#12201)
* Удобни методи и типове са добавени към модула winVersion за получаване и сравняване на версиите на Windows. (#11909)
  * Функцията isWin10, намираща се в модула winVersion, е премахната.
  * Класът winVersion.WinVersion е сравним и можещ да подрежда тип, капсулиращ информация за версията на Windows.
  * Добавена е функцията winVersion.getWinVer, за получаване на winVersion.WinVersion, представляващо текущо стартираната операционна система.
  * С цел удобство, за известните версии на Windows са добавени константи (вижте константите winVersion.WIN*).
* IAccessibleHandler вече не импортира всичко от COM интерфейсите IAccessible и IA2 – използвайте ги директно. (#12232)
* Обектите TextInfo вече имат свойства за начало и край, които могат да се сравняват математически с оператори като < <= == != >= >. (#11613)
  * Напр. ti1.start <= ti2.end
  * Този метод сега е за предпочитане вместо ti1.compareEndPoints(ti2,"startToEnd") <= 0
* Свойствата за начало и край на TextInfo могат да бъдат зададени също така и едно към друго. (#11613)
  * Напр. ti1.start = ti2.end
  * Този метод сега е за предпочитане вместо ti1.SetEndPoint(ti2,"startToEnd")
* `wx.CENTRE_ON_SCREEN` и `wx.CENTER_ON_SCREEN` са премахнати – вместо това използвайте `self.CentreOnScreen()`. (#12309)
* `easeOfAccess.isSupported` е премахнат – NVDA поддържа само версии на Windows, където това връща стойност `True`. (#12222)
* `sayAllHandler` е преместено в `speech.sayAll`. (#12251)
  * `speech.sayAll.SayAllHandler` разкрива функциите `stop`, `isRunning`, `readObjects`, `readText`, `lastSayAllMode`.
  * `SayAllHandler.stop` също така нулира `SayAllHandler` копието на `SpeechWithoutPauses`.
  * `CURSOR_REVIEW` и `CURSOR_CARET` са заменени с `CURSOR.REVIEW` и `CURSOR.CARET`.
* `speech.SpeechWithoutPauses` е преместено в `speech.speechWithoutPauses.SpeechWithoutPauses`. (#12251)
* `speech.curWordChars` е преименувано на `speech._curWordChars`. (#12395)
* Следните са премахнати от `speech` и могат да бъдат достигани чрез `speech.getState()`. Сега това са стойности само за четене. (#12395)
  * speechMode
  * speechMode_beeps_ms
  * beenCanceled
  * isPaused
* За обновяване на `speech.speechMode`, използвайте `speech.setSpeechMode`. (#12395)
* Следните са преместени в `speech.SpeechMode`. (#12395)
  * `speech.speechMode_off` става `speech.SpeechMode.off`
  * `speech.speechMode_beeps` става `speech.SpeechMode.beeps`
  * `speech.speechMode_talk` става `speech.SpeechMode.talk`
* `IAccessibleHandler.IAccessibleObjectIdentifierType` сега е `IAccessibleHandler.types.IAccessibleObjectIdentifierType`. (#12367)
* Следните в `NVDAObjects.UIA.WinConsoleUIA` са променени (#12094)
  * `NVDAObjects.UIA.winConsoleUIA.is21H1Plus` преименувано `NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable`.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo` е преименувано, за да започне име на класа с главна буква.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1` преименувано `NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive`
    * Имплементацията заобикаля проблема, при който и двете крайни точки обхващат всичко (в текстовите диапазони) преди [microsoft/terminal PR 4018](https://github.com/microsoft/terminal/pull/4018)
    * Заобиколни решения за `expand`, `collapse`, `compareEndPoints`, `setEndPoint`, и пр.

## 2020.4

Тази версия включва нови методи на въвеждане за китайски език, актуализация на Liblouis, а списъкът с елементи (NVDA+f7) вече работи в режим на фокус.
При натискане на F1 в прозорците на NVDA е налична помощ според текущия контекст.
Направени са подобрения в правилата за произнасяне на символи, речниците на говора, брайловите съобщения и беглото четене.
Отстранени са грешки и е улеснена работата с Mail, Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000.
В уеб е подобрена поддръжката на Google Docs и ARIA.
И още много други важни корекции на грешки и нововъведения.

### Нови възможности

* При натискане на F1 в прозорците на NVDA ще се отваря подходящ раздел в помощния файл. (#7757)
* Поддръжка на предложения за автоматично попълване (IntelliSense) в Microsoft SQL Server Management Studio, Visual Studio 2017 и по-нови. (#7504)
* Произнасяне на символи: Поддръжка на групирания в сложни дефиниции на символи и такава за препратки към групи в правила за замяна. Това ги прави по-опростени и ефективни. (#11107)
* Потребителите вече биват уведомявани, когато се опитат да създадат запис в речника на говора с невалидна замяна на регулярен израз. (#11407)
  * Вече се откриват грешки при групиране.
* Добавена е поддръжка за новите китайски традиционен бърз и Pinyin методи за въвеждане в Windows 10. (#11562)
* Заглавията на раздели вече се възприемат като елементи от формуляр при натискане на F. (#10432)
* Добавена е команда за включване и изключване на докладването на отбелязан (осветен) текст. Няма зададен жест по подразбиране. (#11807)
* Добавен е параметърът на командния ред --copy-portable-config, който позволява автоматично копиране на предоставената конфигурация в потребителския акаунт при тиха инсталация на NVDA. (#9676)
* Брайловото преместване вече се поддържа в Брайловия визуализатор за потребители, използващи мишка. Посочете с курсора, за да се придвижите към дадена клетка. (#11804)
* NVDA автоматично ще открива дисплеите Humanware Brailliant BI 40X и 20X чрез USB и Bluetooth. (#11819)

### Промени

* Брайловият преводач Liblouis е актуализиран до версия 3.16.1:
 * Избегнати са множество сривове
 * Добавена е брайловата таблица Башкирски, ниво 1
 * Добавена е таблицата Коптски 8-точков компютърен брайл
 * Добавени са таблиците руски литературен брайл и руски литературен брайл (подробен)
 * Добавена е брайловата таблица африкаанс ниво 2
 * Премахната е брайловата таблица Руски ниво 1
* Когато се изговаря текст чрез прочитане на всичко в режим на разглеждане, командите за намиране на предишно и следващо съвпадение вече не прекъсват речта, ако е включена опцията за позволяване на бегло четене. Вместо това при прочитане на всичко говорът се възобновява след намирането на предишното или следващото съвпадение. (#11563)
* За брайловите дисплеи на HIMS F3 вече се въвежда с интервал и точки 1, 4 и 8. (#11710)
* Подобрения в опциите „Задържане на съобщението“ и „Показвай съобщенията неопределено време“. (#11602)
* В уеб браузъри и други приложения, които поддържат режим на разглеждане, екранът „Списък с елементи“ (NVDA+F7) вече може да бъде извикван в режим на фокус. (#10453)
* Опресняването при живите региони на ARIA вече не се съобщава, когато докладването на динамично съдържание е изключено. (#9077)
* NVDA вече ще съобщава „Копирано в клипборда“ преди копирания текст. (#6757)
* Представянето на таблицата с графичен изглед в управлението на дискове е подобрено. (#10048)
* Етикетите за контроли сега биват деактивирани (стават сиви), когато контролите са забранени. (#11809)
* CLDR анотациите за емоджи са актуализирани до версия 38. (#11817)
* Вградената функция „Осветяване на фокуса“ е преименувана на „Визуално открояване“. (#11700)

### Отстранени грешки

* NVDA отново работи коректно с полета за редактиране, когато се използва приложението „Fast Log Entry“. (#8996)
* Във Foobar2000, ако не е налично цялостното времетраене (например при възпроизвеждане на аудио поток от интернет), се докладва изминалото време. (#11337)
* NVDA вече отчита атрибута aria-roledescription за елементи на редактируемо съдържание в уеб страниците. (#11607)
* Вече не се съобщава „списък“ за всеки ред от такъв в Google Документи или друго редактируемо съдържание в Google Chrome. (#7562)
* При преместване със стрелка по символи или думи в редактируемо съдържание в уеб сайт, когато се влезе от един елемент на списък в друг, фокусирането върху новия елемент от списък вече се докладва. (#11569)
* NVDA вече прочита правилния ред, когато каретката се постави в края на връзка, която е последна в елемент от списък в Google Документи или друго редактируемо съдържание. (#11606)
* В Windows 7 след отваряне и затваряне на менюто „Старт“ от работния плот, фокусът вече бива позициониран правилно. (#10567)
* Когато за Firefox е активна опцията „Опитвай се да анулираш речта за събития, свързани с елементи, които вече не са на фокус“, заглавието на текущия раздел се докладва отново при превключване между раздели. (#11397)
* NVDA успява да докладва елемент от списък при използване на гласовете SAPI5 Ivona, след като се въведе символ в такъв елемент. (#11651)
* Отново е възможно да се използва режим на разглеждане при четене на писма при използване на версия 16005.13110 и по-нови на приложението „Поща“ в Windows 10. (#11439)
* При използване на SAPI5 вариантите на гласовете „Ivona“ от harposoftware.com, вече може да се запазва конфигурацията на NVDA, да се превключват синтезаторите и екранният четец няма да остава без реч след рестарт. (#11650)
* Вече е възможно да въведете числото 6 чрез компютърен брайл посредством клавиатурата на дисплеите HIMS. (#11710)
* Съществени подобрения в производителността при работа с Azure Data Studio. (#11533, #11715)
* Ако е включена опцията „Опитвай се да анулираш речта за събития, свързани с елементи, които вече не са на фокус“, заглавието на диалоговия прозорец за търсене на NVDA се съобщава отново. (#11632)
* NVDA повече няма да замръзва, когато компютърът се събужда и фокусът попадне в документ на Microsoft Edge. (#11576)
* Вече не е необходимо да натискате tab или да премествате фокуса след затваряне на контекстното меню в MS Edge, за да може режимът на разглеждане да се използва отново. (#11202)
* NVDA вече не се проваля при докладването на елементи от списъчни изгледи в 64-битови приложения като Tortoise SVN. (#8175)
* Дървовидните мрежи в ARIA вече се възприемат като нормални таблици в режим на разглеждане както във Firefox, така и в Chrome. (#9715)
* Търсене в обратна посока вече може да бъде инициирано с „намери предишен“ чрез NVDA+Shift+F3 (#11770)
* Даден скрипт на NVDA вече не се третира като повтарящ се, ако между двете изпълнения има случайно натискане на клавиш. (#11388)
* Таговете за силно и умерено открояване в Internet Explorer отново могат да не бъдат докладвани, след като се изключи опцията за докладване на открояването от настройките за форматиране на документи на NVDA. (#11808)
* Няма да се наблюдава замръзване от няколко секунди, срещано от някои потребители при придвижване между клетки в Excel посредством стрелките. (#11818)
* В компилациите на Microsoft Teams с номера като 1.3.00.28xxx, NVDA вече не се проваля при прочитането на съобщения в чатове или канали на Teams поради некоректно фокусирано меню. (#11821)
* Текстът, отбелязван веднъж като правописна и втори път като граматическа грешка в Google Chrome, ще бъде възприеман от NVDA като правописна и граматическа грешка едновременно. (#11787)
* Когато използвате Outlook (с френска локализация), прекият път за „Отговор до всички“ (Control+Shift+R) работи отново. (#11196)
* Подсказките на IntelliSense във Visual Studio, които предоставят допълнителни детайли за избрания елемент на IntelliSense, се докладват само по веднъж. (#11611)
* В калкулатора на Windows 10 NVDA няма да съобщава напредъка на изчисленията, ако изговарянето на въведените букви или знаци е изключено. (#9428)
* NVDA вече не се срива, когато се използва американски английски ниво 2 и се премине към компютърен брайл при включен курсор, ако се показва определено съдържание например URL адрес. (#11754)
* Отново е възможно да се съобщава информация за форматирането на фокусираната клетка в Excel чрез NVDA+F. (#11914)
* Въвеждането чрез QWERTY за брайловите дисплеи на Papenmeier, които го поддържат, отново работи и вече не причинява случайни сривове на NVDA. (#11944)
* В браузърите, базирани на Chromium, са поправени няколко грешки, при които навигацията в таблици не работи и NVDA не докладва броя на редовете/колоните на таблицата. (#12359)

### Промени за разработчици

* Системните тестове вече могат да емулират клавиши с помощта на spy.emulateKeyPress, който приема идентификатор на клавиш, съответстващ на имената им, дефинирани в NVDA. По подразбиране също блокира, докато действието не бъде изпълнено. (#11581)
* Вече не е необходимо текущата директория да бъде такава на приложението NVDA, за да може то да функционира. (#6491)
* Настройката live politeness на ARIA за живи региони вече може да бъде намерена в обекти на NVDA, като се използва liveRegionPoliteness. (#11596)
* Вече е възможно да се дефинират отделни жестове за Outlook и Word документ. (#11196)

## 2020.3

Тази версия включва някои сериозни подобрения в стабилността и производителността, особено в приложенията на Microsoft Office. Налични са нови настройки за включване и изключване на поддръжката на сензорни екрани, както и за докладването на графики.
Наличието на маркирано (отбелязано) съдържание може да бъде съобщавано в браузърите, добавени са и нови немски брайлови таблици.

### Нови възможности

* Вече можете да включвате и изключвате докладването на графики от настройките за форматиране на документите в NVDA. Имайте предвид, че ако опцията е изключена, все пак ще се прочитат алтернативните текстове на графиките. (#4837)
* Вече можете да включвате и изключвате поддръжката на сензорни екрани. Добавена е опция в панела „Сензорно взаимодействие“ в настройките на NVDA. Жестът по подразбиране е NVDA+Control+Alt+T. (#9682)
* Добавени са нови немски брайлови таблици. (#11268)
* NVDA вече открива текстови UIA контроли, които са само за четене. (#10494)
* Наличието на маркирано (отбелязано) съдържание се докладва в режим на говор и брайл във всички уеб браузъри. (#11436)
 * Това може да се включва и изключва чрез нова опция за отбелязване в настройките за форматиране на документи на NVDA.
* Чрез диалога „Жестове на въвеждане“ могат да бъдат добавяни нови емулирани системни клавиши. (#6060)
  * За да направите това, натиснете бутона за добавяне, след като сте избрали категорията „Емулиране на натискане на клавиши от клавиатурата“.
* Вече се поддържа Handy Tech Active Braille с джойстик. (#11655)
* Настройката „Автоматичен режим на фокус при преместване на каретката“ сега е съвместима с изключването на настройката „Автоматично премествай системния фокус към фокусируемите елементи“. (#11663)

### Промени

* Скриптът за докладване на форматирането (NVDA+F) вече е променен и сега съобщава форматирането в позицията на системната каретка, вместо в позицията на курсора за преглед. За да се съобщава форматирането в позицията на курсора за преглед, използвайте NVDA+Shift+F. (#9505)
* В режим на разглеждане NVDA вече не придвижва автоматично системния фокус във фокусируеми елементи по подразбиране, което подобрява производителността и стабилността. (#11190)
* CLDR е актуализиран от версия 36.1 до версия 37. (#11303)
* eSpeak-NG е актуализиран до версия 1.51-dev, ревизия 1fb68ffffea4
* Вече можете да използвате таблична навигация в списъчни полета, съдържащи елементи с отметка, когато конкретното поле има множество колони. (#8857)
* Когато бъдете подканени да потвърдите премахването на добавка в мениджъра на добавките, по подразбиране фокусът ще бъде върху бутона „Не“. (#10015)
* В Microsoft Excel диалогът „Списък на елементите“ сега представя формулите в техния локализиран вариант. (#9144)
* NVDA вече съобщава правилната терминология за бележките в MS Excel. (#11311)
* Когато използвате командата „преместване на курсора за преглед към фокуса“ в режим на разглеждане, курсорът за преглед вече бива придвижван в позицията на виртуалната каретка. (#9622)
* Съобщаваната информация в режим на разглеждане например тази за форматирането (NVDA+F) сега се показва в малко по-голям прозорец в центъра на екрана. (#9910)

### Отстранени грешки

* NVDA вече винаги говори, когато се придвижвате по думи и срещнете какъвто и да било единичен символ, последван от интервал, независимо от настройките на словесността. (#5133)
* В приложения, които използват QT 5.11 и по-нови, описанията на обектите отново се докладват. (#8604)
* NVDA вече не мълчи при изтриване на дума с Control+Delete. (#3298, #11029)
  * Сега се изговаря думата вдясно от изтритата.
* В панела с основни настройки списъкът с езици вече е сортиран правилно. (#10348)
* Значително е подобрена производителността при филтриране в диалога „Жестове на въвеждане“. (#10307)
* Вече можете да изпращате Unicode символи извън U+FFFF чрез брайлов дисплей. (#10796)
* NVDA прочита съдържанието на диалога „Отваряне с“ в актуализацията на Windows 10 от май 2020. (#11335)
* Нова експериментална опция в „Разширени настройки“ може значително да подобри производителността в Microsoft Visual Studio и други базирани на UIAutomation приложения, когато е включена. Името на опцията е: „Включи избирателното регистриране на UI Automation събития и промени в свойствата“. (#11077, #11209)
* За елементи от списък, които имат отметка, вече не се докладва излишно дали са маркирани. Ако е приложимо се съобщава, че не са избрани. (#8554)
* В актуализацията на Windows 10 от май 2020, NVDA сега показва Microsoft Sound Mapper при преглед на изходните устройства в диалога за настройки на синтезатора. (#11349)
* В Internet Explorer вече се съобщават правилно номерата за подредени списъци, ако те не започват с 1. (#8438)
* В Google chrome NVDA вече ще докладва „без отметка“ за всички контроли, които могат да бъдат отметнати и не са избрани (не само за полета с отметка). (#11377)
* Отново е възможно да се придвижвате между различни контроли, когато езикът на NVDA е зададен да бъде арагонски. (#11384)
* NVDA вече няма да замръзва понякога в Microsoft Word при неколкократно натискане на стрелки нагоре или надолу, както и при въвеждане на символи с активиран брайл. (#11431, #11425, #11414)
* NVDA повече няма да добавя несъществуващ интервал при копиране на текущия навигационен обект в клипборда. (#11438)
* NVDA сега не активира профила „Прочитане на всичко“, ако няма какво да се прочете. (#10899, #9947)
* NVDA отново може да прочита списъка с функции в Internet Information Services (IIS) Manager. (#11468)
* NVDA поддържа аудио устройството активно, което подобрява производителността при някои звукови карти (#5172, #10721)
* NVDA вече няма да замръзва или да се затваря при задържане на control+shift+стрелка надолу в Microsoft Word. (#9463)
* Разгънатото или свитото състояние на директориите в навигационния дървовиден изглед в drive.google.com сега винаги се докладва от NVDA. (#11520)
* NVDA ще разпознава автоматично брайловия дисплей NLS eReader Humanware чрез Bluetooth, тъй като сега Bluetooth името му е „NLS eReader Humanware“. (#11561)
* Значително подобрена производителност във Visual Studio Code. (#11533)

### Промени за разработчици

* BoxSizerHelper.addDialogDismissButtons, който принадлежи към GUI Helper сега поддържа нов "разделящ" аргумент за добавяне на стандартен хоризонтален разделител в диалозите (различни от съобщенията и тези с едно поле за въвеждане). (#6468)
* Към модулите за приложения бяха добавени допълнителни свойства, включително път на изпълнимия файл (appPath), дали дадено приложение е такова за Windows Store (isWindowsStoreApp) и архитектура на компютъра за конкретното приложение (appArchitecture). (#7894)
* Вече е възможно да създавате модули за приложения, хоствани в wwahost.exe на Windows 8 и по-нови. (#4569)
* Фрагмент от протокола вече може да бъде отделен и след това копиран в клипборда чрез NVDA+Control+Shift+F1. (#9280)
* Специфичните за NVDA обекти, които се откриват от cyclic garbage collector на Python, вече се регистрират, когато се изтриват. Това се прави с цел да се улесни премахването на референтни цикли от NVDA. (#11499)
 * Повечето класове на NVDA биват проследявани. Това включва NVDAObjects, appModules, GlobalPlugins, SynthDrivers и TreeInterceptors.
 * Клас, който е необходимо да бъде проследен, трябва да произлиза от garbageHandler.TrackedObject.
* Подробно протоколиране на грешки за събития на MSAA вече може да бъде активирано в разширените настройки на NVDA. (#11521)
* MSAA winEvents за фокусирания в момента обект вече не се филтрират заедно с други събития, ако броят на събитията за дадена нишка е надвишен. (#11520)

## 2020.2

Акцентите в това издание включват поддръжка на нов брайлов дисплей от Nattiq, подобрена съвместимост с графичния интерфейс на ESET antivirus и Windows Terminal, по-висока производителност при работа с 1Password и синтезатора Windows OneCore. Направени са и много други важни подобрения и корекции на грешки.

### Нови Възможности

* Поддръжка за нов брайлов дисплей:
  * Nattiq nBraille (#10778)
* Добавен е скрипт за отваряне на конфигурационната директория на NVDA (не е наличен жест по подразбиране). (#2214)
* Подобрена съвместимост с графичния интерфейс на ESET Antivirus. (#10894)
* Добавена е поддръжка за Windows Terminal. (#10305)
* Добавена е команда за докладване на активния конфигурационен профил (не е наличен жест по подразбиране). (#9325)
* Добавена е команда за включване и изключване на съобщаването на долни и горни индекси (не е наличен жест по подразбиране). (#10985)
* Уеб приложенията (например Gmail) вече не докладват остаряла информация при бързо преместване на фокуса. (#10885)
  * Необходимо е тази експериментална поправка да бъде активирана ръчно чрез опцията "Опитвай се да анулираш речта за събития, свързани с елементи, които вече не са на фокус" в екрана с разширени настройки.
* В речника със символи по подразбиране са добавени множество знаци. (#11105)

### Промени

* Брайловият преводач Liblouis е обновен от версия 3.12 до версия [3.14.0](https://github.com/liblouis/liblouis/releases/tag/v3.14.0). (#10832, #11221)
* Докладването на горни и долни индекси сега се контролира отделно от съобщаването на атрибутите на шрифта. (#10919)
* Поради промени във VS Code, NVDA вече не деактивира по подразбиране режима на разглеждане в Code. (#10888)
* NVDA вече не съобщава "Горен край" и "долен край", когато курсорът за преглед бива придвижван директно към първия или последния ред на текущия навигационен обект чрез скриптовете за преместване най-горе и най-долу. (#9551)
* NVDA вече не съобщава "ляв край" и "десен край", когато курсорът за преглед бива  придвижван върху първия или последния знак от реда на текущия навигационен обект чрез скриптовете за преместване в началото и в края на реда. (#9551)

### Отстранени грешки

* NVDA вече се стартира правилно, когато файлът за протоколиране не може да бъде създаден. (#6330)
* В последните версии на Microsoft Word 365 NVDA вече няма да съобщава "изтриване на предишната дума", когато се натисне Control+Backspace при редактиране на документ. (#10851)
* В Winamp NVDA отново ще докладва включването и изключването на режимите за разбъркване и повторение. (#10945)
* NVDA вече не е толкова муден при придвижване в списъка с елементи в 1Password. (#10508)
* Речевият синтезатор Windows OneCore вече не се забавя между отделните съобщения. (#10721)
* NVDA не замръзва при отваряне на контекстното меню на 1Password в областта за уведомяване. (#11017)
* В Office 2013 и по-стари:
  * Лентите се докладват, когато фокусът бива преместен за пръв път върху тях. (#4207)
  * Елементите от контекстното меню отново се съобщават правилно. (#9252)
  * Разделите в лентите се обявяват последователно при навигация с Control и стрелките. (#7067)
* В режим на разглеждане в Mozilla Firefox и Google Chrome текстът вече не се появява неправилно на отделен ред, когато в уеб съдържанието е използван CSS display: inline-flex. (#11075)
* В режим на разглеждане с изключено "Автоматично преместване на системния фокус към фокусируемите елементи", вече е възможно да бъдат активирани контроли, които не са фокусируеми.
* В режим на разглеждане с изключено "Автоматично преместване на системния фокус към фокусируемите елементи", вече е възможно да бъдат активирани контроли, достигнати чрез натискане на клавиша TAB. (#8528)
* В режим на разглеждане с изключено "Автоматично преместване на системния фокус към фокусируемите елементи", активирането на определени контроли вече не задейства грешен елемент. (#9886)
* Звуците за грешка на NVDA вече не се възпроизвеждат при фокусиране върху текстови контроли в DevExpress. (#10918)
* Подсказките на иконите в системната област не се докладват при навигация чрез клавиатурата, когато текстът им е еднакъв с имената на иконите. Така се избягва двойно съобщаване. (#6656)
* В режим на разглеждане с изключено "Автоматично преместване на системния фокус към фокусируемите елементи", при преминаване в режим на фокус с NVDA+интервал, вече се взема под внимание елементът под каретката. (#11206)
* Можете отново да проверявате за обновления на NVDA при определени системи, например чисти инсталации на Windows. (#11253)
* Фокусът в Java приложение не се премества, когато селекцията в нефокусирана дървовидна структура, таблица или списък е променена. (#5989)

### Промени за разработчици

* execElevated и hasUiAccess са преместени от модула config в модула systemUtils. Използването им чрез модула config е отхвърлено. (#10493)
* configobj е обновен до версия 5.1.0dev ревизия f9a265c4. (#10939)
* Вече е възможно автоматично тестване на NVDA с пробна HTML страница в Chrome. (#10553)
* IAccessibleHandler е преобразуван в пакет, а OrdersWinEventLimiter е извлечен в модул. Добавени са и компонентни тестове. (#10934)
* BrlApi е обновен до версия 0.8 (BRLTTY 6.1). (#11065)
* Извличането на лента на състоянието вече може да бъде персонализирано чрез AppModule. (#2125, #4640)
* NVDA не следи за IAccessible EVENT_OBJECT_REORDER. (#11076)
* Неработещ ScriptableObject (например GlobalPlugin с липсваща заявка към основния клас init метод) вече не нарушава обработката на скриптове в NVDA. (#5446)

## 2020.1

Акцентите в тази версия включват: поддръжка на няколко нови брайлови дисплея HumanWare и APH, както и важни корекции на грешки, като например възможността отново да се прочита математическо съдържание в Microsoft Word чрез MathPlayer/MathType.

### Нови възможности

* Избраният елемент от списъчна кутия в Chrome отново бива докладван в режим на разглеждане, както е в NVDA 2019.1. (#10713)
* Вече можете да симулирате щракване с десния бутон на мишката на устройства със сензорен екран чрез еднократно почукване и задържане на пръст. (#3886)
* Поддръжка на нови брайлови дисплеи: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2 и NLS eReader. (#10830)

### Промени

* NVDA ще попречи на системата да се заключи или да заспи при Прочитане на всичко. (#10643)
* Поддръжка на out-of-process iframes в Mozilla Firefox. (#10707)
* Брайловият преводач Liblouis е актуализиран до версия 3.12. (#10161)

### Отстранени грешки

* NVDA вече съобщава символа минус на уникод (U+2212). (#10633)
* Когато инсталирате добавка от мениджъра на добавки, имената на файловете и папките в прозореца за преглед вече не се докладват по два пъти. (#10620, #2395)
* Във Firefox, при зареждане на Mastodon с активиран усъвършенстван уеб интерфейс, всички дневници се визуализират коректно в режим на разглеждане. (#10776)
* В режим на разглеждане NVDA вече съобщава „без отметка“ за немаркирани отметки, за които не го правеше преди. (#10781)
* Контролните превключватели на ARIA вече не докладват объркваща информация като "ненатиснат с отметка" или "натиснат с отметка". (#9187)
* SAPI4 гласовете вече не пропускат изговарянето на даден текст. (#10792)
* NVDA може отново да прочита и взаимодейства с математическо съдържание в Microsoft Word. (#10803)
* Съобщава се, че текстът е немаркиран в режим на разглеждане при натискане на някоя от стрелките, докато е избран текст. (#10731).
* NVDA вече не се затваря при неуспешно инициализиране на eSpeak. (# 10607)
* Грешките, причинени от уникод в преводите на преки пътища, вече не спират инсталатора. Това се преодолява чрез връщане към английския текст. (#5166, #6326)
* Фокусирането извън списъци и таблици със стрелките при Прочитане на всичко с активирано Бегло четене, вече не се докладва непрекъснато. (#10706)
* Поправено е следенето на мишката за някои MSHTML елементи в Internet Explorer. (#10736)

### Промени за разработчици

* Документацията за разработчици вече се компилира чрез sphinx. (#9840)
* Няколко речеви функции са разделени на две. (#10593)
  speakX version остава, но сега зависи от функцията getXSpeech, която връща речева последователност.
  * speakObjectProperties разчита на getObjectPropertiesSpeech
  * speakObject сега е зависима от getObjectSpeech
  * speakTextInfo разчита на getTextInfoSpeech
  * speakWithoutPauses е преобразувана в клас и е преработена, но не би трябвало да нарушава съвместимостта.
  * getSpeechForSpelling е отхвърлена (въпреки че все още е налична). Използвайте getSpellingSpeech вместо нея.
  Частни промени, които не би трябвало да засягат разработчиците на добавки:
  * _speakPlaceholderIfEmpty сега е _getPlaceholderSpeechIfTextEmpty
  * _speakTextInfo_addMath вече е _extendSpeechSequence_addMathForTextInfo
* Изразът 'reason' е преобразуван в Enum, вижте класа controlTypes.OutputReason. (#10703)
  * Константите на ниво REASON_*' модула са отхвърлени.
* Компилирането на зависимостите на NVDA сега изисква Visual Studio 2019 (16.2 или по-нова). (#10169)
* SCons е актуализиран до версия 3.1.1. (#10169)
* Отново е позволено behaviors._FakeTableCell да няма определено местоположение (#10864)

## 2019.3

NVDA 2019.3 е особено значимо издание, което съдържа много ключови промени, включително преминаването от Python 2 към Python 3 и основното пренаписване на речевата подсистема.
Въпреки че тези промени нарушават съвместимостта с по-стари добавки, надграждането до Python 3 е необходимо с цел по-голяма сигурност, а промените свързани с речта дават възможност за някои вълнуващи иновации в близко бъдеще.
 Другите акценти в това издание включват 64-битова поддръжка за виртуалните машини на Java, функциите Екранна завеса и Осветяване на фокуса, поддръжка за още брайлови дисплеи, нов Брайлов визуализатор и много корекции на грешки.

### Нови възможности

* Подобрена е точността на командата "Преместване на мишката към текущия навигационен обект" в текстови полета на Java приложения. (#10157)
* Добавена е поддръжка за следните брайлови дисплеи на Handy Tech (#8955):
 * Basic Braille Plus 40
 * Basic Braille Plus 32
 * Connect Braille
* Всички зададени от потребителя жестове вече могат да бъдат премахнати чрез бутона "Възстанови до заводските стойности" в диалога Жестове на въвеждане. (#10293)
* Докладването на шрифтове в Microsoft Word вече включва текстове, които са маркирани като скрити. (#8713)
* Добавена е команда за преместване на курсора за преглед в позицията, предварително зададена като стартов маркер за избиране или копиране: NVDA+Shift+F9. (#1969)
* В Internet Explorer, Microsoft Edge и последните версии на Firefox и Chrome маркерите вече се докладват в режим на фокус и обектна навигация. (#10101)
* В Internet Explorer, Google Chrome и Mozilla Firefox вече можете да се придвижвате по статии и групи чрез бързи скриптове за навигация. Те по подразбиране не са зададени, но това може да стане чрез диалога "Жестове на въвеждане", когато той се отвори от документ в режим на разглеждане. (#9485, #9227)
 * Вече се докладват и фигури. Те се възприемат като обекти и могат да се обхождат с клавиша O.
* В Internet Explorer, Google Chrome и Mozilla Firefox статиите вече се съобщават в режим обектна навигация и по избор в режим на разглеждане, ако това е зададено в настройките за форматиране на документи. (#10424)
* Добавена е функцията Екранна завеса, която при активиране затъмнява целия екран (в Windows 8 и по-нови версии). (#7857)
 * Добавен е скрипт за активиране на екранната завеса (чрез едно натискане е валиден до следващото рестартиране, а при две винаги, докато NVDA се изпълнява). Не е зададен жест по подразбиране.
 * Може да се активира и конфигурира чрез категорията "Визуални подобрения" в диалога за настройки на NVDA.
* Добавена е функционалност за осветяване на екрана. (#971, #9064)
 * Осветяването на фокуса, навигационния обект и позицията на каретката в режим на разглеждане може да бъде активирано и конфигурирано чрез категорията "Визуални подобрения" в диалога за настройки на NVDA.
 * Забележка: Тази функция е несъвместима с добавката "Открояване на фокуса", но тя все още може да се използва докато вградената опция е деактивирана.
* Добавен е инструментът "Брайлов Визуализатор", който позволява преглед на брайловия код посредством прозорец на екрана. (#7788)

### Промени

* В ръководството за потребителя вече е описано как да използвате конзолата на Windows с NVDA. (#9957)
* Стартирането на nvda.exe по подразбиране замества вече работещото копие. Параметърът от командния ред -r|--replace все още се приема, но бива игнориран. (#8320)
* В Windows 8 и по-нови NVDA вече ще докладва името на продукта и информация за версията на качените приложения, като тези от Microsoft Store, използвайки данни от самото приложение. (#4259, #10108)
* Когато превключвате проследяването на промените чрез клавиатурата в Microsoft Word, NVDA ще съобщава състоянието на тази настройка. (#942)
* Номерът на версията на NVDA вече се записва като първо съобщение в протокола. Това се случва дори ако протоколирането е деактивирано чрез графичния интерфейс. (#9803)
* Диалогът за настройки вече не позволява да се променя нивото на протоколиране, ако функцията е деактивирана от командния ред. (#10209)
* В Microsoft Word NVDA вече обявява статуса на показване за непечатни символи. Това става чрез натискане на комбинацията за превключване Ctrl+Shift+8. (#10241)
* Брайловият преводач Liblouis е актуализиран до ревизия 58d67e63. (#10094)
* Когато е включено докладването на CLDR символи (включително емоджи), те се съобщават при всички нива на пунктуация. (#8826)
* Пакетите за python на трети страни, включени в NVDA като например comtypes, сега записват предупрежденията и грешките си в протокола на NVDA. (#10393)
* Актуализирани са анотациите за емоджи от хранилището за общи езикови данни на Уникод до версия 36.0. (#10426)
* Когато се фокусирате върху група в режим на разглеждане, описанието вече също бива съобщавано. (#10095)
* Java Access Bridge вече е включен в NVDA, за да се осигури достъп до приложения, както и 64-битови виртуални машини на Java. (#7724)
* Ако Java Access Bridge не е активиран за текущия потребител, NVDA автоматично извършва това при стартиране. (#7952)
* eSpeak-NG е актуализиран до версия 1.51-dev, ревизия ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### Отстранени грешки

* Емоджи и другите 32-битови уникод символи сега заемат по-малко място на брайлов дисплей, когато са показани като шестнадесетични стойности. (#6695)
* В Windows 10 NVDA ще съобщава подсказките в универсалните приложения, ако е зададено да ги докладва чрез диалога "Представяне на обектите". (#8118)
* В Windows 10 Anniversary Update и по-нови версии въведеният текст в Mintty се съобщава. (#1348)
* В Windows 10 Anniversary Update и по-нови версии текстът в системната конзола, който се появява близо до каретката, вече няма да бъде спелуван. (#513)
* Контролите в диалога "Компресор" в Audacity се докладват при навигация. (#10103)
* NVDA вече не възприема интервалите като думи при преглед на обектите в редактори, базирани на Scintilla като Notepad++. (#8295)
* NVDA ще попречи на системата да влезе в режим на заспиване при превъртане в текст чрез команди на брайлов дисплей. (#9175)
* В Windows 10 брайловият текст ще следва при редактиране на клетки в Microsoft Excel и в други UIA текстови контроли, където изоставаше досега. (#9749)
* NVDA отново ще докладва предложенията в адресната лента на Microsoft Edge. (#7554)
* NVDA вече не замлъква при фокусиране върху заглавието на HTML контрола за раздел в Internet Explorer. (#8898)
* В Microsoft Edge, базиран на EdgeHTML, NVDA вече няма да възпроизвежда звук на предложение за търсене, когато прозорецът бъде максимизиран. (#9110, #10002)
* Разгъващите се списъци на ARIA 1.1 вече се поддържат в Mozilla Firefox и Google Chrome. (#9616)
* NVDA вече няма да докладва съдържанието на визуално скрити колони на елементи от списък в SysListView32 контроли. (#8268)
* Диалогът за настройки вече не показва "информация" като текущо ниво на протоколиране, когато сте в защитен режим. (#10209)
* В менюто "Старт" на Windows 10 Anniversary Update и по-нови версии, NVDA ще съобщава детайли за резултатите от търсенето. (#10232)
* В режим на разглеждане, ако преместването на курсора или използването на бърза навигация води до промяна в документа, NVDA вече не изговаря неправилно съдържание в някои случаи. (#8831, #10343)
* Имената на някои водещи символи в Microsoft Word са коригирани. (#10399)
* В актуализацията на Windows 10 от май 2019 г. и по-нови версии NVDA отново ще докладва първия емоджи или клипборд елемент, когато се отвори съответния панел. (#9204)
* В Poedit отново е възможно да преглеждате някои преводи за езици  с въвеждане от дясно на ляво. (#9931)
* В приложението "Настройки" в Windows 10 от април 2018 и по-нови версии NVDA вече няма да съобщава информация за лентите на напредъка, отнасяща се до индикаторите за звука в страницата Система/Звук. (#10284)
* Невалидните регулярни изрази в речниците за говора вече не сриват напълно речта на NVDA. (#10334)
* Когато четете елементи от списък в Microsoft Word с активиран UIA, водещият символ на следващия елемент вече не се докладва неправилно. (#9613)
* Отстранени са някои по-редки проблеми и грешки при преобразуването към брайл с Liblouis. (#9982)
* Java приложенията, стартирани преди NVDA, вече са достъпни, без да е необходимо да ги рестартирате. (#10296)
* В Mozilla Firefox, когато фокусираният елемент се маркира като текущ (ария-current), тази промяна вече не се изговаря многократно. (#8960)
* NVDA вече ще възприема определени съставни уникод символи например e-acute като един знак при придвижване в текст. (#10550)
* Вече се поддържа Spring Tool Suite версия 4. (#10001)
* Името вече не се изговаря два пъти, когато обвързаната цел aria-labelledby е вътрешен елемент. (#10552)
* В Windows 10 версия 1607 и по-нови въведените чрез брайлова клавиатура символи се изговарят в повече ситуации. (#10569)
* Когато промените изходното аудио устройство, тоновете, възпроизвеждани от NVDA, ще се просвирват чрез новоизбраното. (#2167)
* В Mozilla Firefox преместването на фокуса в режим на разглеждане е по-бързо. Това прави придвижването на курсора в този режим по-пъргаво в много случаи. (#10584)

### Промени за разработчици

* Python е актуализиран до версия 3.7. (#7105)
* pySerial е обновен до версия 3.4. (#8815)
* wxPython е актуализиран до версия 4.0.3, за да поддържа Python 3.5 и по-нови версии. (#9630)
* six е обновен до версия 1.12.0. (#9630)
* py2exe е актуализиран до версия 0.9.3.2 (в разработка, ревизия b372a8e от albertosottile/py2exe#13). (#9856)
* Актуализиран е модулът на comtypes UIAutomationCore.dll до версия 10.0.18362. (#9829)
* Довършването с TAB в конзолата на Python предлага само атрибути, започващи с долна черта, ако първо тя е въведена. (#9918)
* Инструментът Flake8 е интегриран с SCons, като са спазени изискванията отнасящи се до заявките за подобряване на кода. (#5918)
* Тъй като NVDA вече не зависи от pyWin32, модули като win32api и win32con вече не са достъпни за добавките. (#9639)
 * Извикванията към win32api могат да бъдат заменени с директни заявки към функции на win32 dll чрез ctypes.
 * Във вашите файлове трябва да бъдат дефинирани константи на win32con.
* Аргументът "async" в nvwave.playWaveFile е преименуван като "asynchronous". (#8607)
* Методите speakText и speakCharacter в обекти на synthDriver вече не се поддържат.
 * Тази функционалност се управлява от SynthDriver.speak.
* Класовете SynthSetting в synthDriverHandler са премахнати. Вместо тях използвайте класовете driverHandler.DriverSetting.
* Класовете SynthDriver вече не трябва да разкриват индекса чрез свойството lastIndex.
 * Вместо това, те трябва да оповестяват действието synthDriverHandler.synthIndexReached с индекса, който е бил валиден преди цялото аудио съдържание да приключи с възпроизвеждането си.
* Класовете SynthDriver трябва да оповестяват действието synthDriverHandler.synthDoneSpeaking, щом цялото аудио съдържание след извикване на SynthDriver.speak приключи с възпроизвеждането си.
* Класовете SynthDriver трябва да поддържат speech.PitchCommand в техния метод speak, тъй като промените във височината при спелуване на речта сега зависят от тази функционалност.
* Речевата функция getSpeechTextForProperties е преименувана на getPropertiesSpeech. (#10098)
* Функцията за брайл getBrailleTextForProperties е преименувана на getPropertiesBraille. (#10469)
* Няколко функции на речта са променени така, че да връщат речеви последователности. (#10098)
 * getControlFieldSpeech
 * getFormatFieldSpeech
 * getSpeechTextForProperties, преименувана на getPropertiesSpeech
 * getIndentationSpeech
 * getTableInfoSpeech
* Добавен е модулът textUtils с цел преодоляване на разликите между низовете на Python 3 и тези на Windows уникод. (#9545)
 * Вижте документацията на модула и textInfos.offsets за примерни имплементации.
* Отхвърлените функционалности вече са отстранени. (#9548)
 * Премахнати модули за приложения:
  * Звуков рекордер на Windows XP.
  * Klango Player, който е изоставен софтуер.
 * Премахната е обвивката (wrapper) на Configobj.validate.
  * Новият код трябва да се използва от configobj import validate, вместо от import validate
 * textInfos.Point и textInfos.Rect се заменят съответно с locationHelper.Point и locationHelper.RectLTRB.
 * braille.BrailleHandler._get_tether и braille.BrailleHandler.set_tether са премахнати.
 * config.getConfigDirs е премахнат.
 * config.ConfigManager.getConfigValidationParameter е заменен от getConfigValidation
 * Свойството inputCore.InputGesture.logIdentifier е премахнато.
   * Вместо това използвайте _get_identifiers в inputCore.InputGesture.
 * synthDriverHandler.SynthDriver.speakText/speakCharacter са премахнати.
 * Премахнати са няколко класа на synthDriverHandler.SynthSetting.
   * Запазвани досега с цел обратна съвместимост (#8214), сега се възприемат като излезли от употреба.
   * Драйверите, които са използвали класовете SynthSetting трябва да бъдат актуализирани и да си служат с класовете DriverSetting.
 * Известно количество наследен код е премахнат, по-конкретно:
  * Поддръжка за списъка със съобщения на Outlook за версии преди 2003.
  * Класът, отнасящ се до класическото старт меню, налично само в Windows Vista и по-стари версии.
  * Отпада поддръжката за Skype 7, тъй като той очевидно вече не работи.
* Добавена е рамка (framework) за създаване на доставчици за визуални подобрения; модули, които могат да променят съдържанието на екрана, по избор базирани на информация от NVDA за местоположението на обектите. (#9064)
 * Добавките могат да включват свои собствени доставчици в папка visionEnhancementProviders.
 * Вижте модулите vision и visionEnhancementProviders за примери, в които се имплементира тази рамка.
 * Доставчиците на визуални подобрения се активират и конфигурират чрез категорията "Визуални подобрения" в диалога с настройки на NVDA.
* Свойства на абстрактен клас вече се поддържат за обекти, които се наследяват от baseObject.AutoPropertyObject (например NVDAObjects и TextInfos). (#10102)
* Въведена е displayModel.UNIT_DISPLAYCHUNK като константа на textInfos, специфична за DisplayModelTextInfo. (#10165)
 * Тази нова константа позволява да се обхожда текстът в DisplayModelTextInfo по начин, който повече наподобява запазването на текстовите компоненти в основния модел.
* displayModel.getCaretRect сега връща инстанция на locationHelper.RectLTRB. (#10233)
* Константите UNIT_CONTROLFIELD и UNIT_FORMATFIELD са преместени от virtualBuffers.VirtualBufferTextInfo в пакета textInfos. (#10396)
* За всеки запис в протокола на NVDA вече е включена информация за първоначалната нишка. (#10259)
* UIA обектите TextInfo вече могат да бъдат премествани/разширявани от текстовите единици page, story and formatField. (#10396)
* Външните модули (appModules и globalPlugins) вече е по-слабо вероятно да осуетят създаването на NVDAObjects.
 * Изключенията, предизвикани от методите "selectNVDAObjectOverlayClasses" и "event_NVDAObject_init", вече се прихващат и регистрират правилно.
* Речникът aria.htmlNodeNameToAriaLandmarkRoles е преименуван на aria.htmlNodeNameToAriaRoles. Сега той съдържа и роли, които не са маркери.
* scriptHandler.isCurrentScript е премахнат поради липса на употреба. Не е предвидена замяна. (#8677)

## 2019.2.1

Това е второстепенно издание, целящо да отстрани няколко водещи до сривове грешки, налични в 2019.2. Поправките включват:

* Адресирани са няколко грешки водещи до сривове в Gmail, случващи се както във Firefox, така и в Chrome при взаимодействие с конкретни изскачащи менюта, като например при създаване на филтри или промяна на определени настройки на Gmail. (#10175, #9402, #8924)
* В Windows 7 NVDA вече не причинява срив на Windows Explorer, при работа с мишката в менюто „Старт“. (#9435)
* Windows Explorer под Windows 7 вече не се срива при фокусиране на полета за редактиране на метаданни. (#5337)
* NVDA вече не забива при взаимодействие с изображения с УИР базиран на base64 в Mozilla Firefox или Google Chrome. (#10227)

## 2019.2

Акцентите в тази версия включват: автоматично откриване на брайловите дисплеи на Freedom Scientific, експериментална настройка в панела "Разширени", за да се спре автоматичното преместване на фокуса в режим на разглеждане (което може да подобри производителността), опция за умножаване на скоростта на Windows OneCore гласовете за постигане на по-голяма бързина и много поправки на грешки.

### Нови възможности

* Поддръжката на NVDA за Miranda NG работи с по-нови версии на клиента. (#9053)
* Вече можете да забраните режима на разглеждане по подразбиране, като деактивирате опцията "Включвай режима на разглеждане при зареждане на страницата" в настройките за този режим. (#8716)
 * Имайте предвид, че когато тази опция е деактивирана, можете ръчно да включите режима на разглеждане с натискане на NVDA+Интервал.
* Сега можете да филтрирате символи в диалога "Пунктуация/Произнасяне на символите" така, както това филтриране функционира в "Списък с елементите" и "Жестове на въвеждане". (#5761)
* Добавена е команда за промяна на обхвата на докладвания от мишката текст (колко от него ще се изговаря, когато тя се движи). За нея не е присвоен жест по подразбиране. (#9056)
* Windows OneCore гласовете вече разполагат с опция за умножаване на скоростта, която позволява значително по-бърза реч. (#7498)
* Опцията за умножаване на скоростта може да се конфигурира и чрез пръстена от настройки за синтезатора. Към момента се поддържат eSpeak-NG и Windows OneCore гласовете. (#8934)
* Конфигурационните профили вече могат да бъдат активирани ръчно чрез жестове. (#4209)
 * Жестът трябва да бъде конфигуриран от диалога "Жестове на въвеждане".
* В Eclipse е добавена поддръжката на автоматично довършване в редактора на код. (#5667)
 * Освен това, Javadoc информацията може да бъде прочитана от редактора, когато е налична чрез натискане на NVDA+D.
* Добавена е експериментална опция в панела "Разширени настройки", която ви позволява да спрете следването на курсора в режим на разглеждане от системния фокус (Автоматично премествай системния фокус към фокусируемите елементи). (#2039) Въпреки че това може да не е удобно във всички уеб сайтове, би могло да подобри:
 * Ластичен ефект: NVDA инцидентно отменя последната клавиатурна команда в режим на разглеждане, като се премества върху предишния обект.
 * Полетата за редактиране прехващат системния фокус, когато се преминава през някои от тях със стрелка надолу.
 * Използването на команди от клавиатурата в режим на разглеждане е съпроводено от бавни реакции.
* За драйвери на брайлови дисплеи, които го поддържат, настройките им вече могат да бъдат променяни от категорията "Брайл" в диалога "Настройки" на NVDA. (#7452)
* Брайловите дисплеи на Freedom Scientific вече могат да бъдат откривани автоматично. (#7727)
* Добавена е команда за показване на заместващия текст за символа под курсора за преглед. (#9286)
* В панела "Разширени настройки" е добавена експериментална опция, която ви позволява да изпробвате нова, изцяло пренаписана и в процес на усъвършенстване поддръжка за конзолата на Windows, използваща ППИ на Microsoft UI Automation. (#9614)
* В Конзолата на Python, в полето за въвеждане се поддържа поставяне наведнъж на няколко реда от клипборда. (#9776)

### Промени

* Силата на звука на синтезатора вече се увеличава и намалява с 5 вместо с 10, когато се използва пръстенът от настройки. (#6754)
* Текстът в мениджъра на добавките звучи по-ясно, когато NVDA е стартиран с флаг --disable-addons. (#9473)
* Актуализирани са анотациите за емоджи от хранилището за общи езикови данни на Уникод до версия 35.0. (#9445)
* Клавишната комбинация за фокусиране на полето за филтриране в списъка с елементи в режим на разглеждане е променена на Alt+О. (#8728)
* Когато чрез Bluetooth е свързан автоматично открит брайлов дисплей, NVDA ще продължи да търси USB дисплеи, поддържани от същия драйвер, и ще премине към USB връзка, ако се появи такава възможност. (#8853)
* Речевият синтезатор eSpeak-NG е обновен до ревизия 67324cc.
* Брайловият преводач Liblouis е обновен до версия 3.10.0. (#9439, #9678)
* Сега NVDA ще докладва думата "маркиран" след, а не преди да прочете текста, който потребителят току-що е маркирал. (#9028, #9909)
* В Microsoft Visual Studio Code режимът на разглеждане вече е изключен по подразбиране. (#9828)

### Отстранени грешки

* NVDA вече не се срива, когато директорията на някоя добавка е празна. (#7686)
* LTR и RTL маркерите вече не се докладват на брайл или при изговаряне на символи, когато се използва прозорецът със свойства. (#8361)
* Когато се придвижвате между полета от формуляри чрез бързата навигация в режим на разглеждане, вече се обявява цялото поле, вместо само първия ред. (#9388)
* NVDA вече няма да спира да говори след излизане от приложението за електронна поща в Windows 10. (#9341)
* NVDA вече не се проваля при стартиране, когато регионалните настройки на потребителя са зададени с непозната за екранния четец езикова разновидност, като например "Английски (Нидерландия)". (#8726)
* Когато е активиран режим на разглеждане в Microsoft Excel и вие превключите към браузър в режим на фокус или обратното, състоянието на режима вече се докладва коректно. (#8846)
* NVDA вече съобщава правилно реда под курсора на мишката в Notepad++ и други редактори, базирани на Scintilla. (#5450)
* В Google Документи (и други уеб-базирани редактори), при четене на брайл вече няма некоректно да се показва "lst end" преди курсора в средата на елемент от списък. (#9477)
* В актуализацията за Windows 10 от май 2019 г., NVDA вече не изговаря множество уведомления за силата на звука, ако тя е променяна чрез хардуерните бутони и Файловият мениджър е на фокус. (#9466)
* Зареждането на диалога "Пунктуация/Произнасяне на символите" е много по-бързо, когато се използват речници със символи, съдържащи над 1000 записа. (#8790)
* В Scintilla контролите, например в Notepad ++, NVDA може да прочете правилния ред, когато е активирана функцията за пренасяне на думи. (#9424)
* В Microsoft Excel местоположението на клетката се докладва, след като то бъде променено чрез натискане на Shift+Enter или Shift+Enter от цифровия блок. (#9499)
* Във Visual Studio 2017 и по-нови, в прозореца Objects Explorer избраният елемент в дървовидната структура на обектите или в тази на участниците с категории вече се докладва правилно. (#9311)
* Добавките с имена, които се различават само по главни букви, вече не се третират като отделни. (#9334)
* При Windows OneCore гласовете, зададената за NVDA скорост вече не се влияе от тази, определена в Настройките на функцията за говор в Windows 10. (#7498)
* Протоколът вече може да бъде отворен чрез NVDA+F1, когато не е налична информация за разработчици, засягаща текущия навигационен обект. (#8613)
* Отново е възможно в Google Документи да се използват командите на NVDA за навигация в таблици при работа с Firefox и Chrome. (#9494)
* Бутоните, разположени по ръба на корпуса на брайловите дисплеи на Freedom Scientific, сега работят коректно. (#8849)
* При прочитане на първия символ от документ в Notepad++ 7.7 X64 NVDA вече не замръзва за десет секунди. (#9609)
* Сега HTCom може да се използва с брайлови дисплеи Handy Tech в комбинация с NVDA. (#9691)
* В Mozilla Firefox промените в "жив регион" вече не се докладват, ако той се намира в раздел, който не е на фокус. (#1318)
* Диалогът за търсене в режим на разглеждане вече работи правилно, дори ако на заден план е отворен прозорецът "Относно" на NVDA. (#8566)

### Промени за разработчици

* Сега можете да зададете свойството "disableBrowseModeByDefault" в програмни модули, за да оставите режима на разглеждане изключен по подразбиране. (#8846)
* Разширеният стил на даден прозорец вече се декларира чрез свойството `extendedWindowStyle` в обектите с тип прозорец и техните производни. (#9136)
* Пакетът comtypes е актуализиран до версия 1.1.7. (#9440, #8522)
* При използване на командата за докладване на информация за текущия модул редът на информацията е променен така, че да бъде представен първо модулът. (#7338)
* Добавен е пример, който демонстрира използването на nvdaControllerClient.dll чрез C#. (#9600)
* Към модула winVersion е добавена нова isWin10 функция, която проверява дали това копие на NVDA се изпълнява на поддържана версия на системата (каквато е например 1903). (#9761)
* Конзолата на Python в NVDA сега съдържа повече полезни модули в своето пространство от имена (като например appModules, globalPlugins, config и textInfos). (#9789)
* Резултатът от последната изпълнена команда в конзолата на Python вече е достъпен чрез променливата _ (line). (#9782)
 * Имайте предвид, че това замества функцията gettext translation, също наричана "_". За да я използвате, въведете: del _.

## 2019.1.1

Тази версия отстранява следните грешки:

* NVDA вече не предизвиква сриване на Excel 2007 и докладва коректно наличието на формула за дадена клетка. (#9431)
* Google Chrome вече не се срива при взаимодействие с определени списъчни полета. (#9364)
* Поправен е проблем, който възпрепятства копирането на потребителските настройки в системния конфигурационен профил. (#9448)
* В Microsoft Excel, NVDA отново използва локализираното съобщение при докладване на местоположението на обединени клетки. (#9471)

## 2019.1

Акцентите в тази версия включват усъвършенствана производителност при работа с Microsoft Word и Excel, подобрения в стабилността и сигурността, като например поддръжка на добавки с информация за съвместимостта с версиите на NVDA, както и много поправки на грешки.

Моля, обърнете внимание, че от тази версия на NVDA потребителските програмни модули, глобалните плъгини, драйверите за брайлови дисплеи и синтезатори вече няма да бъдат зареждани автоматично от вашата конфигурационна директория на NVDA.
Вместо това, тези компоненти е необходимо да се инсталират като част от добавка. За тези, които разработват добавки, кодът за тестване може да бъде поставян в новата scratchpad директория за разработчици в конфигурационната папка на NVDA, ако опцията "Включи зареждането на персонализиран код от директорията за разработчици Scratchpad" в новия панел за разширени настройки на NVDA е включена.
Тези промени са необходими, за да се гарантира по-добрата съвместимост на потребителския код, така че NVDA да не се срива, когато той стане неприложим към по-новите версии на екранния четец.
Моля, вижте списъка с промените по-долу за повече информация относно това, както и за подобренията в системата за версии на добавките.

### Нови възможности

* Нови брайлови таблици: африкаанс, арабски 8-точков компютърен брайл, арабски ниво 2, испански ниво 2. (#4435, #9186)
* Добавена е опция в настройките на мишката за работа в ситуации, при които тя е контролирана от друго приложение. (#8452)
 * Това ще позволи на NVDA да проследява мишката, когато системата се управлява дистанционно с помощта на TeamViewer или друг софтуер за дистанционна работа.
* Добавен е параметърът на командния ред `--enable-start-on-logon`, за да се даде възможност при тиха инсталация на NVDA той да бъде конфигуриран да се стартира при влизане в Windows. Посочете true, за да се изпълнява това или false, за да не се случва. Ако аргументът --enable-start-on-logon изобщо не е зададен, NVDA по подразбиране ще се стартира при влизане, освен ако не е конфигуриран да не го прави от предишна инсталация. (#8574)
* Възможно е да изключите функциите за протоколиране на NVDA, като зададете нивото на протоколиране да бъде "изключено" от панела "Основни" в настройките. (#8516)
* Понастоящем наличието на формули в електронните таблици на LibreOffice и Apache OpenOffice се докладва. (#860)
* В Mozilla Firefox и Google Chrome в режим на разглеждане вече се съобщава избраният елемент в списъчни полета и дървовидни структури.
 * Това е налично за Firefox версия 66 и по-нови.
 * Не е налично за някои списъчни полета (HTML контроли за избор) в Chrome.
* Ранна поддръжка за приложения като Mozilla Firefox на компютри с ARM64 процесори (например Qualcomm Snapdragon). (#9216)
* Добавена е нова категория "Разширени" в прозореца "Настройки" на NVDA, включително опция за изпробване на новата поддръжка за Microsoft Word чрез ППИ на Microsoft UI Automation. (#9200)
* Добавена е поддръжка за графичния изглед в програмата за управление на дисковете в Windows. (#1486)
* Добавена е поддръжка за Handy Tech Connect Braille и Basic Braille 84. (#9249)

### Промени

* Брайловият преводач Liblouis е обновен до версия 3.8.0. (#9013)
* Разработчиците вече могат да посочат необходима минимална версия на NVDA за техните добавки. NVDA ще откаже да инсталира или зареди добавка, чиято необходима минимална версия на NVDA е по-нова от текущата. (#6275)
* Разработчиците вече могат да посочат последната версия на NVDA, върху която са били тествани техните добавки. Ако някоя от тях е изпробвана само върху версия на NVDA, която е по-стара от текущата, инсталирането на добавката ще бъде отказано. (#6275)
* Тази версия на NVDA ще позволи инсталирането и зареждането на добавки, които все още не съдържат информация за минимална и последно изпробвана версия, но надграждането до бъдещи версии (напр. 2019.2) може автоматично да доведе до изключването на тези по-стари добавки.
* Командата за преместване на мишката до текущия навигационен обект вече е достъпна в Microsoft Word, както и за UIA контроли, особено в Microsoft Edge. (#7916, #8371)
* Подобрено е докладването на текста под мишката в Microsoft Edge и други UIA приложения. (#8370)
* Когато NVDA се стартира с параметъра на командния ред `--portable-path`, предоставеният път се попълва автоматично, при опит да се създаде преносимо копие на NVDA чрез нейното меню. (#8623)
* Актуализиран е пътят към брайловата таблица за норвежки език с цел да се приложи стандартът от 2015 година. (#9170)
* При навигация по абзаци (Control+стрелка нагоре или надолу) или придвижване по клетки в таблица (Control+Alt+стрелките), наличието на правописни грешки вече няма да бъде докладвано, дори ако NVDA е конфигуриран да го прави автоматично. Това е така, защото абзаците и клетките в таблиците могат да бъдат доста обемни и откриването на правописни грешки в някои приложения би могло да изисква повече време. (#9217)
* NVDA вече не зарежда автоматично потребителски модули, глобални плъгини, както и драйвери за брайлови дисплеи и синтезатори от потребителската конфигурационна директория на NVDA. Необходимо е този код да бъде пакетиран като добавка с подходяща информация за версиите, като така се гарантира, че несъвместимият код няма да се изпълнява в текущите версии на NVDA. (#9238)
 * За разработчици, които желаят да тестват кода, докато го допълват, е необходимо да се разреши scratchpad директорията за разработчици от категорията Разширени настройки на NVDA и да се постави кодът в тази директория, която се намира в конфигурационната папка на NVDA, когато тази опция е включена.

### Отстранени грешки

* Когато се използва някой от OneCore гласовете в обновлението на Windows 10 от април 2018 и по-нови, вече не се вмъкват дълги паузи между изказванията. (#8985)
* Когато се придвижвате по символи в контрола с обикновен текст (като Notepad) или в режим на разглеждане, 32-битовите емоджи обекти, състоящи се от две UTF-16 кодови обозначения (напр. ðŸ¤) ще се изговарят правилно. (#8782)
* Подобрен екран за потвърждение при рестартиране след като е променен езикът на интерфейса на NVDA. Понастоящем текстът и етикетите на бутоните са по-кратки и по-малко объркващи. (#6416)
* Ако външен речев синтезатор не успее да се зареди, NVDA под Windows 10 ще се върне към речевия синтезатор OneCore, вместо към eSpeak. (#9025)
* Премахната е командата "Начален диалог" от менюто на NVDA при взаимодействие със защитени екрани. (#8520)
* При табулация или използване на бърза навигация в режим на разглеждане, легендите на панелите с раздели се докладват по-последователно. (#709)
* NVDA вече ще докладва промените в селекцията за определени контроли за избор на час, като например в приложението "Аларми и часовник" в Windows 10. (#5231)
* В работния център на Windows 10 NVDA ще изговаря съобщения за състоянието, когато превключвате бързи действия като яркост и помощ за фокусиране. (#8954)
* В работния център в Windows 10 с обновлението от октомври 2018 и по-ранни, NVDA ще разпознава контролата за бързо действие за настройка на яркостта като бутон, вместо като превключвател. (#8845)
* NVDA отново ще проследява курсора и ще докладва изтритите знаци в полетата за редактиране "Търсене" и "Отиване на" в Microsoft Excel. (#9042)
* Предотвратени са редките сривове при режим на разглеждане във Firefox. (#9152)
* NVDA вече не се проваля при докладването на фокуса за някои контроли в Ribbon менюто на Microsoft Office 2016, когато е свито.
* NVDA вече не се проваля при докладването на предложения контакт, когато се въвеждат адреси при създаване на съобщение в Outlook 2016. (#8502)
* Последните няколко клавиша за насочване на курсора на дисплеите Eurobraille с 80 клетки вече не го придвижват в началото на брайловия ред или непосредствено след него. (#9160)
* Поправена е навигацията в таблиците в изгледа по дискусии в Mozilla Thunderbird. (#8396)
* В Mozilla Firefox и Google Chrome превключването към режим на фокус вече работи правилно за определени списъчни полета и дървовидни структури (когато полето за списък/дървовидна структура не може да бъде фокусирано, а само неговите елементи). (#3573, #9157)
* Режимът на разглеждане вече се включва автоматично при четене на съобщения в Outlook 2016/365, ако се използва експерименталната поддръжка за UI Automation на NVDA за документи на Word. (#9188)
* Понастоящем е по-малко вероятно NVDA да замръзне по такъв начин, че да се наложи да излезете от текущата сесия на Windows, за да го затворите. (#6291)
* В обновлението на Windows 10 от октомври 2018 и по-нови, когато отваряте историята на облачния клипборд, докато клипбордът е празен, NVDA ще докладва състоянието му. (#9103)
* В обновлението на Windows 10 от октомври 2018 и по-нови, при търсене в панела с емоджита, NVDA ще обяви първия резултат от търсенето. (#9105)
* NVDA вече не замръзва в главния прозорец на Oracle VirtualBox 5.2 и по-нови. (#9202)
* Отзивчивостта в Microsoft Word при придвижване по редове, параграфи или клетки от таблици може да бъде значително подобрена в някои документи. Напомняме, че за най-добра производителност е необходимо да зададете изгледа в Microsoft Word да бъде "чернова" с Alt+О,Е след като отворите документ. (#9217)
* В Mozilla Firefox и Google Chrome вече не се докладват празни предупреждения. (#5657)
* Значителни подобрения в производителността при придвижване между клетките в електронни таблици на Microsoft Excel, особено когато те съдържат коментари и/или падащи списъци за валидация. (#7348)
* Вече не би трябвало да е необходимо да се изключва директното редактиране в клетки в опциите на Microsoft Excel, за да използвате контролата за редактиране в Excel 2016/365. (#8146).
* Предотвратено е замръзване във Firefox, което понякога се забелязва при бърза навигация по маркери, когато се използва добавката "Подобрения за ARIA". (#8980)

### Промени за разработчици

* Сега NVDA може да бъде компилиран с всички издания на Microsoft Visual Studio 2017 (не само изданието "Community"). (#8939)
* Вече можете да включите изхода от протокола на Liblouis в протокола на NVDA като зададете двоичния флаг louis в секцията "debugLogging" в конфигурационния файл на NVDA. (#4554)
* Авторите на добавките вече могат да предоставят информация за съвместимостта с версиите на NVDA във файловете с представянията на техните добавки. (#6275, #9055)
 * minimumNVDAVersion: минималната необходима версия на NVDA, за да работи правилно добавката.
 * lastTestedNVDAVersion: Последната версия на NVDA, с която е изпробвана добавката.
* Обектите OffsetsTextInfo вече могат да имплементират метода _getBoundingRectFromOffset, за да позволят извличането на ограничителни правоъгълници за символи вместо точки. (#8572)
* Добавено е свойството boundingRect към TextInfo обекти, за да се извлича информация за ограничителните правоъгълници за текст с определен обхват. (#8371)
* Свойствата и методите в класовете могат да бъдат маркирани като абстрактни в NVDA. Тези класове ще предизвикат грешка, ако бъдат извикани. (#8294, #8652, #8658)
* NVDA може да регистрира времето от въвеждането на текста до изговарянето му, което спомага за измерването на отзивчивостта. Това може да бъде активирано чрез задаване на стойност True за настройката timeSinceInput в секцията debugLog в конфигурационния файл на NVDA. (#9167)

## 2018.4.1

Тази версия поправя срив при стартиране, ако езикът на потребителския интерфейс на NVDA е зададен като Арагонски. (#9089)

## 2018.4

Акцентите на тази версия включват: Подобрения в производителността при работа с последните версии на Mozilla Firefox, прочитане на емоджита с всички синтезатори, докладване на състоянието за отговор/препращане в Outlook, докладване на разстоянието от курсора до ръба на страницата в Microsoft Word и много корекции на програмни грешки.

### Нови възможности

* Нови брайлови таблици: китайски (Китай, Мандарин) ниво 1 и ниво 2. (#5553)
* Състоянието за отговор/препращане вече се докладва за писмата в списъка със съобщения на Microsoft Outlook. (#6911)
* NVDA вече може да чете описания за емоджи, както и други символи, които са част от хранилището за общи езикови данни на Уникод. (#6523)
* Разстоянието на курсора от горния и левия ръб на страницата в Microsoft Word вече може да се съобщава, като се натисне NVDA+Delete от цифровия блок. (#1939)
* Със задействан брайлов режим в Google Таблици, NVDA вече не съобщава "маркиран" за всяка клетка при преместване на фокуса между клетките. (#8879)
* Добавена е поддръжка за Foxit Reader и Foxit Phantom PDF. (#8944)
* Добавена е поддръжка за инструмента за бази данни DBeaver. (#8905)

### Промени

* Опцията "Докладвай помощните балони" в раздела "Представяне на обектите" в настройките на NVDA бе преименувана на "Докладвай известията", за да включва докладването на изскачащите известия в Windows 8 и по-нови версии. (#5789)
* В раздела "Клавиатура" в настройките на NVDA полетата за отметка за разрешаване или забраняване на модификаторите на NVDA вече се показват в списък, а не като отделни полета за отметка.
* NVDA вече няма да представя излишна информация при прочитане на часовника от системния жлеб под някои версии на Windows. (#4364)
* Брайловият преводач Liblouis е обновен до версия 3.7.0. (#8697)
* Синтезаторът eSpeak-NG е обновен до компилация 919f3240cbb.

### Отстранени грешки

* В Outlook 2016/365 категорията и състоянието на флага биват докладвани за съобщенията. (#8603)
* Когато е указано NVDA да използва за интерфейса си езици като киргизки, монголски или македонски, при стартиране вече не се извежда диалогов прозорец за предупреждение, че езикът не се поддържа от операционната система. (#8064)
* Командата за преместване на мишката до навигационния обект вече много по-точно ще премества курсора на мишката до позицията на курсора в режим на разглеждане в Mozilla Firefox, Google Chrome и Acrobat Reader DC. (#6460)
* Подобрено е взаимодействието с падащи списъци в уеб съдържание във Firefox, Chrome и Internet Explorer. (#8664)
* Ако се стартира под японските версии на Windows XP или Vista, NVDA вече показва съобщението за минималните изисквания за версията на операционната система, както се очаква. (#8771)
* Подобрения в производителността при работа в Mozilla Firefox при обхождане на големи страници с много динамично съдържание. (#8678)
* Брайлът вече не показва атрибутите на шрифтовете, ако са били забранени в настройките за форматиране на документите. (#7615)
* NVDA вече не се проваля при следенето на фокуса във файловия мениджър и други приложения, използващи UI Automation, когато друго приложение натоварва машината (като например при пакетна обработка на аудио). (#7345)
* В ARIA менюта в уеб, клавишът Escape ще бъде препредаден директно към менюто и режимът на фокус вече няма да бъде изключван безпричинно. (#3215)
* В новия уеб интерфейс на Gmail, когато използвате бърза навигация вътре в съобщенията, докато ги четете, вече няма да се прочита цялото съдържание на съобщението, след прочитане на елемента, към който сте навигирали току-що. (#8887)
* След обновяване на NVDA браузърите като Firefox и Google Chrome вече не би трябвало да се сриват, а режимът на разглеждане би трябвало да продължи коректно да отразява промените във всички заредени документи. (#7641)
* NVDA вече не съобщава многократно наведнъж "щракаем", когато обхождате щракаемо съдържание в режим на разглеждане. (#7430)
* Жестове, изпълнявани на брайловите дисплеи baum Vario 40, вече няма да се провалят при изпълнение. (#8894)
* В Google Презентации с Mozilla Firefox NVDA вече не съобщава избрания текст при фокусиране на всяка контрола. (#8964)

### Промени за разработчици

* gui.nvdaControls сега съдържа два класа за създаване на достъпни списъци с полета за отметка. (#7325)
 * CustomCheckListBox е достъпен подклас на wx.CheckedListBox.
 * AutoWidthColumnCheckListCtrl добавя достъпни полета за отметка към AutoWidthColumnListCtrl, който сам по себе си е базиран на wx.ListCtrl.
* Ако дадено wx приспособление не е достъпно, а искате да го направите такова, е възможно да го направите, като използвате копие на gui.accPropServer.IAccPropServer_impl. (#7491)
 * За повече информация вижте имплементацията на gui.nvdaControls.ListCtrlAccPropServer.
* configobj е обновен до версия 5.1.0dev компилация 5b5de48a. (#4470)
* Действието config.post_configProfileSwitch вече приема опционалния аргумент с ключова дума prevConf, което позволява на манипулаторите да предприемат действия въз основа на разликите между конфигурацията преди и след превключването на профила. (#8758)

## 2018.3.2

Това е малко обновление, което отстранява проблем със срив на Google Chrome при обхождане на туитове в [www.twitter.com](http://www.twitter.com). (#8777)

## 2018.3.1

Това е малко обновление, което отстранява критичен проблем в NVDA, предизвикващ срив на 32-битови версии на Mozilla Firefox. (#8759)

## 2018.3

Акцентите на тази версия включват: Автоматично откриване на много брайлови дисплеи, поддръжка на новите функции на Windows 10, включително панела за въвеждане на емоджи на Windows 10 и много други корекции на програмни грешки.

### Нови възможности

* NVDA ще докладва граматическите грешки, когато те са коректно изложени от уеб страниците в Mozilla Firefox и Google Chrome. (#8280)
* Съдържанието, означено като вмъкнато или изтрито в уеб страници, вече се докладва и в Google Chrome. (#8558)
* Добавена е поддръжка за колелцето за превъртане на BrailleNote QT и Apex BT, когато BrailleNote се използва като брайлов дисплей с NVDA. (#5992, #5993)
* Добавени са скриптове за отчитане на изминалото време и общото времетраене на текущо просвирващия се запис във Foobar2000. (#6596)
* Символът за командния клавиш на Mac (⌘) вече се съобщава при четене на текст с който и да е синтезатор. (#8366)
* Персонализираните роли чрез атрибута aria-roledescription сега се поддържат във всички уеб браузъри. (#8448)
* Нови брайлови таблици: Чешки 8-точков, Централен кюрдски, Есперанто, Унгарски, Шведски 8-точков компютърен брайл. (#8226, #8437)
* Добавена е поддръжка за автоматично откриване на брайлови дисплеи във фонов режим. (#1271)
 * Към момента се поддържат дисплеите ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, Handy Tech, Hims, SuperBraille и HumanWare BrailleNote и Brailliant BI/B.
 * Можете да активирате тази функция, като изберете опцията "Автоматично" от списъка с брайлови дисплеи в диалоговия прозорец за избор на брайлов дисплей на NVDA.
 * Моля, направете справка в документацията за допълнителни подробности.
* Добавена е поддръжка за различни съвременни функции за въвеждане, добавени в последните версии на Windows 10. Те включват панела за емоджи (есенната актуализация за творци), гласово въвеждане (есенната актуализация за творци), текстови предложения при въвеждане от хардуерна клавиатура (актуализация за април 2018) и облачния клипборд (актуализация за октомври 2018). (#7273)
* Съдържанието, отбелязано като блоков цитат, чрез използване на ARIA (роля blockquote), вече се поддържа в Mozilla Firefox 63. (#8577)

### Промени

* Списъкът с наличните езици в основните настройки на NVDA вече е сортиран въз основа на имената на езиците, вместо по кодовете по ISO 639. (#7284)
* Добавени са жестове по подразбиране за Alt+Shift+Tab и Windows+Tab за всички поддържани брайлови дисплеи на Freedom Scientific. (#7387)
* За ALVA BC680 и дисплеите с протоколен конвертор вече е възможно да се присвоят различни функции на левия и десния smart pad, thumb и etouch клавишите. (#8230)
* За дисплея ALVA BC6 комбинацията от клавиши sp2+sp3 ще съобщава датата и часа, докато комбинацията sp1+sp2 ще емулира клавиша с емблемата на Windows. (#8230)
* Когато се стартира NVDA, потребителят бива питан веднъж дали желае да изпраща статистически данни до NV Access за употребата на NVDA при проверка за обновления. (#8217)
* Когато проверява за обновления, ако потребителят е съгласен да позволи изпращането на статистически данни за употребата към NV Access, NVDA ще изпрати името на текущия речев синтезатор и използвания брайлов дисплей, за да се подпомогне приоритизирането на работата по тези драйвери при бъдещото развитие на NVDA. (#8217)
* Обновен е брайловият преводач Liblouis до версия 3.6.0. (#8365)
* Обновен е пътят до правилната руска 8-точкова брайлова таблица. (#8446)
* Обновен е eSpeak-NG до версия 1.49.3dev компилация 910f4c2. (#8561)

### Отстранени грешки

* Достъпните етикети за контроли в Google Chrome вече се докладват по-лесно в режим на разглеждане, когато самият етикет не се показва като част от съдържанието. (#4773)
* Известията в Zoom вече се поддържат. Например, това включва състоянието на микрофона (включен/изключен) и входящите съобщения. (#7754)
* Превключването на представянето на контекста на брайла в режим на разглеждане вече не води до това брайловият изход да спре да следва курсора за режим на разглеждане. (#7741)
* Брайловите дисплеи ALVA BC680 вече не се провалят понякога при инициализиране. (#8106)
* По подразбиране дисплеите на ALVA BC6 вече няма да изпълняват емулирани системни клавиши при натискане на клавишни комбинации, включващи sp2+sp3 с цел задействане на вътрешна функционалност. (#8230)
* Натискането на sp2 на дисплея на ALVA BC6, с цел емулиране на клавиша Alt, сега работи както се очаква. (#8360)
* NVDA вече не докладва многословно промяната на клавиатурната подредба. (#7383, #8419)
* Следенето на мишката сега е много по-точно в Notepad и други контроли за редактиране на обикновен текст, когато фокусът е в документ с повече от 65535 знака. (#8397)
* NVDA разпознава много повече диалогови прозорци в Windows 10 и други модерни приложения. (#8405)
* Под актуализацията за октомври 2018 на Windows 10 и Server 2019 и по-нови, NVDA вече не се проваля в проследяването на фокуса на системата, когато дадено приложение "замръзне" или "наводни" системата със събития. (#7345, #8535)
* Потребителите вече биват информирани, когато се опитват да прочетат или копират празна лента на състоянието. (#7789)
* Отстранен е проблем, при който състоянието "без отметка" на контролите не се съобщава чрез реч, ако преди това контролата е била наполовина отметната. (#6946)
* В списъка с езици в основните настройки на NVDA името на езика за Бирма се показва правилно в Windows 7. (#8544)
* В Microsoft Edge NVDA ще докладва известия като тези за наличност на изгледа за четене и за напредъка на зареждане на страницата. (#8423)
* Когато се влиза в списък в уеб страница, NVDA вече ще докладва неговия етикет, ако авторът му е предоставил такъв. (#7652)
* При ръчно задаване на функции на жестове за определен брайлов дисплей, тези жестове сега винаги се показват като присвоени на този дисплей. Преди това те се показваха така, сякаш бяха присвоени на текущо активния дисплей. (#8108)
* Вече се поддържа 64-битовата версия на Media Player Classic. (#6066)
* Разни подобрения в поддръжката на брайл в Microsoft Word с активирана UI автоматизация (UIA):
 * Подобно на други многоредови текстови полета, когато позицията е в началото на даден документ на брайл, дисплеят вече бива преместен така, че първият знак на документа да е в началото на дисплея. (#8406)
 * Намалено е прекалено многословното представяне на фокуса както чрез реч, така и чрез брайл, когато е фокусиран документ в Word. (#8407)
 * Преместването на курсора в брайл сега работи правилно, когато фокусът е в списък в документ на Word. (#7971)
 * Новопоставените водещи символи/номера в документ на Word се докладват правилно както чрез реч, така и чрез брайл. (#7970)
* В Windows 10 версия 1803 и по-нови вече е възможно да инсталирате добавки, ако е активирана функцията "Използване на Unicode UTF-8 за езикова поддръжка по целия свят". (#8599)
* NVDA вече няма да прави iTunes 12.9 и по-нови напълно неизползваеми за взаимодействие. (#8744)

### Промени за разработчици

* Добавен е scriptHandler.script, който може да функционира като декоратор за скриптове на скриптови обекти. (#6266)
* За NVDA бе въведена работна среда за тестване на системата. (#708)
* Направени са разни промени в модула hwPortUtils: (#1271)
 * listUsbDevices сега връща речници с информация за устройството, включително hardwareID и devicePath.
 * Речниците, връщани от listComPorts, сега съдържат също и usbID запис за COM портове с USB VID/PID информация в техния хардуерен идентификатор.
* Обновен е wxPython до версия 4.0.3. (#7077)
* Тъй като NVDA сега поддържа само Windows 7 SP1 и по-нови, ключът "minWindowsVersion", използван за проверка дали UIA трябва да бъде задействана за определено издание на Windows, е премахнат. (#8422)
* Вече може да се направи регистрация за уведомяване за действията за запазване на настройките/нулиране чрез новите действия config.pre_configSave, config.post_configSave, config.pre_configReset, и config.post_configReset actions. (#7598)
 * config.pre_configSave се използва за известяване, когато конфигурацията на NVDA е на път да бъде запазена, а config.post_configSave се извиква, след като конфигурацията бъде запазена.
 * config.pre_configReset и config.post_configReset включват флаг на фабричните настройки, за да указва дали настройките се презареждат от диска (false) или се връщат към стойностите по подразбиране (true).
* config.configProfileSwitch е преименуван на config.post_configProfileSwitch , за да отрази факта, че това действие се извиква след като се осъществи превключване на потребителския профил. (#7598)
* Интерфейсите за UI Automation са обновени до актуализацията за октомври 2018 на Windows 10 и Server 2019 (IUIAutomation6 / IUIAutomationElement9). (#8473)

## 2018.2.1

Това издание включва обновления на преводите, дължащо се на премахване в последния момент на функция, която предизвика проблеми.

## 2018.2

Акцентите на тази версия включват: Поддръжка за таблици в Kindle за PC, поддръжка за брайловите дисплеи HumanWare BrailleNote Touch и BI14, Подобрения за речевите синтезатори OneCore и SAPI5, подобрения за Microsoft Outlook и много други.

### Нови възможности

* Обхватът по редове и колони за клетките в таблица сега се съобщава чрез реч и брайл. (#2642)
* Командите на NVDA за навигация в таблици сега се поддържат и в Google Документи (с включен режим за брайл). (#7946)
* Добавена е възможност за четене и обхождане на таблици в Kindle за PC. (#7977)
* Поддръжка за брайловите дисплеи HumanWare BrailleNote touch и Brailliant BI 14 както чрез USB, така и чрез Bluetooth. (#6524)
* В есенната актуализация за творци на Windows 10 и по-нови NVDA може да съобщава известия от приложения като Калкулатор и Microsoft Store. (#7984)
* Нови преобразуващи таблици за брайл: Литовски 8-точков, Украински, Монголски ниво 2. (#7839)
* Добавен е скрипт за съобщаване на информация за форматирането на текста на дадена брайлова клетка. (#7106)
* При обновяване на NVDA вече е възможно да се отложи инсталирането на обновлението за по-късен момент. (#4263)
* Нови езици: Монголски, Немски (Швейцария).
* Вече можете да превключвате клавишите Control, Shift, Alt, Windows и NVDA от вашата брайлова клавиатура и да комбинирате тези модификатори с брайлов вход (напр. за натискане на Control+S). (#7306)
 * Можете да зададете жестове за тези нови превключватели за модификаторите, като използвате командите, намиращи се в раздела "Емулиране на натискане на клавиши от клавиатурата" в прозореца "Жестове на въвеждане".
* Възстановена е поддръжката за брайловите дисплеи Handy Tech Braillino и Modular (със стар фърмуер). (#8016)
* Датата и часът за поддържаните устройства на Handy Tech (като Active Braille и Active Star) ще бъдат автоматично сверявани от NVDA, когато имат отклонение повече от 5 секунди. (#8016)
* Може да се зададе жест на въвеждане за временно изключване на всички превключватели за конфигурационни профили. (#4935)

### Промени

* Колоната за състоянието в мениджъра на добавките беше променена да указва дали добавката е включена или изключена, вместо активна или забранена. (#7929)
* Брайловият преобразувател Liblouis е обновен до версия 3.5.0. (#7839)
* Брайловата таблица "Литовски" беше преименувана на "Литовски 6-точков", с цел избягване на объркване с новата 8-точкова таблица. (#7839)
* Брайловите таблици "Френски (Канада)" от ниво 1 и 2 бяха премахнати. Вместо това, на тяхно място ще се използват съответно таблиците "Френски (универсален) 6-точков компютърен брайл" и тази от ниво 2. (#7839)
* Второстепенните преместващи бутони на брайловите дисплеи Alva BC6, EuroBraille и Papenmeier сега съобщават информация за форматирането на текста на текущата брайлова клетка за този бутон. (#7106)
* Таблиците за въвеждане на брайлов краткопис автоматично ще преминават в обикновен режим на места, където не може да с е пише (напр. при контроли, където няма курсор или в режим на разглеждане). (#7306)
* NVDA вече е по-малко многословен, когато планирана среща или времеви интервал в календара на Outlook покрива цял ден. (#7949)
* Всички настройки на NVDA сега са разположени в един прозорец с настройки в менюто на NVDA -> Настройки -> Опции, вместо да са разхвърляни в отделни прозорци. (#577)
* Речевият синтезатор по подразбиране при работа под Windows 10 сега е OneCore, вместо eSpeak. (#8176)

### Отстранени грешки

* NVDA вече не се проваля при четенето на фокусираните контроли в екрана за вписване с акаунт на Microsoft в Настройки след въвеждане на адрес за е-поща. (#7997)
* NVDA вече не се проваля в четенето на страницата при връщане назад към предишна страница в Microsoft Edge. (#7997)
* NVDA вече няма да съобщава неправилно последния знак от ПИН кода за вписване в Windows 10 при отключване на системата. (#7908)
* Етикетите на полета за отмятане и радио бутони в Chrome и Firefox вече не се съобщават два пъти при обхождане с TAB или при използване на бърза навигация в режим на разглеждане. (#7960)
* Атрибутът aria-current със стойност "false" ще бъде съобщаван като "false", вместо като "true". (#7892).
* Синтезаторът Windows OneCore вече се зарежда успешно, дори ако указаният глас е бил деинсталиран. (#7553)
* Смяната на гласа в синтезатора Windows OneCore вече става доста по-бързо. (#7999)
* Отстранено е неправилното извеждане на брайл на няколко брайлови таблици, включително знаците за главна буква в датския 8-точков компютърен брайл ниво 2. (#7526, #7693)
* NVDA вече може да докладва повече типове водещи символи в Microsoft Word. (#6778)
* Задействането на скрипта за докладване на форматирането вече не премества неправилно курсора за преглед и поради тази причина неколкократното му задействане вече не извежда различни резултати. (#7869)
* Брайловият вход вече не ви позволява да ползвате брайлов краткопис в случаите, където той не се поддържа (напр. целите думи вече няма да се изпращат към системата извън текстово съдържание и в режима на разглеждане). (#7306)
* Отстранени са проблеми, свързани със стабилността на връзката при брайлови дисплеи Handy Tech Easy Braille и Braille Wave. (#8016)
* Под Windows 8 и по-нови NVDA вече няма да съобщава "непознат" при отваряне на менюто с бързи връзки (Windows+X) и при избор на елементи в това меню. (#8137)
* Жестовете за бутони, специфични за конкретни модели на дисплеи от Hims, вече работят както е указано в потребителското ръководство. (#8096)
* Сега NVDA ще се опита да поправи проблеми, свързани с регистрирането на системни COM библиотеки, предизвикващи програми като Firefox и Internet Explorer да стават недостъпни и да се съобщава от NVDA "непознат". (#2807)
* Добавено е заобиколно решение за проблем в диспечера на задачите, предизвикващ невъзможността NVDA да прочита на потребителите определени подробности за процесите. (#8147)
* По-новите Microsoft SAPI5 гласове вече не се бавят в края на изговора, което прави навигацията с тези гласове много по-ефективна. (#8174)
* NVDA вече не съобщава символите за смяна на посоката на текста (LTR и RTL) чрез брайл или при изговаряне знак по знак, при достъпване на часовника в последните версии на Windows. (#5729)
* Откриването на клавишите за превъртане на дисплеите Hims Smart Beetle вече е по-надеждно. (#6086)
* В някои текстови контроли, особено в приложения, писани на Delphi, предоставяната информация за редактиране и обхождане вече е много по-надеждна. (#636, #8102)
* В Windows 10 RS5, NVDA вече не съобщава допълнителна излишна информация при превключване на задачите с Alt+TAB. (#8258)

### Промени за разработчици

* Информацията за разработчици относно UIA обекти сега съдържа списък с наличните шаблони за UIA. (#5712)
* Сега модулите за приложения могат да принуждават конкретни прозорци винаги да използват UIA, като имплементират метода "isGoodUIAWindow". (#7961)
* Скритият булев флаг "outputPass1Only" в раздела за брайл в конфигурационния файл пак беше премахнат. Liblouis вече не поддържа изход само с едно преминаване (pass 1 only). (#7839)

## 2018.1.1

Това е извънредно издание на NVDA, което адресира грешка в драйвера за речевия синтезатор OneCore в Windows 10, която го кара да говори с по-висока височина и скорост в обновлението от април 2018 г за Windows 10 (версия 1803). (#8082)

## 2018.1

Акцентите на тази версия включват: поддръжка на диаграмите в Microsoft word и PowerPoint, поддръжка на нови брайлови дисплеи включително Eurobraille и Optelec protocol converter, подобрена поддръжка на брайловите дисплеи на Hims и Optelec, подобрения на производителността на Mozilla Firefox 58 и по-нови и много други.

### Нови възможности

* Сега е възможно да се взаимодейства с диаграмите в Microsoft Word и Microsoft PowerPoint, подобно на съществуващата поддръжка на диаграмите в Microsoft Excel. (#7046)
 * В Microsoft Word:  Когато сте в режим на разглеждане, поставете курсора върху вградената диаграма и натиснете Enter, за да взаимодействате с нея.
 * В Microsoft PowerPoint, когато редактирате слайд: отидете с Tab до обекта диаграма и натиснете Enter или интервал, за да взаимодействате с диаграмата.
 * За да спрете взаимодействието с диаграмата, натиснете Escape.
* Нов език: Киргизки.
* Добавена е поддръжка на VitalSource Bookshelf. (#7155)
* Добавена е поддръжка на Optelec protocol converter, устройство, което позволява да се ползват дисплеите Braille Voyager и Satellite чрез протокола за комуникация на ALVA BC6. (#6731)
* Сега е възможно да се ползва брайлово въвеждане с брайловия дисплей ALVA 640 Comfort. (#7733)
 * Функционалността на NVDA за брайлово въвеждане може да се ползва с тези, както и с другите дисплеи BC6 с фърмуер 3.0.0 и по-нови.
* Ранна поддръжка на Google Sheets с разрешен Брайлов режим. (#7935)
* Поддръжка на брайловите дисплеи Eurobraille Esys, Esytime и Iris. (#7488)

### Промени

* Драйверите за брайловите дисплеи HIMS Braille Sense/Braille EDGE/Smart Beetle и Hims Sync са заменени с един драйвер. Новият драйвер ще се активира автоматично за потребителите на предишните драйвери на syncBraille. (#7459)
 * Някои клавиши, предимно клавишите за превъртане, имат нови функции, съобразени с назначенията, ползвани от продуктите на Hims. За повече подробности се консултирайте с Ръководството на потребителя.
* Когато въвеждате от екранната клавиатура със сензорно взаимодействие, по подразбиране сега трябва да почуквате два пъти всеки клавиш по същия начин, както бихте активирали всяка друга контрола. (#7309)
 * За да ползвате съществуващия режим на въвеждане чрез единично докосване, където за да активирате даден клавиш, е достатъчно просто да вдигнете пръста си от него, разрешете тази опция в новия диалог за настройки на сензорното взаимодействие, намиращ се в меню Настройки.
* Вече не е необходимо изрично да обвързвате брайла с фокуса или прегледа, защото това ще става автоматично по подразбиране. (#2385)
 * Имайте предвид, че автоматичното обвързване с прегледа ще става само, когато ползвате курсора за преглед или команда за обектна навигация. Превъртането няма да активира това ново поведение.

### Отстранени грешки

* Извеждането на описателните съобщения, излизащи в екран за виртуален преглед (като показване на текущото форматиране, когато натиснете NVDA+f два пъти бързо), вече не се проваля, когато NVDA е инсталиран в директория, съдържаща не-ASCII знаци. (#7474)
* Сега фокусът се възстановява коректно, когато се връщате към Spotify от друго приложение. (#7689)
* В есенната актуализация за творци на Windows 10, NVDA вече не се проваля при опит за обновяване, когато функцията за контролиран достъп до папка е включена от Windows Defender Security Center. (#7696)
* Откриването на клавишите за превъртане на дисплеите Hims Smart Beetle вече е по-надеждно. (#6086)
* Леки подобрения в производителността, когато се рендира голям обем съдържание в Mozilla Firefox 58 и по-нови. (#7719)
* В Microsoft Outlook четенето на имейли, съдържащи таблици, вече не предизвиква грешки. (#6827)
* Жестовете на брайловите дисплеи, които емулират системните клавишни модификатори на клавиатурата, сега също могат да се съчетават с други емулирани системни клавиши от клавиатурата, ако един или повече от включените жестове са специфични за конкретния модел. (#7783)
* В Mozilla Firefox режимът на разглеждане сега работи коректно в изскачащи прозорци, създадени от добавки като LastPass и bitwarden. (#7809)
* NVDA вече не забива понякога при всяка промяна на фокуса, ако Firefox или Chrome са спрели да отговарят, понеже са забили или са се сринали. (#7818)
* В клиенти за Twitter като Chicken Nugget NVDA вече не игнорира последните 20 знака от 280-те знака на съобщенията, когато ги четете. (#7828)
* NVDA сега ползва правилния език, когато изговаря символите на маркирания текст. (#7687)
* В последните версии на Office 365 отново е възможно да навигирате в диаграми на Excel със стрелките. (#7046)
* В речев и брайлов изход състоянията на контролите сега винаги се четат в един и същи ред, независимо дали те са положителни. или отрицателни. (#7076)
* В приложения като Поща за Windows 10 NVDA вече не се проваля при изговарянето на изтритите знаци, когато натискате Backspace. (#7456)
* Всички клавиши на дисплеите Hims Braille Sense Polaris сега работят, както се очаква. (#7865)
* NVDA вече не се проваля при стартиране под Windows 7, дори да има проблем причинен от вътрешния DLL файл api-ms, когато дадена версия на редистрибутивите на Visual Studio 2017 е била инсталирана от друго приложение. (#7975)

### Промени за разработчици

* Беше добавен скрит булев флаг към раздела за брайл в конфигурационния файл: "outputPass1Only". (#7301, #7693, #7702)
 * Този флаг по подразбиране е true. Ако е false, правилата за многократно преминаване на Liblouis ще бъдат използвани за брайлов изход.
* Беше добавен нов речник (braille.RENAMED_DRIVERS), позволяващ плавен преход за потребителите, използващи драйвери, които са били наследени от други. (#7459)
* Обновен е пакетът comtypes до версия 1.1.3. (#7831)
* Беше имплементирана обща система в braille.BrailleDisplayDriver за работа с дисплеи, които изпращат пакети за потвърждение/деклариране. Вижте драйвера за брайловия дисплей HandyTech за пример. (#7590, #7721)
* Нова променлива "isAppX" в конфигурационния модул може да се използва за откриване дали NVDA се изпълнява като приложение, преработено за магазина на Windows 10. (#7851)
* За документни имплементации като NVDAObjects или browseMode, които имат textInfo, сега има нов клас documentBase.documentWithTableNavigation, от който може да се наследява за сдобиване със стандартни скриптове за навигация в таблици. Моля, обърнете се към този клас, за да видите кои помощни методи трябва да бъдат предоставени от вашата имплементация за да работи навигацията в таблици. (#7849)
* Пакетният файл scons сега се справя по-добре със ситуацията, при която е инсталиран и Python 3, възползвайки се от стартиращото приложение, за да стартира конкретно python 2.7 с 32-битова архитектура. (#7541)
* hwIo.Hid сега може да приема допълнителния параметър exclusive, който по подразбиране е със стойност True. Ако е зададен на False, на други приложения е позволено да комуникират с дадено устройство, докато то е свързано с NVDA. (#7859)

## 2017.4

Акцентите на тази версия включват: много поправки и подобрения на поддръжката на уеб, включващи режим на разглеждане за диалозите в уеб по подразбиране, по-добро докладване на етикетите на групови полета в режим на разглеждане, поддръжка на нови технологии в Windows 10 като Windows Defender Application Guard и Windows 10 с архитектура ARM64 и автоматично докладване на ориентацията на екрана и състоянието на батерията.
Моля имайте предвид, че тази версия на NVDA вече не поддържа Windows XP и Windows Vista. Минималните изисквания за NVDA сега са Windows 7 със сервизен пакет 1.

### Нови възможности

* В режим на разглеждане сега е възможно да прескочите в началото или края на маркерите с помощта на командите за прескачане в края/началото на контейнера (запетая/Shift+запетая). (#5482)
* Във Firefox, Chrome и Internet Explorer бързата навигация в полетата за писане и формулярните полета сега включва полета със съдържание на RTF текст (напр. contentEditable). (#5534)
* В уеб браузърите Списъкът с елементи сега може да извежда формулярните полета и бутоните. (#588)
* Първоначална поддръжка на Windows 10 с архитектура ARM64. (#7508)
* Ранна поддръжка на четенето и интерактивната навигация в математическо съдържание на книги на Kindle с достъпно математическо съдържание. (#7536)
* Добавена е поддръжка на четеца на електронни книги Azardi. (#5848)
* Информацията за версията на добавките сега се докладва, когато те бъдат обновявани. (#5324)
* Добавени са нови параметри към командния ред при създаване на преносимо копие на NVDA. (#6329)
* Поддръжка на Microsoft Edge, работещ в Windows Defender Application Guard в есенната актуализация за творци на Windows 10. (#7600)
* Ако работи на лаптоп или таблет, NVDA сега ще докладва кога зарядното устройство е включено/изключено и когато се променя ориентацията на екрана. (#4574, #4612)
* Нов език: македонски.
* Нови таблици за брайлов превод: Хърватски ниво 1, Виетнамски ниво 1. (#7518, #7565)
* Добавена е поддръжка на брайловия дисплей Actilino от Handy Tech. (#7590)
* Сега се поддържа брайлово въвеждане за брайловите дисплеи на Handy Tech. (#7590)

### Промени

* Най-старата операционна система, поддържана от NVDA, сега е Windows 7 със сервизен пакет 1, или Windows Server 2008 R2 със сервизен пакет 1. (#7546)
* Уеб диалозите в браузърите Firefox и Chrome сега автоматично ползват режим на разглеждане, освен когато са част от уеб приложение. (#4493)
* В режим на разглеждане придвижването с Tab и с командите за бърза навигация вече не изговаря излизането извън контейнери като списъци и таблици, което прави навигирането по-ефективно. (#2591)
* В режим на разглеждане във Firefox и Chrome имената на групите от формулярни полета сега биват съобщавани, когато влизате в тях с бърза навигация или с TAB. (#3321)
* В режим на разглеждане командите за бърза навигация за вградените обекти (O и Shift+O) сега включват аудио и видео елементи, както и елементи с ARIA роля на приложение или диалог. (#7239)
* Espeak-ng беше обновен до 1.49.2, решавайки някои проблеми при създаването на публични версии. (#7385, #7583)
* При трикратно активиране на командата за прочитане на лентата на състоянието, нейното съдържание се копира в клипборда. (#1785)
* Когато задавате жестове на клавишите на дисплей на Baum, можете да ги ограничите до модела брайлов дисплей, който ползвате (напр. VarioUltra или Pronto). (#7517)
* Горещият клавиш за полето филтър в списъка с елементи в режим на разглеждане е променен от Alt+Ф на Alt+И. (#7569)
* Добавена е необвързана команда за режима на разглеждане, за да превключва в движение показването на таблиците, които са част от оформлението. Можете да намерите тази команда в категорията "Режим на разглеждане" на диалога "Жестове на въвеждане". (#7634)
* Брайловият преводач Liblouis е обновен до версия 3.3.0. (#7565)
* При NVDA на английски, горещият клавиш за радио бутона "Регулярен израз" в диалога на речника е променен от Alt+R на Alt+E, с цел избягване на клавишен конфликт. При българския превод такава промяна не бе необходима. (#6782)
* Речниковите файлове за гласовете сега са групирани в папки по версии и текущите са преместени в директорията "speechDicts\voiceDicts.v1". (#7592)
* Направените промени по файлове за определена версия (потребителските настройки, речниците за гласове) вече не се записват, когато NVDA е стартиран от своята инсталираща програма. (#7688)
* Брайловите дисплеи Braillino, Bookworm и Modular (със стар фърмуер) от Handy Tech вече не се поддържат с директна съвместимост. За да ползвате тези дисплеи, инсталирайте универсалния драйвер на Handy Tech и добавката за NVDA. (#7590)

### Отстранени грешки

* Сега връзките се показват на брайл в приложения като Microsoft Word. (#6780)
* Сега NVDA не става забележително по-бавен, когато има отворени много раздели в уеб браузърите Firefox или Chrome. (#3138)
* Преместването на курсора за брайловия дисплей MDV Lilli вече не се движи неправилно с една брайлова клетка напред от мястото, където трябва да бъде. (#7469)
* в Internet Explorer и другите MSHTML документи сега се поддържа HTML5 атрибутът "required" ("задължително"), който показва състоянието за задължителност на формулярно поле. (#7321)
* Сега брайловите дисплеи се обновяват, когато въвеждате арабски знаци в ляво подравнен документ на WordPad. (#511)
* Достъпните контроли за етикетите в Mozilla Firefox сега се докладват по-точно в режим на разглеждане, когато етикетът не се появява като отделно съдържание. (#4773)
* В Актуализацията на windows 10 за творци NVDA отново може да работи с Firefox след рестартиране на NVDA. (#7269)
* Когато рестартирате NVDA с Mozilla Firefox на фокус, режимът на разглеждане отново ще бъде достъпен, макар че може да е необходимо да натиснете Alt+TAB, за да излезете и да се върнете отново към браузъра. (#5758)
* Сега можете да имате достъп до математическото съдържание в Google Chrome на система без инсталиран Mozilla Firefox. (#7308)
